searchNodes=[{"type":"module","title":"pqclean","doc":"See pqclean_nif","ref":"pqclean.html"},{"type":"module","title":"pqclean_nif","doc":"Post-Quantum Cryptography NIF based on PQClean for Erlang and Elixir. See README for more examples and a full list of supported algorithms. Key Encapsulation Mechanism (KEM) Algorithm Example: { PK , SK } = pqclean_nif : kyber768_keypair ( ) , { CT , SS } = pqclean_nif : kyber768_encapsulate ( PK ) , SS = pqclean_nif : kyber768_decapsulate ( CT , SK ) . Signature Algorithm Example: { PK , SK } = pqclean_nif : falcon512_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : falcon512_sign ( Msg , SK ) , true = pqclean_nif : falcon512_verify ( Sig , Msg , PK ) .","ref":"pqclean_nif.html"},{"type":"function","title":"pqclean_nif.dilithium2_info/0","doc":"Returns information about the Dilithium2 Signature Algorithm. \#{ type := sign , name := &quot;Dilithium2&quot; , secretkeybytes := 2528 , publickeybytes := 1312 , signaturebytes := 2420 } = pqclean_nif : dilithium2_info ( ) See also: dilithium2_keypair/0 , dilithium2_sign/2 , dilithium2_verify/3 .","ref":"pqclean_nif.html#dilithium2_info/0"},{"type":"function","title":"pqclean_nif.dilithium2_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the Dilithium2 Signature Algorithm. PublicKey is a binary of size 1,312-bytes. SecretKey is a binary of size 2,528-bytes. { PK , SK } = pqclean_nif : dilithium2_keypair ( ) . See also: dilithium2_sign/2 , dilithium2_verify/3 .","ref":"pqclean_nif.html#dilithium2_keypair/0"},{"type":"function","title":"pqclean_nif.dilithium2_sign/2","doc":"Signs a Message with SecretKey and returns a Signature using the Dilithium2 Signature Algorithm. Message is a binary. SecretKey is a binary of size 2,528-bytes generated from dilithium2_keypair/0 . Signature is a binary of maximum size 2,420-bytes. { PK , SK } = pqclean_nif : dilithium2_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : dilithium2_sign ( Msg , SK ) . See also: dilithium2_verify/3 .","ref":"pqclean_nif.html#dilithium2_sign/2"},{"type":"function","title":"pqclean_nif.dilithium2_verify/3","doc":"Verifies a Signature and Message with PublicKey and returns a Verification using the Dilithium2 Signature Algorithm. Signature is a binary of maximum size 2,420-bytes. Message is a binary. PublicKey is a binary of size 1,312-bytes generated from dilithium2_keypair/0 . Verification is a boolean ( true if the Signature and Message are verified, false otherwise). { PK , SK } = pqclean_nif : dilithium2_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : dilithium2_sign ( Msg , SK ) , true = pqclean_nif : dilithium2_verify ( Sig , Msg , PK ) . % Example of corrupted message: BadMsg = &lt;&lt; &quot;messag0&quot; &gt;&gt; , false = pqclean_nif : dilithium2_verify ( Sig , BadMsg , PK ) . See also: dilithium2_sign/2 .","ref":"pqclean_nif.html#dilithium2_verify/3"},{"type":"function","title":"pqclean_nif.dilithium2aes_info/0","doc":"Returns information about the Dilithium2-AES Signature Algorithm. \#{ type := sign , name := &quot;Dilithium2-AES&quot; , secretkeybytes := 2528 , publickeybytes := 1312 , signaturebytes := 2420 } = pqclean_nif : dilithium2aes_info ( ) See also: dilithium2aes_keypair/0 , dilithium2aes_sign/2 , dilithium2aes_verify/3 .","ref":"pqclean_nif.html#dilithium2aes_info/0"},{"type":"function","title":"pqclean_nif.dilithium2aes_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the Dilithium2-AES Signature Algorithm. PublicKey is a binary of size 1,312-bytes. SecretKey is a binary of size 2,528-bytes. { PK , SK } = pqclean_nif : dilithium2aes_keypair ( ) . See also: dilithium2aes_sign/2 , dilithium2aes_verify/3 .","ref":"pqclean_nif.html#dilithium2aes_keypair/0"},{"type":"function","title":"pqclean_nif.dilithium2aes_sign/2","doc":"Signs a Message with SecretKey and returns a Signature using the Dilithium2-AES Signature Algorithm. Message is a binary. SecretKey is a binary of size 2,528-bytes generated from dilithium2aes_keypair/0 . Signature is a binary of maximum size 2,420-bytes. { PK , SK } = pqclean_nif : dilithium2aes_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : dilithium2aes_sign ( Msg , SK ) . See also: dilithium2aes_verify/3 .","ref":"pqclean_nif.html#dilithium2aes_sign/2"},{"type":"function","title":"pqclean_nif.dilithium2aes_verify/3","doc":"Verifies a Signature and Message with PublicKey and returns a Verification using the Dilithium2-AES Signature Algorithm. Signature is a binary of maximum size 2,420-bytes. Message is a binary. PublicKey is a binary of size 1,312-bytes generated from dilithium2aes_keypair/0 . Verification is a boolean ( true if the Signature and Message are verified, false otherwise). { PK , SK } = pqclean_nif : dilithium2aes_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : dilithium2aes_sign ( Msg , SK ) , true = pqclean_nif : dilithium2aes_verify ( Sig , Msg , PK ) . % Example of corrupted message: BadMsg = &lt;&lt; &quot;messag0&quot; &gt;&gt; , false = pqclean_nif : dilithium2aes_verify ( Sig , BadMsg , PK ) . See also: dilithium2aes_sign/2 .","ref":"pqclean_nif.html#dilithium2aes_verify/3"},{"type":"function","title":"pqclean_nif.dilithium3_info/0","doc":"Returns information about the Dilithium3 Signature Algorithm. \#{ type := sign , name := &quot;Dilithium3&quot; , secretkeybytes := 4000 , publickeybytes := 1952 , signaturebytes := 3293 } = pqclean_nif : dilithium3_info ( ) See also: dilithium3_keypair/0 , dilithium3_sign/2 , dilithium3_verify/3 .","ref":"pqclean_nif.html#dilithium3_info/0"},{"type":"function","title":"pqclean_nif.dilithium3_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the Dilithium3 Signature Algorithm. PublicKey is a binary of size 1,952-bytes. SecretKey is a binary of size 4,000-bytes. { PK , SK } = pqclean_nif : dilithium3_keypair ( ) . See also: dilithium3_sign/2 , dilithium3_verify/3 .","ref":"pqclean_nif.html#dilithium3_keypair/0"},{"type":"function","title":"pqclean_nif.dilithium3_sign/2","doc":"Signs a Message with SecretKey and returns a Signature using the Dilithium3 Signature Algorithm. Message is a binary. SecretKey is a binary of size 4,000-bytes generated from dilithium3_keypair/0 . Signature is a binary of maximum size 3,293-bytes. { PK , SK } = pqclean_nif : dilithium3_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : dilithium3_sign ( Msg , SK ) . See also: dilithium3_verify/3 .","ref":"pqclean_nif.html#dilithium3_sign/2"},{"type":"function","title":"pqclean_nif.dilithium3_verify/3","doc":"Verifies a Signature and Message with PublicKey and returns a Verification using the Dilithium3 Signature Algorithm. Signature is a binary of maximum size 3,293-bytes. Message is a binary. PublicKey is a binary of size 1,952-bytes generated from dilithium3_keypair/0 . Verification is a boolean ( true if the Signature and Message are verified, false otherwise). { PK , SK } = pqclean_nif : dilithium3_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : dilithium3_sign ( Msg , SK ) , true = pqclean_nif : dilithium3_verify ( Sig , Msg , PK ) . % Example of corrupted message: BadMsg = &lt;&lt; &quot;messag0&quot; &gt;&gt; , false = pqclean_nif : dilithium3_verify ( Sig , BadMsg , PK ) . See also: dilithium3_sign/2 .","ref":"pqclean_nif.html#dilithium3_verify/3"},{"type":"function","title":"pqclean_nif.dilithium3aes_info/0","doc":"Returns information about the Dilithium3-AES Signature Algorithm. \#{ type := sign , name := &quot;Dilithium3-AES&quot; , secretkeybytes := 4000 , publickeybytes := 1952 , signaturebytes := 3293 } = pqclean_nif : dilithium3aes_info ( ) See also: dilithium3aes_keypair/0 , dilithium3aes_sign/2 , dilithium3aes_verify/3 .","ref":"pqclean_nif.html#dilithium3aes_info/0"},{"type":"function","title":"pqclean_nif.dilithium3aes_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the Dilithium3-AES Signature Algorithm. PublicKey is a binary of size 1,952-bytes. SecretKey is a binary of size 4,000-bytes. { PK , SK } = pqclean_nif : dilithium3aes_keypair ( ) . See also: dilithium3aes_sign/2 , dilithium3aes_verify/3 .","ref":"pqclean_nif.html#dilithium3aes_keypair/0"},{"type":"function","title":"pqclean_nif.dilithium3aes_sign/2","doc":"Signs a Message with SecretKey and returns a Signature using the Dilithium3-AES Signature Algorithm. Message is a binary. SecretKey is a binary of size 4,000-bytes generated from dilithium3aes_keypair/0 . Signature is a binary of maximum size 3,293-bytes. { PK , SK } = pqclean_nif : dilithium3aes_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : dilithium3aes_sign ( Msg , SK ) . See also: dilithium3aes_verify/3 .","ref":"pqclean_nif.html#dilithium3aes_sign/2"},{"type":"function","title":"pqclean_nif.dilithium3aes_verify/3","doc":"Verifies a Signature and Message with PublicKey and returns a Verification using the Dilithium3-AES Signature Algorithm. Signature is a binary of maximum size 3,293-bytes. Message is a binary. PublicKey is a binary of size 1,952-bytes generated from dilithium3aes_keypair/0 . Verification is a boolean ( true if the Signature and Message are verified, false otherwise). { PK , SK } = pqclean_nif : dilithium3aes_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : dilithium3aes_sign ( Msg , SK ) , true = pqclean_nif : dilithium3aes_verify ( Sig , Msg , PK ) . % Example of corrupted message: BadMsg = &lt;&lt; &quot;messag0&quot; &gt;&gt; , false = pqclean_nif : dilithium3aes_verify ( Sig , BadMsg , PK ) . See also: dilithium3aes_sign/2 .","ref":"pqclean_nif.html#dilithium3aes_verify/3"},{"type":"function","title":"pqclean_nif.dilithium5_info/0","doc":"Returns information about the Dilithium5 Signature Algorithm. \#{ type := sign , name := &quot;Dilithium5&quot; , secretkeybytes := 4864 , publickeybytes := 2592 , signaturebytes := 4595 } = pqclean_nif : dilithium5_info ( ) See also: dilithium5_keypair/0 , dilithium5_sign/2 , dilithium5_verify/3 .","ref":"pqclean_nif.html#dilithium5_info/0"},{"type":"function","title":"pqclean_nif.dilithium5_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the Dilithium5 Signature Algorithm. PublicKey is a binary of size 2,592-bytes. SecretKey is a binary of size 4,864-bytes. { PK , SK } = pqclean_nif : dilithium5_keypair ( ) . See also: dilithium5_sign/2 , dilithium5_verify/3 .","ref":"pqclean_nif.html#dilithium5_keypair/0"},{"type":"function","title":"pqclean_nif.dilithium5_sign/2","doc":"Signs a Message with SecretKey and returns a Signature using the Dilithium5 Signature Algorithm. Message is a binary. SecretKey is a binary of size 4,864-bytes generated from dilithium5_keypair/0 . Signature is a binary of maximum size 4,595-bytes. { PK , SK } = pqclean_nif : dilithium5_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : dilithium5_sign ( Msg , SK ) . See also: dilithium5_verify/3 .","ref":"pqclean_nif.html#dilithium5_sign/2"},{"type":"function","title":"pqclean_nif.dilithium5_verify/3","doc":"Verifies a Signature and Message with PublicKey and returns a Verification using the Dilithium5 Signature Algorithm. Signature is a binary of maximum size 4,595-bytes. Message is a binary. PublicKey is a binary of size 2,592-bytes generated from dilithium5_keypair/0 . Verification is a boolean ( true if the Signature and Message are verified, false otherwise). { PK , SK } = pqclean_nif : dilithium5_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : dilithium5_sign ( Msg , SK ) , true = pqclean_nif : dilithium5_verify ( Sig , Msg , PK ) . % Example of corrupted message: BadMsg = &lt;&lt; &quot;messag0&quot; &gt;&gt; , false = pqclean_nif : dilithium5_verify ( Sig , BadMsg , PK ) . See also: dilithium5_sign/2 .","ref":"pqclean_nif.html#dilithium5_verify/3"},{"type":"function","title":"pqclean_nif.dilithium5aes_info/0","doc":"Returns information about the Dilithium5-AES Signature Algorithm. \#{ type := sign , name := &quot;Dilithium5-AES&quot; , secretkeybytes := 4864 , publickeybytes := 2592 , signaturebytes := 4595 } = pqclean_nif : dilithium5aes_info ( ) See also: dilithium5aes_keypair/0 , dilithium5aes_sign/2 , dilithium5aes_verify/3 .","ref":"pqclean_nif.html#dilithium5aes_info/0"},{"type":"function","title":"pqclean_nif.dilithium5aes_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the Dilithium5-AES Signature Algorithm. PublicKey is a binary of size 2,592-bytes. SecretKey is a binary of size 4,864-bytes. { PK , SK } = pqclean_nif : dilithium5aes_keypair ( ) . See also: dilithium5aes_sign/2 , dilithium5aes_verify/3 .","ref":"pqclean_nif.html#dilithium5aes_keypair/0"},{"type":"function","title":"pqclean_nif.dilithium5aes_sign/2","doc":"Signs a Message with SecretKey and returns a Signature using the Dilithium5-AES Signature Algorithm. Message is a binary. SecretKey is a binary of size 4,864-bytes generated from dilithium5aes_keypair/0 . Signature is a binary of maximum size 4,595-bytes. { PK , SK } = pqclean_nif : dilithium5aes_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : dilithium5aes_sign ( Msg , SK ) . See also: dilithium5aes_verify/3 .","ref":"pqclean_nif.html#dilithium5aes_sign/2"},{"type":"function","title":"pqclean_nif.dilithium5aes_verify/3","doc":"Verifies a Signature and Message with PublicKey and returns a Verification using the Dilithium5-AES Signature Algorithm. Signature is a binary of maximum size 4,595-bytes. Message is a binary. PublicKey is a binary of size 2,592-bytes generated from dilithium5aes_keypair/0 . Verification is a boolean ( true if the Signature and Message are verified, false otherwise). { PK , SK } = pqclean_nif : dilithium5aes_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : dilithium5aes_sign ( Msg , SK ) , true = pqclean_nif : dilithium5aes_verify ( Sig , Msg , PK ) . % Example of corrupted message: BadMsg = &lt;&lt; &quot;messag0&quot; &gt;&gt; , false = pqclean_nif : dilithium5aes_verify ( Sig , BadMsg , PK ) . See also: dilithium5aes_sign/2 .","ref":"pqclean_nif.html#dilithium5aes_verify/3"},{"type":"function","title":"pqclean_nif.dirty_job_cpu_stack_size/0","doc":"Returns the number of bytes of the stack size currently set for the Dirty Job CPU Thread.","ref":"pqclean_nif.html#dirty_job_cpu_stack_size/0"},{"type":"function","title":"pqclean_nif.falcon512_info/0","doc":"Returns information about the Falcon-512 Signature Algorithm. \#{ type := sign , name := &quot;Falcon-512&quot; , secretkeybytes := 1281 , publickeybytes := 897 , signaturebytes := 666 } = pqclean_nif : falcon512_info ( ) See also: falcon512_keypair/0 , falcon512_sign/2 , falcon512_verify/3 .","ref":"pqclean_nif.html#falcon512_info/0"},{"type":"function","title":"pqclean_nif.falcon512_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the Falcon-512 Signature Algorithm. PublicKey is a binary of size 897-bytes. SecretKey is a binary of size 1,281-bytes. { PK , SK } = pqclean_nif : falcon512_keypair ( ) . See also: falcon512_sign/2 , falcon512_verify/3 .","ref":"pqclean_nif.html#falcon512_keypair/0"},{"type":"function","title":"pqclean_nif.falcon512_sign/2","doc":"Signs a Message with SecretKey and returns a Signature using the Falcon-512 Signature Algorithm. Message is a binary. SecretKey is a binary of size 1,281-bytes generated from falcon512_keypair/0 . Signature is a binary of maximum size 666-bytes. { PK , SK } = pqclean_nif : falcon512_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : falcon512_sign ( Msg , SK ) . See also: falcon512_verify/3 .","ref":"pqclean_nif.html#falcon512_sign/2"},{"type":"function","title":"pqclean_nif.falcon512_verify/3","doc":"Verifies a Signature and Message with PublicKey and returns a Verification using the Falcon-512 Signature Algorithm. Signature is a binary of maximum size 666-bytes. Message is a binary. PublicKey is a binary of size 897-bytes generated from falcon512_keypair/0 . Verification is a boolean ( true if the Signature and Message are verified, false otherwise). { PK , SK } = pqclean_nif : falcon512_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : falcon512_sign ( Msg , SK ) , true = pqclean_nif : falcon512_verify ( Sig , Msg , PK ) . % Example of corrupted message: BadMsg = &lt;&lt; &quot;messag0&quot; &gt;&gt; , false = pqclean_nif : falcon512_verify ( Sig , BadMsg , PK ) . See also: falcon512_sign/2 .","ref":"pqclean_nif.html#falcon512_verify/3"},{"type":"function","title":"pqclean_nif.falcon1024_info/0","doc":"Returns information about the Falcon-1024 Signature Algorithm. \#{ type := sign , name := &quot;Falcon-1024&quot; , secretkeybytes := 2305 , publickeybytes := 1793 , signaturebytes := 1280 } = pqclean_nif : falcon1024_info ( ) See also: falcon1024_keypair/0 , falcon1024_sign/2 , falcon1024_verify/3 .","ref":"pqclean_nif.html#falcon1024_info/0"},{"type":"function","title":"pqclean_nif.falcon1024_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the Falcon-1024 Signature Algorithm. PublicKey is a binary of size 1,793-bytes. SecretKey is a binary of size 2,305-bytes. { PK , SK } = pqclean_nif : falcon1024_keypair ( ) . See also: falcon1024_sign/2 , falcon1024_verify/3 .","ref":"pqclean_nif.html#falcon1024_keypair/0"},{"type":"function","title":"pqclean_nif.falcon1024_sign/2","doc":"Signs a Message with SecretKey and returns a Signature using the Falcon-1024 Signature Algorithm. Message is a binary. SecretKey is a binary of size 2,305-bytes generated from falcon1024_keypair/0 . Signature is a binary of maximum size 1,280-bytes. { PK , SK } = pqclean_nif : falcon1024_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : falcon1024_sign ( Msg , SK ) . See also: falcon1024_verify/3 .","ref":"pqclean_nif.html#falcon1024_sign/2"},{"type":"function","title":"pqclean_nif.falcon1024_verify/3","doc":"Verifies a Signature and Message with PublicKey and returns a Verification using the Falcon-1024 Signature Algorithm. Signature is a binary of maximum size 1,280-bytes. Message is a binary. PublicKey is a binary of size 1,793-bytes generated from falcon1024_keypair/0 . Verification is a boolean ( true if the Signature and Message are verified, false otherwise). { PK , SK } = pqclean_nif : falcon1024_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : falcon1024_sign ( Msg , SK ) , true = pqclean_nif : falcon1024_verify ( Sig , Msg , PK ) . % Example of corrupted message: BadMsg = &lt;&lt; &quot;messag0&quot; &gt;&gt; , false = pqclean_nif : falcon1024_verify ( Sig , BadMsg , PK ) . See also: falcon1024_sign/2 .","ref":"pqclean_nif.html#falcon1024_verify/3"},{"type":"function","title":"pqclean_nif.hqc_rmrs_128_decapsulate/2","doc":"Decapsulates a SharedSecret for from a CipherText and SecretKey using the HQC-RMRS-128 KEM Algorithm. Anyone can encapsulate a new SharedSecret using the PublicKey . Only the owner of the corresponding SecretKey will be able to decapsulate the SharedSecret . SharedSecret is a binary of size 64-bytes. NOTE: Only PublicKey and CipherText are safe to share publicly, whereas SecretKey and SharedSecret are to be kept private. { PK , SK } = pqclean_nif : hqc_rmrs_128_keypair ( ) , { CT , SS } = pqclean_nif : hqc_rmrs_128_encapsulate ( PK ) , SS = pqclean_nif : hqc_rmrs_128_decapsulate ( CT , SK ) . See also: hqc_rmrs_128_encapsulate/1 .","ref":"pqclean_nif.html#hqc_rmrs_128_decapsulate/2"},{"type":"function","title":"pqclean_nif.hqc_rmrs_128_encapsulate/1","doc":"Encapsulates a new SharedSecret for PublicKey using the HQC-RMRS-128 KEM Algorithm. Anyone can encapsulate a new SharedSecret using the PublicKey . Only the owner of the corresponding SecretKey will be able to decapsulate the SharedSecret . CipherText is a binary of size 4,481-bytes. SharedSecret is a binary of size 64-bytes. NOTE: Only PublicKey and CipherText are safe to share publicly, whereas SecretKey and SharedSecret are to be kept private. { PK , SK } = pqclean_nif : hqc_rmrs_128_keypair ( ) , { CT , SS } = pqclean_nif : hqc_rmrs_128_encapsulate ( PK ) . See also: hqc_rmrs_128_decapsulate/2 .","ref":"pqclean_nif.html#hqc_rmrs_128_encapsulate/1"},{"type":"function","title":"pqclean_nif.hqc_rmrs_128_info/0","doc":"Returns information about the HQC-RMRS-128 Key Encapsulation Mechanism (KEM) Algorithm. \#{ type := kem , name := &quot;HQC-RMRS-128&quot; , secretkeybytes := 2289 , publickeybytes := 2249 , ciphertextbytes := 4481 , sharedsecretbytes := 64 } = pqclean_nif : hqc_rmrs_128_info ( ) See also: hqc_rmrs_128_decapsulate/2 , hqc_rmrs_128_encapsulate/1 , hqc_rmrs_128_keypair/0 .","ref":"pqclean_nif.html#hqc_rmrs_128_info/0"},{"type":"function","title":"pqclean_nif.hqc_rmrs_128_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the HQC-RMRS-128 KEM Algorithm. PublicKey is a binary of size 2,249-bytes. SecretKey is a binary of size 2,289-bytes. { PK , SK } = pqclean_nif : hqc_rmrs_128_keypair ( ) . See also: hqc_rmrs_128_decapsulate/2 , hqc_rmrs_128_encapsulate/1 .","ref":"pqclean_nif.html#hqc_rmrs_128_keypair/0"},{"type":"function","title":"pqclean_nif.hqc_rmrs_192_decapsulate/2","doc":"Decapsulates a SharedSecret for from a CipherText and SecretKey using the HQC-RMRS-192 KEM Algorithm. Anyone can encapsulate a new SharedSecret using the PublicKey . Only the owner of the corresponding SecretKey will be able to decapsulate the SharedSecret . SharedSecret is a binary of size 64-bytes. NOTE: Only PublicKey and CipherText are safe to share publicly, whereas SecretKey and SharedSecret are to be kept private. { PK , SK } = pqclean_nif : hqc_rmrs_192_keypair ( ) , { CT , SS } = pqclean_nif : hqc_rmrs_192_encapsulate ( PK ) , SS = pqclean_nif : hqc_rmrs_192_decapsulate ( CT , SK ) . See also: hqc_rmrs_192_encapsulate/1 .","ref":"pqclean_nif.html#hqc_rmrs_192_decapsulate/2"},{"type":"function","title":"pqclean_nif.hqc_rmrs_192_encapsulate/1","doc":"Encapsulates a new SharedSecret for PublicKey using the HQC-RMRS-192 KEM Algorithm. Anyone can encapsulate a new SharedSecret using the PublicKey . Only the owner of the corresponding SecretKey will be able to decapsulate the SharedSecret . CipherText is a binary of size 9,026-bytes. SharedSecret is a binary of size 64-bytes. NOTE: Only PublicKey and CipherText are safe to share publicly, whereas SecretKey and SharedSecret are to be kept private. { PK , SK } = pqclean_nif : hqc_rmrs_192_keypair ( ) , { CT , SS } = pqclean_nif : hqc_rmrs_192_encapsulate ( PK ) . See also: hqc_rmrs_192_decapsulate/2 .","ref":"pqclean_nif.html#hqc_rmrs_192_encapsulate/1"},{"type":"function","title":"pqclean_nif.hqc_rmrs_192_info/0","doc":"Returns information about the HQC-RMRS-192 Key Encapsulation Mechanism (KEM) Algorithm. \#{ type := kem , name := &quot;HQC-RMRS-192&quot; , secretkeybytes := 4562 , publickeybytes := 4522 , ciphertextbytes := 9026 , sharedsecretbytes := 64 } = pqclean_nif : hqc_rmrs_192_info ( ) See also: hqc_rmrs_192_decapsulate/2 , hqc_rmrs_192_encapsulate/1 , hqc_rmrs_192_keypair/0 .","ref":"pqclean_nif.html#hqc_rmrs_192_info/0"},{"type":"function","title":"pqclean_nif.hqc_rmrs_192_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the HQC-RMRS-192 KEM Algorithm. PublicKey is a binary of size 4,522-bytes. SecretKey is a binary of size 4,562-bytes. { PK , SK } = pqclean_nif : hqc_rmrs_192_keypair ( ) . See also: hqc_rmrs_192_decapsulate/2 , hqc_rmrs_192_encapsulate/1 .","ref":"pqclean_nif.html#hqc_rmrs_192_keypair/0"},{"type":"function","title":"pqclean_nif.hqc_rmrs_256_decapsulate/2","doc":"Decapsulates a SharedSecret for from a CipherText and SecretKey using the HQC-RMRS-256 KEM Algorithm. Anyone can encapsulate a new SharedSecret using the PublicKey . Only the owner of the corresponding SecretKey will be able to decapsulate the SharedSecret . SharedSecret is a binary of size 64-bytes. NOTE: Only PublicKey and CipherText are safe to share publicly, whereas SecretKey and SharedSecret are to be kept private. { PK , SK } = pqclean_nif : hqc_rmrs_256_keypair ( ) , { CT , SS } = pqclean_nif : hqc_rmrs_256_encapsulate ( PK ) , SS = pqclean_nif : hqc_rmrs_256_decapsulate ( CT , SK ) . See also: hqc_rmrs_256_encapsulate/1 .","ref":"pqclean_nif.html#hqc_rmrs_256_decapsulate/2"},{"type":"function","title":"pqclean_nif.hqc_rmrs_256_encapsulate/1","doc":"Encapsulates a new SharedSecret for PublicKey using the HQC-RMRS-256 KEM Algorithm. Anyone can encapsulate a new SharedSecret using the PublicKey . Only the owner of the corresponding SecretKey will be able to decapsulate the SharedSecret . CipherText is a binary of size 14,469-bytes. SharedSecret is a binary of size 64-bytes. NOTE: Only PublicKey and CipherText are safe to share publicly, whereas SecretKey and SharedSecret are to be kept private. { PK , SK } = pqclean_nif : hqc_rmrs_256_keypair ( ) , { CT , SS } = pqclean_nif : hqc_rmrs_256_encapsulate ( PK ) . See also: hqc_rmrs_256_decapsulate/2 .","ref":"pqclean_nif.html#hqc_rmrs_256_encapsulate/1"},{"type":"function","title":"pqclean_nif.hqc_rmrs_256_info/0","doc":"Returns information about the HQC-RMRS-256 Key Encapsulation Mechanism (KEM) Algorithm. \#{ type := kem , name := &quot;HQC-RMRS-256&quot; , secretkeybytes := 7285 , publickeybytes := 7245 , ciphertextbytes := 14469 , sharedsecretbytes := 64 } = pqclean_nif : hqc_rmrs_256_info ( ) See also: hqc_rmrs_256_decapsulate/2 , hqc_rmrs_256_encapsulate/1 , hqc_rmrs_256_keypair/0 .","ref":"pqclean_nif.html#hqc_rmrs_256_info/0"},{"type":"function","title":"pqclean_nif.hqc_rmrs_256_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the HQC-RMRS-256 KEM Algorithm. PublicKey is a binary of size 7,245-bytes. SecretKey is a binary of size 7,285-bytes. { PK , SK } = pqclean_nif : hqc_rmrs_256_keypair ( ) . See also: hqc_rmrs_256_decapsulate/2 , hqc_rmrs_256_encapsulate/1 .","ref":"pqclean_nif.html#hqc_rmrs_256_keypair/0"},{"type":"function","title":"pqclean_nif.kyber512_90s_decapsulate/2","doc":"Decapsulates a SharedSecret for from a CipherText and SecretKey using the Kyber512-90s KEM Algorithm. Anyone can encapsulate a new SharedSecret using the PublicKey . Only the owner of the corresponding SecretKey will be able to decapsulate the SharedSecret . SharedSecret is a binary of size 32-bytes. NOTE: Only PublicKey and CipherText are safe to share publicly, whereas SecretKey and SharedSecret are to be kept private. { PK , SK } = pqclean_nif : kyber512_90s_keypair ( ) , { CT , SS } = pqclean_nif : kyber512_90s_encapsulate ( PK ) , SS = pqclean_nif : kyber512_90s_decapsulate ( CT , SK ) . See also: kyber512_90s_encapsulate/1 .","ref":"pqclean_nif.html#kyber512_90s_decapsulate/2"},{"type":"function","title":"pqclean_nif.kyber512_90s_encapsulate/1","doc":"Encapsulates a new SharedSecret for PublicKey using the Kyber512-90s KEM Algorithm. Anyone can encapsulate a new SharedSecret using the PublicKey . Only the owner of the corresponding SecretKey will be able to decapsulate the SharedSecret . CipherText is a binary of size 768-bytes. SharedSecret is a binary of size 32-bytes. NOTE: Only PublicKey and CipherText are safe to share publicly, whereas SecretKey and SharedSecret are to be kept private. { PK , SK } = pqclean_nif : kyber512_90s_keypair ( ) , { CT , SS } = pqclean_nif : kyber512_90s_encapsulate ( PK ) . See also: kyber512_90s_decapsulate/2 .","ref":"pqclean_nif.html#kyber512_90s_encapsulate/1"},{"type":"function","title":"pqclean_nif.kyber512_90s_info/0","doc":"Returns information about the Kyber512-90s Key Encapsulation Mechanism (KEM) Algorithm. \#{ type := kem , name := &quot;Kyber512-90s&quot; , secretkeybytes := 1632 , publickeybytes := 800 , ciphertextbytes := 768 , sharedsecretbytes := 32 } = pqclean_nif : kyber512_90s_info ( ) See also: kyber512_90s_decapsulate/2 , kyber512_90s_encapsulate/1 , kyber512_90s_keypair/0 .","ref":"pqclean_nif.html#kyber512_90s_info/0"},{"type":"function","title":"pqclean_nif.kyber512_90s_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the Kyber512-90s KEM Algorithm. PublicKey is a binary of size 800-bytes. SecretKey is a binary of size 1,632-bytes. { PK , SK } = pqclean_nif : kyber512_90s_keypair ( ) . See also: kyber512_90s_decapsulate/2 , kyber512_90s_encapsulate/1 .","ref":"pqclean_nif.html#kyber512_90s_keypair/0"},{"type":"function","title":"pqclean_nif.kyber512_decapsulate/2","doc":"Decapsulates a SharedSecret for from a CipherText and SecretKey using the Kyber512 KEM Algorithm. Anyone can encapsulate a new SharedSecret using the PublicKey . Only the owner of the corresponding SecretKey will be able to decapsulate the SharedSecret . SharedSecret is a binary of size 32-bytes. NOTE: Only PublicKey and CipherText are safe to share publicly, whereas SecretKey and SharedSecret are to be kept private. { PK , SK } = pqclean_nif : kyber512_keypair ( ) , { CT , SS } = pqclean_nif : kyber512_encapsulate ( PK ) , SS = pqclean_nif : kyber512_decapsulate ( CT , SK ) . See also: kyber512_encapsulate/1 .","ref":"pqclean_nif.html#kyber512_decapsulate/2"},{"type":"function","title":"pqclean_nif.kyber512_encapsulate/1","doc":"Encapsulates a new SharedSecret for PublicKey using the Kyber512 KEM Algorithm. Anyone can encapsulate a new SharedSecret using the PublicKey . Only the owner of the corresponding SecretKey will be able to decapsulate the SharedSecret . CipherText is a binary of size 768-bytes. SharedSecret is a binary of size 32-bytes. NOTE: Only PublicKey and CipherText are safe to share publicly, whereas SecretKey and SharedSecret are to be kept private. { PK , SK } = pqclean_nif : kyber512_keypair ( ) , { CT , SS } = pqclean_nif : kyber512_encapsulate ( PK ) . See also: kyber512_decapsulate/2 .","ref":"pqclean_nif.html#kyber512_encapsulate/1"},{"type":"function","title":"pqclean_nif.kyber512_info/0","doc":"Returns information about the Kyber512 Key Encapsulation Mechanism (KEM) Algorithm. \#{ type := kem , name := &quot;Kyber512&quot; , secretkeybytes := 1632 , publickeybytes := 800 , ciphertextbytes := 768 , sharedsecretbytes := 32 } = pqclean_nif : kyber512_info ( ) See also: kyber512_decapsulate/2 , kyber512_encapsulate/1 , kyber512_keypair/0 .","ref":"pqclean_nif.html#kyber512_info/0"},{"type":"function","title":"pqclean_nif.kyber512_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the Kyber512 KEM Algorithm. PublicKey is a binary of size 800-bytes. SecretKey is a binary of size 1,632-bytes. { PK , SK } = pqclean_nif : kyber512_keypair ( ) . See also: kyber512_decapsulate/2 , kyber512_encapsulate/1 .","ref":"pqclean_nif.html#kyber512_keypair/0"},{"type":"function","title":"pqclean_nif.kyber768_90s_decapsulate/2","doc":"Decapsulates a SharedSecret for from a CipherText and SecretKey using the Kyber768-90s KEM Algorithm. Anyone can encapsulate a new SharedSecret using the PublicKey . Only the owner of the corresponding SecretKey will be able to decapsulate the SharedSecret . SharedSecret is a binary of size 32-bytes. NOTE: Only PublicKey and CipherText are safe to share publicly, whereas SecretKey and SharedSecret are to be kept private. { PK , SK } = pqclean_nif : kyber768_90s_keypair ( ) , { CT , SS } = pqclean_nif : kyber768_90s_encapsulate ( PK ) , SS = pqclean_nif : kyber768_90s_decapsulate ( CT , SK ) . See also: kyber768_90s_encapsulate/1 .","ref":"pqclean_nif.html#kyber768_90s_decapsulate/2"},{"type":"function","title":"pqclean_nif.kyber768_90s_encapsulate/1","doc":"Encapsulates a new SharedSecret for PublicKey using the Kyber768-90s KEM Algorithm. Anyone can encapsulate a new SharedSecret using the PublicKey . Only the owner of the corresponding SecretKey will be able to decapsulate the SharedSecret . CipherText is a binary of size 1,088-bytes. SharedSecret is a binary of size 32-bytes. NOTE: Only PublicKey and CipherText are safe to share publicly, whereas SecretKey and SharedSecret are to be kept private. { PK , SK } = pqclean_nif : kyber768_90s_keypair ( ) , { CT , SS } = pqclean_nif : kyber768_90s_encapsulate ( PK ) . See also: kyber768_90s_decapsulate/2 .","ref":"pqclean_nif.html#kyber768_90s_encapsulate/1"},{"type":"function","title":"pqclean_nif.kyber768_90s_info/0","doc":"Returns information about the Kyber768-90s Key Encapsulation Mechanism (KEM) Algorithm. \#{ type := kem , name := &quot;Kyber768-90s&quot; , secretkeybytes := 2400 , publickeybytes := 1184 , ciphertextbytes := 1088 , sharedsecretbytes := 32 } = pqclean_nif : kyber768_90s_info ( ) See also: kyber768_90s_decapsulate/2 , kyber768_90s_encapsulate/1 , kyber768_90s_keypair/0 .","ref":"pqclean_nif.html#kyber768_90s_info/0"},{"type":"function","title":"pqclean_nif.kyber768_90s_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the Kyber768-90s KEM Algorithm. PublicKey is a binary of size 1,184-bytes. SecretKey is a binary of size 2,400-bytes. { PK , SK } = pqclean_nif : kyber768_90s_keypair ( ) . See also: kyber768_90s_decapsulate/2 , kyber768_90s_encapsulate/1 .","ref":"pqclean_nif.html#kyber768_90s_keypair/0"},{"type":"function","title":"pqclean_nif.kyber768_decapsulate/2","doc":"Decapsulates a SharedSecret for from a CipherText and SecretKey using the Kyber768 KEM Algorithm. Anyone can encapsulate a new SharedSecret using the PublicKey . Only the owner of the corresponding SecretKey will be able to decapsulate the SharedSecret . SharedSecret is a binary of size 32-bytes. NOTE: Only PublicKey and CipherText are safe to share publicly, whereas SecretKey and SharedSecret are to be kept private. { PK , SK } = pqclean_nif : kyber768_keypair ( ) , { CT , SS } = pqclean_nif : kyber768_encapsulate ( PK ) , SS = pqclean_nif : kyber768_decapsulate ( CT , SK ) . See also: kyber768_encapsulate/1 .","ref":"pqclean_nif.html#kyber768_decapsulate/2"},{"type":"function","title":"pqclean_nif.kyber768_encapsulate/1","doc":"Encapsulates a new SharedSecret for PublicKey using the Kyber768 KEM Algorithm. Anyone can encapsulate a new SharedSecret using the PublicKey . Only the owner of the corresponding SecretKey will be able to decapsulate the SharedSecret . CipherText is a binary of size 1,088-bytes. SharedSecret is a binary of size 32-bytes. NOTE: Only PublicKey and CipherText are safe to share publicly, whereas SecretKey and SharedSecret are to be kept private. { PK , SK } = pqclean_nif : kyber768_keypair ( ) , { CT , SS } = pqclean_nif : kyber768_encapsulate ( PK ) . See also: kyber768_decapsulate/2 .","ref":"pqclean_nif.html#kyber768_encapsulate/1"},{"type":"function","title":"pqclean_nif.kyber768_info/0","doc":"Returns information about the Kyber768 Key Encapsulation Mechanism (KEM) Algorithm. \#{ type := kem , name := &quot;Kyber768&quot; , secretkeybytes := 2400 , publickeybytes := 1184 , ciphertextbytes := 1088 , sharedsecretbytes := 32 } = pqclean_nif : kyber768_info ( ) See also: kyber768_decapsulate/2 , kyber768_encapsulate/1 , kyber768_keypair/0 .","ref":"pqclean_nif.html#kyber768_info/0"},{"type":"function","title":"pqclean_nif.kyber768_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the Kyber768 KEM Algorithm. PublicKey is a binary of size 1,184-bytes. SecretKey is a binary of size 2,400-bytes. { PK , SK } = pqclean_nif : kyber768_keypair ( ) . See also: kyber768_decapsulate/2 , kyber768_encapsulate/1 .","ref":"pqclean_nif.html#kyber768_keypair/0"},{"type":"function","title":"pqclean_nif.kyber1024_90s_decapsulate/2","doc":"Decapsulates a SharedSecret for from a CipherText and SecretKey using the Kyber1024-90s KEM Algorithm. Anyone can encapsulate a new SharedSecret using the PublicKey . Only the owner of the corresponding SecretKey will be able to decapsulate the SharedSecret . SharedSecret is a binary of size 32-bytes. NOTE: Only PublicKey and CipherText are safe to share publicly, whereas SecretKey and SharedSecret are to be kept private. { PK , SK } = pqclean_nif : kyber1024_90s_keypair ( ) , { CT , SS } = pqclean_nif : kyber1024_90s_encapsulate ( PK ) , SS = pqclean_nif : kyber1024_90s_decapsulate ( CT , SK ) . See also: kyber1024_90s_encapsulate/1 .","ref":"pqclean_nif.html#kyber1024_90s_decapsulate/2"},{"type":"function","title":"pqclean_nif.kyber1024_90s_encapsulate/1","doc":"Encapsulates a new SharedSecret for PublicKey using the Kyber1024-90s KEM Algorithm. Anyone can encapsulate a new SharedSecret using the PublicKey . Only the owner of the corresponding SecretKey will be able to decapsulate the SharedSecret . CipherText is a binary of size 1,568-bytes. SharedSecret is a binary of size 32-bytes. NOTE: Only PublicKey and CipherText are safe to share publicly, whereas SecretKey and SharedSecret are to be kept private. { PK , SK } = pqclean_nif : kyber1024_90s_keypair ( ) , { CT , SS } = pqclean_nif : kyber1024_90s_encapsulate ( PK ) . See also: kyber1024_90s_decapsulate/2 .","ref":"pqclean_nif.html#kyber1024_90s_encapsulate/1"},{"type":"function","title":"pqclean_nif.kyber1024_90s_info/0","doc":"Returns information about the Kyber1024-90s Key Encapsulation Mechanism (KEM) Algorithm. \#{ type := kem , name := &quot;Kyber1024-90s&quot; , secretkeybytes := 3168 , publickeybytes := 1568 , ciphertextbytes := 1568 , sharedsecretbytes := 32 } = pqclean_nif : kyber1024_90s_info ( ) See also: kyber1024_90s_decapsulate/2 , kyber1024_90s_encapsulate/1 , kyber1024_90s_keypair/0 .","ref":"pqclean_nif.html#kyber1024_90s_info/0"},{"type":"function","title":"pqclean_nif.kyber1024_90s_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the Kyber1024-90s KEM Algorithm. PublicKey is a binary of size 1,568-bytes. SecretKey is a binary of size 3,168-bytes. { PK , SK } = pqclean_nif : kyber1024_90s_keypair ( ) . See also: kyber1024_90s_decapsulate/2 , kyber1024_90s_encapsulate/1 .","ref":"pqclean_nif.html#kyber1024_90s_keypair/0"},{"type":"function","title":"pqclean_nif.kyber1024_decapsulate/2","doc":"Decapsulates a SharedSecret for from a CipherText and SecretKey using the Kyber1024 KEM Algorithm. Anyone can encapsulate a new SharedSecret using the PublicKey . Only the owner of the corresponding SecretKey will be able to decapsulate the SharedSecret . SharedSecret is a binary of size 32-bytes. NOTE: Only PublicKey and CipherText are safe to share publicly, whereas SecretKey and SharedSecret are to be kept private. { PK , SK } = pqclean_nif : kyber1024_keypair ( ) , { CT , SS } = pqclean_nif : kyber1024_encapsulate ( PK ) , SS = pqclean_nif : kyber1024_decapsulate ( CT , SK ) . See also: kyber1024_encapsulate/1 .","ref":"pqclean_nif.html#kyber1024_decapsulate/2"},{"type":"function","title":"pqclean_nif.kyber1024_encapsulate/1","doc":"Encapsulates a new SharedSecret for PublicKey using the Kyber1024 KEM Algorithm. Anyone can encapsulate a new SharedSecret using the PublicKey . Only the owner of the corresponding SecretKey will be able to decapsulate the SharedSecret . CipherText is a binary of size 1,568-bytes. SharedSecret is a binary of size 32-bytes. NOTE: Only PublicKey and CipherText are safe to share publicly, whereas SecretKey and SharedSecret are to be kept private. { PK , SK } = pqclean_nif : kyber1024_keypair ( ) , { CT , SS } = pqclean_nif : kyber1024_encapsulate ( PK ) . See also: kyber1024_decapsulate/2 .","ref":"pqclean_nif.html#kyber1024_encapsulate/1"},{"type":"function","title":"pqclean_nif.kyber1024_info/0","doc":"Returns information about the Kyber1024 Key Encapsulation Mechanism (KEM) Algorithm. \#{ type := kem , name := &quot;Kyber1024&quot; , secretkeybytes := 3168 , publickeybytes := 1568 , ciphertextbytes := 1568 , sharedsecretbytes := 32 } = pqclean_nif : kyber1024_info ( ) See also: kyber1024_decapsulate/2 , kyber1024_encapsulate/1 , kyber1024_keypair/0 .","ref":"pqclean_nif.html#kyber1024_info/0"},{"type":"function","title":"pqclean_nif.kyber1024_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the Kyber1024 KEM Algorithm. PublicKey is a binary of size 1,568-bytes. SecretKey is a binary of size 3,168-bytes. { PK , SK } = pqclean_nif : kyber1024_keypair ( ) . See also: kyber1024_decapsulate/2 , kyber1024_encapsulate/1 .","ref":"pqclean_nif.html#kyber1024_keypair/0"},{"type":"function","title":"pqclean_nif.mceliece348864_decapsulate/2","doc":"Decapsulates a SharedSecret for from a CipherText and SecretKey using the Classic McEliece 348864 KEM Algorithm. Anyone can encapsulate a new SharedSecret using the PublicKey . Only the owner of the corresponding SecretKey will be able to decapsulate the SharedSecret . SharedSecret is a binary of size 32-bytes. NOTE: Only PublicKey and CipherText are safe to share publicly, whereas SecretKey and SharedSecret are to be kept private. { PK , SK } = pqclean_nif : mceliece348864_keypair ( ) , { CT , SS } = pqclean_nif : mceliece348864_encapsulate ( PK ) , SS = pqclean_nif : mceliece348864_decapsulate ( CT , SK ) . See also: mceliece348864_encapsulate/1 .","ref":"pqclean_nif.html#mceliece348864_decapsulate/2"},{"type":"function","title":"pqclean_nif.mceliece348864_encapsulate/1","doc":"Encapsulates a new SharedSecret for PublicKey using the Classic McEliece 348864 KEM Algorithm. Anyone can encapsulate a new SharedSecret using the PublicKey . Only the owner of the corresponding SecretKey will be able to decapsulate the SharedSecret . CipherText is a binary of size 128-bytes. SharedSecret is a binary of size 32-bytes. NOTE: Only PublicKey and CipherText are safe to share publicly, whereas SecretKey and SharedSecret are to be kept private. { PK , SK } = pqclean_nif : mceliece348864_keypair ( ) , { CT , SS } = pqclean_nif : mceliece348864_encapsulate ( PK ) . See also: mceliece348864_decapsulate/2 .","ref":"pqclean_nif.html#mceliece348864_encapsulate/1"},{"type":"function","title":"pqclean_nif.mceliece348864_info/0","doc":"Returns information about the Classic McEliece 348864 Key Encapsulation Mechanism (KEM) Algorithm. \#{ type := kem , name := &quot;Classic McEliece 348864&quot; , secretkeybytes := 6452 , publickeybytes := 261120 , ciphertextbytes := 128 , sharedsecretbytes := 32 } = pqclean_nif : mceliece348864_info ( ) See also: mceliece348864_decapsulate/2 , mceliece348864_encapsulate/1 , mceliece348864_keypair/0 .","ref":"pqclean_nif.html#mceliece348864_info/0"},{"type":"function","title":"pqclean_nif.mceliece348864_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the Classic McEliece 348864 KEM Algorithm. PublicKey is a binary of size 261,120-bytes. SecretKey is a binary of size 6,452-bytes. { PK , SK } = pqclean_nif : mceliece348864_keypair ( ) . WARNING: Classic McEliece 348864 requires a large stack (&gt;= 8MB). See Large Stack Support in the README for more information. See also: mceliece348864_decapsulate/2 , mceliece348864_encapsulate/1 .","ref":"pqclean_nif.html#mceliece348864_keypair/0"},{"type":"function","title":"pqclean_nif.mceliece348864f_decapsulate/2","doc":"Decapsulates a SharedSecret for from a CipherText and SecretKey using the Classic McEliece 348864f KEM Algorithm. Anyone can encapsulate a new SharedSecret using the PublicKey . Only the owner of the corresponding SecretKey will be able to decapsulate the SharedSecret . SharedSecret is a binary of size 32-bytes. NOTE: Only PublicKey and CipherText are safe to share publicly, whereas SecretKey and SharedSecret are to be kept private. { PK , SK } = pqclean_nif : mceliece348864f_keypair ( ) , { CT , SS } = pqclean_nif : mceliece348864f_encapsulate ( PK ) , SS = pqclean_nif : mceliece348864f_decapsulate ( CT , SK ) . See also: mceliece348864f_encapsulate/1 .","ref":"pqclean_nif.html#mceliece348864f_decapsulate/2"},{"type":"function","title":"pqclean_nif.mceliece348864f_encapsulate/1","doc":"Encapsulates a new SharedSecret for PublicKey using the Classic McEliece 348864f KEM Algorithm. Anyone can encapsulate a new SharedSecret using the PublicKey . Only the owner of the corresponding SecretKey will be able to decapsulate the SharedSecret . CipherText is a binary of size 128-bytes. SharedSecret is a binary of size 32-bytes. NOTE: Only PublicKey and CipherText are safe to share publicly, whereas SecretKey and SharedSecret are to be kept private. { PK , SK } = pqclean_nif : mceliece348864f_keypair ( ) , { CT , SS } = pqclean_nif : mceliece348864f_encapsulate ( PK ) . See also: mceliece348864f_decapsulate/2 .","ref":"pqclean_nif.html#mceliece348864f_encapsulate/1"},{"type":"function","title":"pqclean_nif.mceliece348864f_info/0","doc":"Returns information about the Classic McEliece 348864f Key Encapsulation Mechanism (KEM) Algorithm. \#{ type := kem , name := &quot;Classic McEliece 348864f&quot; , secretkeybytes := 6452 , publickeybytes := 261120 , ciphertextbytes := 128 , sharedsecretbytes := 32 } = pqclean_nif : mceliece348864f_info ( ) See also: mceliece348864f_decapsulate/2 , mceliece348864f_encapsulate/1 , mceliece348864f_keypair/0 .","ref":"pqclean_nif.html#mceliece348864f_info/0"},{"type":"function","title":"pqclean_nif.mceliece348864f_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the Classic McEliece 348864f KEM Algorithm. PublicKey is a binary of size 261,120-bytes. SecretKey is a binary of size 6,452-bytes. { PK , SK } = pqclean_nif : mceliece348864f_keypair ( ) . WARNING: Classic McEliece 348864f requires a large stack (&gt;= 8MB). See Large Stack Support in the README for more information. See also: mceliece348864f_decapsulate/2 , mceliece348864f_encapsulate/1 .","ref":"pqclean_nif.html#mceliece348864f_keypair/0"},{"type":"function","title":"pqclean_nif.mceliece460896_decapsulate/2","doc":"Decapsulates a SharedSecret for from a CipherText and SecretKey using the Classic McEliece 460896 KEM Algorithm. Anyone can encapsulate a new SharedSecret using the PublicKey . Only the owner of the corresponding SecretKey will be able to decapsulate the SharedSecret . SharedSecret is a binary of size 32-bytes. NOTE: Only PublicKey and CipherText are safe to share publicly, whereas SecretKey and SharedSecret are to be kept private. { PK , SK } = pqclean_nif : mceliece460896_keypair ( ) , { CT , SS } = pqclean_nif : mceliece460896_encapsulate ( PK ) , SS = pqclean_nif : mceliece460896_decapsulate ( CT , SK ) . See also: mceliece460896_encapsulate/1 .","ref":"pqclean_nif.html#mceliece460896_decapsulate/2"},{"type":"function","title":"pqclean_nif.mceliece460896_encapsulate/1","doc":"Encapsulates a new SharedSecret for PublicKey using the Classic McEliece 460896 KEM Algorithm. Anyone can encapsulate a new SharedSecret using the PublicKey . Only the owner of the corresponding SecretKey will be able to decapsulate the SharedSecret . CipherText is a binary of size 188-bytes. SharedSecret is a binary of size 32-bytes. NOTE: Only PublicKey and CipherText are safe to share publicly, whereas SecretKey and SharedSecret are to be kept private. { PK , SK } = pqclean_nif : mceliece460896_keypair ( ) , { CT , SS } = pqclean_nif : mceliece460896_encapsulate ( PK ) . See also: mceliece460896_decapsulate/2 .","ref":"pqclean_nif.html#mceliece460896_encapsulate/1"},{"type":"function","title":"pqclean_nif.mceliece460896_info/0","doc":"Returns information about the Classic McEliece 460896 Key Encapsulation Mechanism (KEM) Algorithm. \#{ type := kem , name := &quot;Classic McEliece 460896&quot; , secretkeybytes := 13568 , publickeybytes := 524160 , ciphertextbytes := 188 , sharedsecretbytes := 32 } = pqclean_nif : mceliece460896_info ( ) See also: mceliece460896_decapsulate/2 , mceliece460896_encapsulate/1 , mceliece460896_keypair/0 .","ref":"pqclean_nif.html#mceliece460896_info/0"},{"type":"function","title":"pqclean_nif.mceliece460896_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the Classic McEliece 460896 KEM Algorithm. PublicKey is a binary of size 524,160-bytes. SecretKey is a binary of size 13,568-bytes. { PK , SK } = pqclean_nif : mceliece460896_keypair ( ) . WARNING: Classic McEliece 460896 requires a large stack (&gt;= 8MB). See Large Stack Support in the README for more information. See also: mceliece460896_decapsulate/2 , mceliece460896_encapsulate/1 .","ref":"pqclean_nif.html#mceliece460896_keypair/0"},{"type":"function","title":"pqclean_nif.mceliece460896f_decapsulate/2","doc":"Decapsulates a SharedSecret for from a CipherText and SecretKey using the Classic McEliece 460896f KEM Algorithm. Anyone can encapsulate a new SharedSecret using the PublicKey . Only the owner of the corresponding SecretKey will be able to decapsulate the SharedSecret . SharedSecret is a binary of size 32-bytes. NOTE: Only PublicKey and CipherText are safe to share publicly, whereas SecretKey and SharedSecret are to be kept private. { PK , SK } = pqclean_nif : mceliece460896f_keypair ( ) , { CT , SS } = pqclean_nif : mceliece460896f_encapsulate ( PK ) , SS = pqclean_nif : mceliece460896f_decapsulate ( CT , SK ) . See also: mceliece460896f_encapsulate/1 .","ref":"pqclean_nif.html#mceliece460896f_decapsulate/2"},{"type":"function","title":"pqclean_nif.mceliece460896f_encapsulate/1","doc":"Encapsulates a new SharedSecret for PublicKey using the Classic McEliece 460896f KEM Algorithm. Anyone can encapsulate a new SharedSecret using the PublicKey . Only the owner of the corresponding SecretKey will be able to decapsulate the SharedSecret . CipherText is a binary of size 188-bytes. SharedSecret is a binary of size 32-bytes. NOTE: Only PublicKey and CipherText are safe to share publicly, whereas SecretKey and SharedSecret are to be kept private. { PK , SK } = pqclean_nif : mceliece460896f_keypair ( ) , { CT , SS } = pqclean_nif : mceliece460896f_encapsulate ( PK ) . See also: mceliece460896f_decapsulate/2 .","ref":"pqclean_nif.html#mceliece460896f_encapsulate/1"},{"type":"function","title":"pqclean_nif.mceliece460896f_info/0","doc":"Returns information about the Classic McEliece 460896f Key Encapsulation Mechanism (KEM) Algorithm. \#{ type := kem , name := &quot;Classic McEliece 460896f&quot; , secretkeybytes := 13568 , publickeybytes := 524160 , ciphertextbytes := 188 , sharedsecretbytes := 32 } = pqclean_nif : mceliece460896f_info ( ) See also: mceliece460896f_decapsulate/2 , mceliece460896f_encapsulate/1 , mceliece460896f_keypair/0 .","ref":"pqclean_nif.html#mceliece460896f_info/0"},{"type":"function","title":"pqclean_nif.mceliece460896f_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the Classic McEliece 460896f KEM Algorithm. PublicKey is a binary of size 524,160-bytes. SecretKey is a binary of size 13,568-bytes. { PK , SK } = pqclean_nif : mceliece460896f_keypair ( ) . WARNING: Classic McEliece 460896f requires a large stack (&gt;= 8MB). See Large Stack Support in the README for more information. See also: mceliece460896f_decapsulate/2 , mceliece460896f_encapsulate/1 .","ref":"pqclean_nif.html#mceliece460896f_keypair/0"},{"type":"function","title":"pqclean_nif.mceliece6688128_decapsulate/2","doc":"Decapsulates a SharedSecret for from a CipherText and SecretKey using the Classic McEliece 6688128 KEM Algorithm. Anyone can encapsulate a new SharedSecret using the PublicKey . Only the owner of the corresponding SecretKey will be able to decapsulate the SharedSecret . SharedSecret is a binary of size 32-bytes. NOTE: Only PublicKey and CipherText are safe to share publicly, whereas SecretKey and SharedSecret are to be kept private. { PK , SK } = pqclean_nif : mceliece6688128_keypair ( ) , { CT , SS } = pqclean_nif : mceliece6688128_encapsulate ( PK ) , SS = pqclean_nif : mceliece6688128_decapsulate ( CT , SK ) . See also: mceliece6688128_encapsulate/1 .","ref":"pqclean_nif.html#mceliece6688128_decapsulate/2"},{"type":"function","title":"pqclean_nif.mceliece6688128_encapsulate/1","doc":"Encapsulates a new SharedSecret for PublicKey using the Classic McEliece 6688128 KEM Algorithm. Anyone can encapsulate a new SharedSecret using the PublicKey . Only the owner of the corresponding SecretKey will be able to decapsulate the SharedSecret . CipherText is a binary of size 240-bytes. SharedSecret is a binary of size 32-bytes. NOTE: Only PublicKey and CipherText are safe to share publicly, whereas SecretKey and SharedSecret are to be kept private. { PK , SK } = pqclean_nif : mceliece6688128_keypair ( ) , { CT , SS } = pqclean_nif : mceliece6688128_encapsulate ( PK ) . See also: mceliece6688128_decapsulate/2 .","ref":"pqclean_nif.html#mceliece6688128_encapsulate/1"},{"type":"function","title":"pqclean_nif.mceliece6688128_info/0","doc":"Returns information about the Classic McEliece 6688128 Key Encapsulation Mechanism (KEM) Algorithm. \#{ type := kem , name := &quot;Classic McEliece 6688128&quot; , secretkeybytes := 13892 , publickeybytes := 1044992 , ciphertextbytes := 240 , sharedsecretbytes := 32 } = pqclean_nif : mceliece6688128_info ( ) See also: mceliece6688128_decapsulate/2 , mceliece6688128_encapsulate/1 , mceliece6688128_keypair/0 .","ref":"pqclean_nif.html#mceliece6688128_info/0"},{"type":"function","title":"pqclean_nif.mceliece6688128_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the Classic McEliece 6688128 KEM Algorithm. PublicKey is a binary of size 1,044,992-bytes. SecretKey is a binary of size 13,892-bytes. { PK , SK } = pqclean_nif : mceliece6688128_keypair ( ) . WARNING: Classic McEliece 6688128 requires a large stack (&gt;= 8MB). See Large Stack Support in the README for more information. See also: mceliece6688128_decapsulate/2 , mceliece6688128_encapsulate/1 .","ref":"pqclean_nif.html#mceliece6688128_keypair/0"},{"type":"function","title":"pqclean_nif.mceliece6688128f_decapsulate/2","doc":"Decapsulates a SharedSecret for from a CipherText and SecretKey using the Classic McEliece 6688128 KEM Algorithm. Anyone can encapsulate a new SharedSecret using the PublicKey . Only the owner of the corresponding SecretKey will be able to decapsulate the SharedSecret . SharedSecret is a binary of size 32-bytes. NOTE: Only PublicKey and CipherText are safe to share publicly, whereas SecretKey and SharedSecret are to be kept private. { PK , SK } = pqclean_nif : mceliece6688128f_keypair ( ) , { CT , SS } = pqclean_nif : mceliece6688128f_encapsulate ( PK ) , SS = pqclean_nif : mceliece6688128f_decapsulate ( CT , SK ) . See also: mceliece6688128f_encapsulate/1 .","ref":"pqclean_nif.html#mceliece6688128f_decapsulate/2"},{"type":"function","title":"pqclean_nif.mceliece6688128f_encapsulate/1","doc":"Encapsulates a new SharedSecret for PublicKey using the Classic McEliece 6688128 KEM Algorithm. Anyone can encapsulate a new SharedSecret using the PublicKey . Only the owner of the corresponding SecretKey will be able to decapsulate the SharedSecret . CipherText is a binary of size 240-bytes. SharedSecret is a binary of size 32-bytes. NOTE: Only PublicKey and CipherText are safe to share publicly, whereas SecretKey and SharedSecret are to be kept private. { PK , SK } = pqclean_nif : mceliece6688128f_keypair ( ) , { CT , SS } = pqclean_nif : mceliece6688128f_encapsulate ( PK ) . See also: mceliece6688128f_decapsulate/2 .","ref":"pqclean_nif.html#mceliece6688128f_encapsulate/1"},{"type":"function","title":"pqclean_nif.mceliece6688128f_info/0","doc":"Returns information about the Classic McEliece 6688128 Key Encapsulation Mechanism (KEM) Algorithm. \#{ type := kem , name := &quot;Classic McEliece 6688128&quot; , secretkeybytes := 13892 , publickeybytes := 1044992 , ciphertextbytes := 240 , sharedsecretbytes := 32 } = pqclean_nif : mceliece6688128f_info ( ) See also: mceliece6688128f_decapsulate/2 , mceliece6688128f_encapsulate/1 , mceliece6688128f_keypair/0 .","ref":"pqclean_nif.html#mceliece6688128f_info/0"},{"type":"function","title":"pqclean_nif.mceliece6688128f_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the Classic McEliece 6688128 KEM Algorithm. PublicKey is a binary of size 1,044,992-bytes. SecretKey is a binary of size 13,892-bytes. { PK , SK } = pqclean_nif : mceliece6688128f_keypair ( ) . WARNING: Classic McEliece 6688128 requires a large stack (&gt;= 8MB). See Large Stack Support in the README for more information. See also: mceliece6688128f_decapsulate/2 , mceliece6688128f_encapsulate/1 .","ref":"pqclean_nif.html#mceliece6688128f_keypair/0"},{"type":"function","title":"pqclean_nif.mceliece6960119_decapsulate/2","doc":"Decapsulates a SharedSecret for from a CipherText and SecretKey using the Classic McEliece 6960119 KEM Algorithm. Anyone can encapsulate a new SharedSecret using the PublicKey . Only the owner of the corresponding SecretKey will be able to decapsulate the SharedSecret . SharedSecret is a binary of size 32-bytes. NOTE: Only PublicKey and CipherText are safe to share publicly, whereas SecretKey and SharedSecret are to be kept private. { PK , SK } = pqclean_nif : mceliece6960119_keypair ( ) , { CT , SS } = pqclean_nif : mceliece6960119_encapsulate ( PK ) , SS = pqclean_nif : mceliece6960119_decapsulate ( CT , SK ) . See also: mceliece6960119_encapsulate/1 .","ref":"pqclean_nif.html#mceliece6960119_decapsulate/2"},{"type":"function","title":"pqclean_nif.mceliece6960119_encapsulate/1","doc":"Encapsulates a new SharedSecret for PublicKey using the Classic McEliece 6960119 KEM Algorithm. Anyone can encapsulate a new SharedSecret using the PublicKey . Only the owner of the corresponding SecretKey will be able to decapsulate the SharedSecret . CipherText is a binary of size 226-bytes. SharedSecret is a binary of size 32-bytes. NOTE: Only PublicKey and CipherText are safe to share publicly, whereas SecretKey and SharedSecret are to be kept private. { PK , SK } = pqclean_nif : mceliece6960119_keypair ( ) , { CT , SS } = pqclean_nif : mceliece6960119_encapsulate ( PK ) . See also: mceliece6960119_decapsulate/2 .","ref":"pqclean_nif.html#mceliece6960119_encapsulate/1"},{"type":"function","title":"pqclean_nif.mceliece6960119_info/0","doc":"Returns information about the Classic McEliece 6960119 Key Encapsulation Mechanism (KEM) Algorithm. \#{ type := kem , name := &quot;Classic McEliece 6960119&quot; , secretkeybytes := 13908 , publickeybytes := 1047319 , ciphertextbytes := 226 , sharedsecretbytes := 32 } = pqclean_nif : mceliece6960119_info ( ) See also: mceliece6960119_decapsulate/2 , mceliece6960119_encapsulate/1 , mceliece6960119_keypair/0 .","ref":"pqclean_nif.html#mceliece6960119_info/0"},{"type":"function","title":"pqclean_nif.mceliece6960119_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the Classic McEliece 6960119 KEM Algorithm. PublicKey is a binary of size 1,047,319-bytes. SecretKey is a binary of size 13,908-bytes. { PK , SK } = pqclean_nif : mceliece6960119_keypair ( ) . WARNING: Classic McEliece 6960119 requires a large stack (&gt;= 8MB). See Large Stack Support in the README for more information. See also: mceliece6960119_decapsulate/2 , mceliece6960119_encapsulate/1 .","ref":"pqclean_nif.html#mceliece6960119_keypair/0"},{"type":"function","title":"pqclean_nif.mceliece6960119f_decapsulate/2","doc":"Decapsulates a SharedSecret for from a CipherText and SecretKey using the Classic McEliece 6960119f KEM Algorithm. Anyone can encapsulate a new SharedSecret using the PublicKey . Only the owner of the corresponding SecretKey will be able to decapsulate the SharedSecret . SharedSecret is a binary of size 32-bytes. NOTE: Only PublicKey and CipherText are safe to share publicly, whereas SecretKey and SharedSecret are to be kept private. { PK , SK } = pqclean_nif : mceliece6960119f_keypair ( ) , { CT , SS } = pqclean_nif : mceliece6960119f_encapsulate ( PK ) , SS = pqclean_nif : mceliece6960119f_decapsulate ( CT , SK ) . See also: mceliece6960119f_encapsulate/1 .","ref":"pqclean_nif.html#mceliece6960119f_decapsulate/2"},{"type":"function","title":"pqclean_nif.mceliece6960119f_encapsulate/1","doc":"Encapsulates a new SharedSecret for PublicKey using the Classic McEliece 6960119f KEM Algorithm. Anyone can encapsulate a new SharedSecret using the PublicKey . Only the owner of the corresponding SecretKey will be able to decapsulate the SharedSecret . CipherText is a binary of size 226-bytes. SharedSecret is a binary of size 32-bytes. NOTE: Only PublicKey and CipherText are safe to share publicly, whereas SecretKey and SharedSecret are to be kept private. { PK , SK } = pqclean_nif : mceliece6960119f_keypair ( ) , { CT , SS } = pqclean_nif : mceliece6960119f_encapsulate ( PK ) . See also: mceliece6960119f_decapsulate/2 .","ref":"pqclean_nif.html#mceliece6960119f_encapsulate/1"},{"type":"function","title":"pqclean_nif.mceliece6960119f_info/0","doc":"Returns information about the Classic McEliece 6960119f Key Encapsulation Mechanism (KEM) Algorithm. \#{ type := kem , name := &quot;Classic McEliece 6960119f&quot; , secretkeybytes := 13908 , publickeybytes := 1047319 , ciphertextbytes := 226 , sharedsecretbytes := 32 } = pqclean_nif : mceliece6960119f_info ( ) See also: mceliece6960119f_decapsulate/2 , mceliece6960119f_encapsulate/1 , mceliece6960119f_keypair/0 .","ref":"pqclean_nif.html#mceliece6960119f_info/0"},{"type":"function","title":"pqclean_nif.mceliece6960119f_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the Classic McEliece 6960119f KEM Algorithm. PublicKey is a binary of size 1,047,319-bytes. SecretKey is a binary of size 13,908-bytes. { PK , SK } = pqclean_nif : mceliece6960119f_keypair ( ) . WARNING: Classic McEliece 6960119f requires a large stack (&gt;= 8MB). See Large Stack Support in the README for more information. See also: mceliece6960119f_decapsulate/2 , mceliece6960119f_encapsulate/1 .","ref":"pqclean_nif.html#mceliece6960119f_keypair/0"},{"type":"function","title":"pqclean_nif.mceliece8192128_decapsulate/2","doc":"Decapsulates a SharedSecret for from a CipherText and SecretKey using the Classic McEliece 8192128 KEM Algorithm. Anyone can encapsulate a new SharedSecret using the PublicKey . Only the owner of the corresponding SecretKey will be able to decapsulate the SharedSecret . SharedSecret is a binary of size 32-bytes. NOTE: Only PublicKey and CipherText are safe to share publicly, whereas SecretKey and SharedSecret are to be kept private. { PK , SK } = pqclean_nif : mceliece8192128_keypair ( ) , { CT , SS } = pqclean_nif : mceliece8192128_encapsulate ( PK ) , SS = pqclean_nif : mceliece8192128_decapsulate ( CT , SK ) . See also: mceliece8192128_encapsulate/1 .","ref":"pqclean_nif.html#mceliece8192128_decapsulate/2"},{"type":"function","title":"pqclean_nif.mceliece8192128_encapsulate/1","doc":"Encapsulates a new SharedSecret for PublicKey using the Classic McEliece 8192128 KEM Algorithm. Anyone can encapsulate a new SharedSecret using the PublicKey . Only the owner of the corresponding SecretKey will be able to decapsulate the SharedSecret . CipherText is a binary of size 240-bytes. SharedSecret is a binary of size 32-bytes. NOTE: Only PublicKey and CipherText are safe to share publicly, whereas SecretKey and SharedSecret are to be kept private. { PK , SK } = pqclean_nif : mceliece8192128_keypair ( ) , { CT , SS } = pqclean_nif : mceliece8192128_encapsulate ( PK ) . See also: mceliece8192128_decapsulate/2 .","ref":"pqclean_nif.html#mceliece8192128_encapsulate/1"},{"type":"function","title":"pqclean_nif.mceliece8192128_info/0","doc":"Returns information about the Classic McEliece 8192128 Key Encapsulation Mechanism (KEM) Algorithm. \#{ type := kem , name := &quot;Classic McEliece 8192128&quot; , secretkeybytes := 14080 , publickeybytes := 1357824 , ciphertextbytes := 240 , sharedsecretbytes := 32 } = pqclean_nif : mceliece8192128_info ( ) See also: mceliece8192128_decapsulate/2 , mceliece8192128_encapsulate/1 , mceliece8192128_keypair/0 .","ref":"pqclean_nif.html#mceliece8192128_info/0"},{"type":"function","title":"pqclean_nif.mceliece8192128_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the Classic McEliece 8192128 KEM Algorithm. PublicKey is a binary of size 1,357,824-bytes. SecretKey is a binary of size 14,080-bytes. { PK , SK } = pqclean_nif : mceliece8192128_keypair ( ) . WARNING: Classic McEliece 8192128 requires a large stack (&gt;= 8MB). See Large Stack Support in the README for more information. See also: mceliece8192128_decapsulate/2 , mceliece8192128_encapsulate/1 .","ref":"pqclean_nif.html#mceliece8192128_keypair/0"},{"type":"function","title":"pqclean_nif.mceliece8192128f_decapsulate/2","doc":"Decapsulates a SharedSecret for from a CipherText and SecretKey using the Classic McEliece 8192128f KEM Algorithm. Anyone can encapsulate a new SharedSecret using the PublicKey . Only the owner of the corresponding SecretKey will be able to decapsulate the SharedSecret . SharedSecret is a binary of size 32-bytes. NOTE: Only PublicKey and CipherText are safe to share publicly, whereas SecretKey and SharedSecret are to be kept private. { PK , SK } = pqclean_nif : mceliece8192128f_keypair ( ) , { CT , SS } = pqclean_nif : mceliece8192128f_encapsulate ( PK ) , SS = pqclean_nif : mceliece8192128f_decapsulate ( CT , SK ) . See also: mceliece8192128f_encapsulate/1 .","ref":"pqclean_nif.html#mceliece8192128f_decapsulate/2"},{"type":"function","title":"pqclean_nif.mceliece8192128f_encapsulate/1","doc":"Encapsulates a new SharedSecret for PublicKey using the Classic McEliece 8192128f KEM Algorithm. Anyone can encapsulate a new SharedSecret using the PublicKey . Only the owner of the corresponding SecretKey will be able to decapsulate the SharedSecret . CipherText is a binary of size 240-bytes. SharedSecret is a binary of size 32-bytes. NOTE: Only PublicKey and CipherText are safe to share publicly, whereas SecretKey and SharedSecret are to be kept private. { PK , SK } = pqclean_nif : mceliece8192128f_keypair ( ) , { CT , SS } = pqclean_nif : mceliece8192128f_encapsulate ( PK ) . See also: mceliece8192128f_decapsulate/2 .","ref":"pqclean_nif.html#mceliece8192128f_encapsulate/1"},{"type":"function","title":"pqclean_nif.mceliece8192128f_info/0","doc":"Returns information about the Classic McEliece 8192128f Key Encapsulation Mechanism (KEM) Algorithm. \#{ type := kem , name := &quot;Classic McEliece 8192128f&quot; , secretkeybytes := 14080 , publickeybytes := 1357824 , ciphertextbytes := 240 , sharedsecretbytes := 32 } = pqclean_nif : mceliece8192128f_info ( ) See also: mceliece8192128f_decapsulate/2 , mceliece8192128f_encapsulate/1 , mceliece8192128f_keypair/0 .","ref":"pqclean_nif.html#mceliece8192128f_info/0"},{"type":"function","title":"pqclean_nif.mceliece8192128f_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the Classic McEliece 8192128f KEM Algorithm. PublicKey is a binary of size 1,357,824-bytes. SecretKey is a binary of size 14,080-bytes. { PK , SK } = pqclean_nif : mceliece8192128f_keypair ( ) . WARNING: Classic McEliece 8192128f requires a large stack (&gt;= 8MB). See Large Stack Support in the README for more information. See also: mceliece8192128f_decapsulate/2 , mceliece8192128f_encapsulate/1 .","ref":"pqclean_nif.html#mceliece8192128f_keypair/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_128f_robust_info/0","doc":"Returns information about the SPHINCS+-haraka-128f-robust Signature Algorithm. \#{ type := sign , name := &quot;SPHINCS+-haraka-128f-robust&quot; , secretkeybytes := 64 , publickeybytes := 32 , signaturebytes := 17088 , seedbytes := 48 } = pqclean_nif : sphincs_plus_haraka_128f_robust_info ( ) See also: sphincs_plus_haraka_128f_robust_keypair/0 , sphincs_plus_haraka_128f_robust_keypair/1 , sphincs_plus_haraka_128f_robust_sign/2 , sphincs_plus_haraka_128f_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_haraka_128f_robust_info/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_128f_robust_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the SPHINCS+-haraka-128f-robust Signature Algorithm. PublicKey is a binary of size 32-bytes. SecretKey is a binary of size 64-bytes. { PK , SK } = pqclean_nif : sphincs_plus_haraka_128f_robust_keypair ( ) . See also: sphincs_plus_haraka_128f_robust_keypair/1 , sphincs_plus_haraka_128f_robust_sign/2 , sphincs_plus_haraka_128f_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_haraka_128f_robust_keypair/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_128f_robust_keypair/1","doc":"Derives a PublicKey and SecretKey keypair based on Seed for the SPHINCS+-haraka-128f-robust Signature Algorithm. Seed is a binary of size 48-bytes. PublicKey is a binary of size 32-bytes. SecretKey is a binary of size 64-bytes. % WARNING: Example only, NEVER use an all-zero Seed! { ZeroPK , ZeroSK } = pqclean_nif : sphincs_plus_haraka_128f_robust_keypair ( &lt;&lt; 0 : ( 48 * 8 ) &gt;&gt; ) . % Randomly generated Seed: Seed = crypto : strong_rand_bytes ( 48 ) , { SeedPK , SeedSK } = pqclean_nif : sphincs_plus_haraka_128f_robust_keypair ( Seed ) . See also: sphincs_plus_haraka_128f_robust_keypair/0 , sphincs_plus_haraka_128f_robust_sign/2 , sphincs_plus_haraka_128f_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_haraka_128f_robust_keypair/1"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_128f_robust_sign/2","doc":"Signs a Message with SecretKey and returns a Signature using the SPHINCS+-haraka-128f-robust Signature Algorithm. Message is a binary. SecretKey is a binary of size 64-bytes generated from sphincs_plus_haraka_128f_robust_keypair/0 or sphincs_plus_haraka_128f_robust_keypair/1 . Signature is a binary of maximum size 17,088-bytes. { PK , SK } = pqclean_nif : sphincs_plus_haraka_128f_robust_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_haraka_128f_robust_sign ( Msg , SK ) . See also: sphincs_plus_haraka_128f_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_haraka_128f_robust_sign/2"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_128f_robust_verify/3","doc":"Verifies a Signature and Message with PublicKey and returns a Verification using the SPHINCS+-haraka-128f-robust Signature Algorithm. Signature is a binary of maximum size 17,088-bytes. Message is a binary. PublicKey is a binary of size 32-bytes generated from sphincs_plus_haraka_128f_robust_keypair/0 or sphincs_plus_haraka_128f_robust_keypair/1 . Verification is a boolean ( true if the Signature and Message are verified, false otherwise). { PK , SK } = pqclean_nif : sphincs_plus_haraka_128f_robust_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_haraka_128f_robust_sign ( Msg , SK ) , true = pqclean_nif : sphincs_plus_haraka_128f_robust_verify ( Sig , Msg , PK ) . % Example of corrupted message: BadMsg = &lt;&lt; &quot;messag0&quot; &gt;&gt; , false = pqclean_nif : sphincs_plus_haraka_128f_robust_verify ( Sig , BadMsg , PK ) . See also: sphincs_plus_haraka_128f_robust_sign/2 .","ref":"pqclean_nif.html#sphincs_plus_haraka_128f_robust_verify/3"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_128f_simple_info/0","doc":"Returns information about the SPHINCS+-haraka-128f-simple Signature Algorithm. \#{ type := sign , name := &quot;SPHINCS+-haraka-128f-simple&quot; , secretkeybytes := 64 , publickeybytes := 32 , signaturebytes := 17088 , seedbytes := 48 } = pqclean_nif : sphincs_plus_haraka_128f_simple_info ( ) See also: sphincs_plus_haraka_128f_simple_keypair/0 , sphincs_plus_haraka_128f_simple_keypair/1 , sphincs_plus_haraka_128f_simple_sign/2 , sphincs_plus_haraka_128f_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_haraka_128f_simple_info/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_128f_simple_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the SPHINCS+-haraka-128f-simple Signature Algorithm. PublicKey is a binary of size 32-bytes. SecretKey is a binary of size 64-bytes. { PK , SK } = pqclean_nif : sphincs_plus_haraka_128f_simple_keypair ( ) . See also: sphincs_plus_haraka_128f_simple_keypair/1 , sphincs_plus_haraka_128f_simple_sign/2 , sphincs_plus_haraka_128f_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_haraka_128f_simple_keypair/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_128f_simple_keypair/1","doc":"Derives a PublicKey and SecretKey keypair based on Seed for the SPHINCS+-haraka-128f-simple Signature Algorithm. Seed is a binary of size 48-bytes. PublicKey is a binary of size 32-bytes. SecretKey is a binary of size 64-bytes. % WARNING: Example only, NEVER use an all-zero Seed! { ZeroPK , ZeroSK } = pqclean_nif : sphincs_plus_haraka_128f_simple_keypair ( &lt;&lt; 0 : ( 48 * 8 ) &gt;&gt; ) . % Randomly generated Seed: Seed = crypto : strong_rand_bytes ( 48 ) , { SeedPK , SeedSK } = pqclean_nif : sphincs_plus_haraka_128f_simple_keypair ( Seed ) . See also: sphincs_plus_haraka_128f_simple_keypair/0 , sphincs_plus_haraka_128f_simple_sign/2 , sphincs_plus_haraka_128f_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_haraka_128f_simple_keypair/1"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_128f_simple_sign/2","doc":"Signs a Message with SecretKey and returns a Signature using the SPHINCS+-haraka-128f-simple Signature Algorithm. Message is a binary. SecretKey is a binary of size 64-bytes generated from sphincs_plus_haraka_128f_simple_keypair/0 or sphincs_plus_haraka_128f_simple_keypair/1 . Signature is a binary of maximum size 17,088-bytes. { PK , SK } = pqclean_nif : sphincs_plus_haraka_128f_simple_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_haraka_128f_simple_sign ( Msg , SK ) . See also: sphincs_plus_haraka_128f_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_haraka_128f_simple_sign/2"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_128f_simple_verify/3","doc":"Verifies a Signature and Message with PublicKey and returns a Verification using the SPHINCS+-haraka-128f-simple Signature Algorithm. Signature is a binary of maximum size 17,088-bytes. Message is a binary. PublicKey is a binary of size 32-bytes generated from sphincs_plus_haraka_128f_simple_keypair/0 or sphincs_plus_haraka_128f_simple_keypair/1 . Verification is a boolean ( true if the Signature and Message are verified, false otherwise). { PK , SK } = pqclean_nif : sphincs_plus_haraka_128f_simple_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_haraka_128f_simple_sign ( Msg , SK ) , true = pqclean_nif : sphincs_plus_haraka_128f_simple_verify ( Sig , Msg , PK ) . % Example of corrupted message: BadMsg = &lt;&lt; &quot;messag0&quot; &gt;&gt; , false = pqclean_nif : sphincs_plus_haraka_128f_simple_verify ( Sig , BadMsg , PK ) . See also: sphincs_plus_haraka_128f_simple_sign/2 .","ref":"pqclean_nif.html#sphincs_plus_haraka_128f_simple_verify/3"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_128s_robust_info/0","doc":"Returns information about the SPHINCS+-haraka-128s-robust Signature Algorithm. \#{ type := sign , name := &quot;SPHINCS+-haraka-128s-robust&quot; , secretkeybytes := 64 , publickeybytes := 32 , signaturebytes := 7856 , seedbytes := 48 } = pqclean_nif : sphincs_plus_haraka_128s_robust_info ( ) See also: sphincs_plus_haraka_128s_robust_keypair/0 , sphincs_plus_haraka_128s_robust_keypair/1 , sphincs_plus_haraka_128s_robust_sign/2 , sphincs_plus_haraka_128s_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_haraka_128s_robust_info/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_128s_robust_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the SPHINCS+-haraka-128s-robust Signature Algorithm. PublicKey is a binary of size 32-bytes. SecretKey is a binary of size 64-bytes. { PK , SK } = pqclean_nif : sphincs_plus_haraka_128s_robust_keypair ( ) . See also: sphincs_plus_haraka_128s_robust_keypair/1 , sphincs_plus_haraka_128s_robust_sign/2 , sphincs_plus_haraka_128s_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_haraka_128s_robust_keypair/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_128s_robust_keypair/1","doc":"Derives a PublicKey and SecretKey keypair based on Seed for the SPHINCS+-haraka-128s-robust Signature Algorithm. Seed is a binary of size 48-bytes. PublicKey is a binary of size 32-bytes. SecretKey is a binary of size 64-bytes. % WARNING: Example only, NEVER use an all-zero Seed! { ZeroPK , ZeroSK } = pqclean_nif : sphincs_plus_haraka_128s_robust_keypair ( &lt;&lt; 0 : ( 48 * 8 ) &gt;&gt; ) . % Randomly generated Seed: Seed = crypto : strong_rand_bytes ( 48 ) , { SeedPK , SeedSK } = pqclean_nif : sphincs_plus_haraka_128s_robust_keypair ( Seed ) . See also: sphincs_plus_haraka_128s_robust_keypair/0 , sphincs_plus_haraka_128s_robust_sign/2 , sphincs_plus_haraka_128s_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_haraka_128s_robust_keypair/1"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_128s_robust_sign/2","doc":"Signs a Message with SecretKey and returns a Signature using the SPHINCS+-haraka-128s-robust Signature Algorithm. Message is a binary. SecretKey is a binary of size 64-bytes generated from sphincs_plus_haraka_128s_robust_keypair/0 or sphincs_plus_haraka_128s_robust_keypair/1 . Signature is a binary of maximum size 7,856-bytes. { PK , SK } = pqclean_nif : sphincs_plus_haraka_128s_robust_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_haraka_128s_robust_sign ( Msg , SK ) . See also: sphincs_plus_haraka_128s_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_haraka_128s_robust_sign/2"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_128s_robust_verify/3","doc":"Verifies a Signature and Message with PublicKey and returns a Verification using the SPHINCS+-haraka-128s-robust Signature Algorithm. Signature is a binary of maximum size 7,856-bytes. Message is a binary. PublicKey is a binary of size 32-bytes generated from sphincs_plus_haraka_128s_robust_keypair/0 or sphincs_plus_haraka_128s_robust_keypair/1 . Verification is a boolean ( true if the Signature and Message are verified, false otherwise). { PK , SK } = pqclean_nif : sphincs_plus_haraka_128s_robust_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_haraka_128s_robust_sign ( Msg , SK ) , true = pqclean_nif : sphincs_plus_haraka_128s_robust_verify ( Sig , Msg , PK ) . % Example of corrupted message: BadMsg = &lt;&lt; &quot;messag0&quot; &gt;&gt; , false = pqclean_nif : sphincs_plus_haraka_128s_robust_verify ( Sig , BadMsg , PK ) . See also: sphincs_plus_haraka_128s_robust_sign/2 .","ref":"pqclean_nif.html#sphincs_plus_haraka_128s_robust_verify/3"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_128s_simple_info/0","doc":"Returns information about the SPHINCS+-haraka-128s-simple Signature Algorithm. \#{ type := sign , name := &quot;SPHINCS+-haraka-128s-simple&quot; , secretkeybytes := 64 , publickeybytes := 32 , signaturebytes := 7856 , seedbytes := 48 } = pqclean_nif : sphincs_plus_haraka_128s_simple_info ( ) See also: sphincs_plus_haraka_128s_simple_keypair/0 , sphincs_plus_haraka_128s_simple_keypair/1 , sphincs_plus_haraka_128s_simple_sign/2 , sphincs_plus_haraka_128s_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_haraka_128s_simple_info/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_128s_simple_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the SPHINCS+-haraka-128s-simple Signature Algorithm. PublicKey is a binary of size 32-bytes. SecretKey is a binary of size 64-bytes. { PK , SK } = pqclean_nif : sphincs_plus_haraka_128s_simple_keypair ( ) . See also: sphincs_plus_haraka_128s_simple_keypair/1 , sphincs_plus_haraka_128s_simple_sign/2 , sphincs_plus_haraka_128s_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_haraka_128s_simple_keypair/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_128s_simple_keypair/1","doc":"Derives a PublicKey and SecretKey keypair based on Seed for the SPHINCS+-haraka-128s-simple Signature Algorithm. Seed is a binary of size 48-bytes. PublicKey is a binary of size 32-bytes. SecretKey is a binary of size 64-bytes. % WARNING: Example only, NEVER use an all-zero Seed! { ZeroPK , ZeroSK } = pqclean_nif : sphincs_plus_haraka_128s_simple_keypair ( &lt;&lt; 0 : ( 48 * 8 ) &gt;&gt; ) . % Randomly generated Seed: Seed = crypto : strong_rand_bytes ( 48 ) , { SeedPK , SeedSK } = pqclean_nif : sphincs_plus_haraka_128s_simple_keypair ( Seed ) . See also: sphincs_plus_haraka_128s_simple_keypair/0 , sphincs_plus_haraka_128s_simple_sign/2 , sphincs_plus_haraka_128s_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_haraka_128s_simple_keypair/1"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_128s_simple_sign/2","doc":"Signs a Message with SecretKey and returns a Signature using the SPHINCS+-haraka-128s-simple Signature Algorithm. Message is a binary. SecretKey is a binary of size 64-bytes generated from sphincs_plus_haraka_128s_simple_keypair/0 or sphincs_plus_haraka_128s_simple_keypair/1 . Signature is a binary of maximum size 7,856-bytes. { PK , SK } = pqclean_nif : sphincs_plus_haraka_128s_simple_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_haraka_128s_simple_sign ( Msg , SK ) . See also: sphincs_plus_haraka_128s_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_haraka_128s_simple_sign/2"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_128s_simple_verify/3","doc":"Verifies a Signature and Message with PublicKey and returns a Verification using the SPHINCS+-haraka-128s-simple Signature Algorithm. Signature is a binary of maximum size 7,856-bytes. Message is a binary. PublicKey is a binary of size 32-bytes generated from sphincs_plus_haraka_128s_simple_keypair/0 or sphincs_plus_haraka_128s_simple_keypair/1 . Verification is a boolean ( true if the Signature and Message are verified, false otherwise). { PK , SK } = pqclean_nif : sphincs_plus_haraka_128s_simple_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_haraka_128s_simple_sign ( Msg , SK ) , true = pqclean_nif : sphincs_plus_haraka_128s_simple_verify ( Sig , Msg , PK ) . % Example of corrupted message: BadMsg = &lt;&lt; &quot;messag0&quot; &gt;&gt; , false = pqclean_nif : sphincs_plus_haraka_128s_simple_verify ( Sig , BadMsg , PK ) . See also: sphincs_plus_haraka_128s_simple_sign/2 .","ref":"pqclean_nif.html#sphincs_plus_haraka_128s_simple_verify/3"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_192f_robust_info/0","doc":"Returns information about the SPHINCS+-haraka-192f-robust Signature Algorithm. \#{ type := sign , name := &quot;SPHINCS+-haraka-192f-robust&quot; , secretkeybytes := 96 , publickeybytes := 48 , signaturebytes := 35664 , seedbytes := 72 } = pqclean_nif : sphincs_plus_haraka_192f_robust_info ( ) See also: sphincs_plus_haraka_192f_robust_keypair/0 , sphincs_plus_haraka_192f_robust_keypair/1 , sphincs_plus_haraka_192f_robust_sign/2 , sphincs_plus_haraka_192f_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_haraka_192f_robust_info/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_192f_robust_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the SPHINCS+-haraka-192f-robust Signature Algorithm. PublicKey is a binary of size 48-bytes. SecretKey is a binary of size 96-bytes. { PK , SK } = pqclean_nif : sphincs_plus_haraka_192f_robust_keypair ( ) . See also: sphincs_plus_haraka_192f_robust_keypair/1 , sphincs_plus_haraka_192f_robust_sign/2 , sphincs_plus_haraka_192f_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_haraka_192f_robust_keypair/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_192f_robust_keypair/1","doc":"Derives a PublicKey and SecretKey keypair based on Seed for the SPHINCS+-haraka-192f-robust Signature Algorithm. Seed is a binary of size 72-bytes. PublicKey is a binary of size 48-bytes. SecretKey is a binary of size 96-bytes. % WARNING: Example only, NEVER use an all-zero Seed! { ZeroPK , ZeroSK } = pqclean_nif : sphincs_plus_haraka_192f_robust_keypair ( &lt;&lt; 0 : ( 72 * 8 ) &gt;&gt; ) . % Randomly generated Seed: Seed = crypto : strong_rand_bytes ( 72 ) , { SeedPK , SeedSK } = pqclean_nif : sphincs_plus_haraka_192f_robust_keypair ( Seed ) . See also: sphincs_plus_haraka_192f_robust_keypair/0 , sphincs_plus_haraka_192f_robust_sign/2 , sphincs_plus_haraka_192f_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_haraka_192f_robust_keypair/1"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_192f_robust_sign/2","doc":"Signs a Message with SecretKey and returns a Signature using the SPHINCS+-haraka-192f-robust Signature Algorithm. Message is a binary. SecretKey is a binary of size 96-bytes generated from sphincs_plus_haraka_192f_robust_keypair/0 or sphincs_plus_haraka_192f_robust_keypair/1 . Signature is a binary of maximum size 35,664-bytes. { PK , SK } = pqclean_nif : sphincs_plus_haraka_192f_robust_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_haraka_192f_robust_sign ( Msg , SK ) . See also: sphincs_plus_haraka_192f_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_haraka_192f_robust_sign/2"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_192f_robust_verify/3","doc":"Verifies a Signature and Message with PublicKey and returns a Verification using the SPHINCS+-haraka-192f-robust Signature Algorithm. Signature is a binary of maximum size 35,664-bytes. Message is a binary. PublicKey is a binary of size 48-bytes generated from sphincs_plus_haraka_192f_robust_keypair/0 or sphincs_plus_haraka_192f_robust_keypair/1 . Verification is a boolean ( true if the Signature and Message are verified, false otherwise). { PK , SK } = pqclean_nif : sphincs_plus_haraka_192f_robust_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_haraka_192f_robust_sign ( Msg , SK ) , true = pqclean_nif : sphincs_plus_haraka_192f_robust_verify ( Sig , Msg , PK ) . % Example of corrupted message: BadMsg = &lt;&lt; &quot;messag0&quot; &gt;&gt; , false = pqclean_nif : sphincs_plus_haraka_192f_robust_verify ( Sig , BadMsg , PK ) . See also: sphincs_plus_haraka_192f_robust_sign/2 .","ref":"pqclean_nif.html#sphincs_plus_haraka_192f_robust_verify/3"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_192f_simple_info/0","doc":"Returns information about the SPHINCS+-haraka-192f-simple Signature Algorithm. \#{ type := sign , name := &quot;SPHINCS+-haraka-192f-simple&quot; , secretkeybytes := 96 , publickeybytes := 48 , signaturebytes := 35664 , seedbytes := 72 } = pqclean_nif : sphincs_plus_haraka_192f_simple_info ( ) See also: sphincs_plus_haraka_192f_simple_keypair/0 , sphincs_plus_haraka_192f_simple_keypair/1 , sphincs_plus_haraka_192f_simple_sign/2 , sphincs_plus_haraka_192f_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_haraka_192f_simple_info/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_192f_simple_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the SPHINCS+-haraka-192f-simple Signature Algorithm. PublicKey is a binary of size 48-bytes. SecretKey is a binary of size 96-bytes. { PK , SK } = pqclean_nif : sphincs_plus_haraka_192f_simple_keypair ( ) . See also: sphincs_plus_haraka_192f_simple_keypair/1 , sphincs_plus_haraka_192f_simple_sign/2 , sphincs_plus_haraka_192f_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_haraka_192f_simple_keypair/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_192f_simple_keypair/1","doc":"Derives a PublicKey and SecretKey keypair based on Seed for the SPHINCS+-haraka-192f-simple Signature Algorithm. Seed is a binary of size 72-bytes. PublicKey is a binary of size 48-bytes. SecretKey is a binary of size 96-bytes. % WARNING: Example only, NEVER use an all-zero Seed! { ZeroPK , ZeroSK } = pqclean_nif : sphincs_plus_haraka_192f_simple_keypair ( &lt;&lt; 0 : ( 72 * 8 ) &gt;&gt; ) . % Randomly generated Seed: Seed = crypto : strong_rand_bytes ( 72 ) , { SeedPK , SeedSK } = pqclean_nif : sphincs_plus_haraka_192f_simple_keypair ( Seed ) . See also: sphincs_plus_haraka_192f_simple_keypair/0 , sphincs_plus_haraka_192f_simple_sign/2 , sphincs_plus_haraka_192f_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_haraka_192f_simple_keypair/1"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_192f_simple_sign/2","doc":"Signs a Message with SecretKey and returns a Signature using the SPHINCS+-haraka-192f-simple Signature Algorithm. Message is a binary. SecretKey is a binary of size 96-bytes generated from sphincs_plus_haraka_192f_simple_keypair/0 or sphincs_plus_haraka_192f_simple_keypair/1 . Signature is a binary of maximum size 35,664-bytes. { PK , SK } = pqclean_nif : sphincs_plus_haraka_192f_simple_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_haraka_192f_simple_sign ( Msg , SK ) . See also: sphincs_plus_haraka_192f_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_haraka_192f_simple_sign/2"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_192f_simple_verify/3","doc":"Verifies a Signature and Message with PublicKey and returns a Verification using the SPHINCS+-haraka-192f-simple Signature Algorithm. Signature is a binary of maximum size 35,664-bytes. Message is a binary. PublicKey is a binary of size 48-bytes generated from sphincs_plus_haraka_192f_simple_keypair/0 or sphincs_plus_haraka_192f_simple_keypair/1 . Verification is a boolean ( true if the Signature and Message are verified, false otherwise). { PK , SK } = pqclean_nif : sphincs_plus_haraka_192f_simple_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_haraka_192f_simple_sign ( Msg , SK ) , true = pqclean_nif : sphincs_plus_haraka_192f_simple_verify ( Sig , Msg , PK ) . % Example of corrupted message: BadMsg = &lt;&lt; &quot;messag0&quot; &gt;&gt; , false = pqclean_nif : sphincs_plus_haraka_192f_simple_verify ( Sig , BadMsg , PK ) . See also: sphincs_plus_haraka_192f_simple_sign/2 .","ref":"pqclean_nif.html#sphincs_plus_haraka_192f_simple_verify/3"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_192s_robust_info/0","doc":"Returns information about the SPHINCS+-haraka-192s-robust Signature Algorithm. \#{ type := sign , name := &quot;SPHINCS+-haraka-192s-robust&quot; , secretkeybytes := 96 , publickeybytes := 48 , signaturebytes := 16224 , seedbytes := 72 } = pqclean_nif : sphincs_plus_haraka_192s_robust_info ( ) See also: sphincs_plus_haraka_192s_robust_keypair/0 , sphincs_plus_haraka_192s_robust_keypair/1 , sphincs_plus_haraka_192s_robust_sign/2 , sphincs_plus_haraka_192s_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_haraka_192s_robust_info/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_192s_robust_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the SPHINCS+-haraka-192s-robust Signature Algorithm. PublicKey is a binary of size 48-bytes. SecretKey is a binary of size 96-bytes. { PK , SK } = pqclean_nif : sphincs_plus_haraka_192s_robust_keypair ( ) . See also: sphincs_plus_haraka_192s_robust_keypair/1 , sphincs_plus_haraka_192s_robust_sign/2 , sphincs_plus_haraka_192s_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_haraka_192s_robust_keypair/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_192s_robust_keypair/1","doc":"Derives a PublicKey and SecretKey keypair based on Seed for the SPHINCS+-haraka-192s-robust Signature Algorithm. Seed is a binary of size 72-bytes. PublicKey is a binary of size 48-bytes. SecretKey is a binary of size 96-bytes. % WARNING: Example only, NEVER use an all-zero Seed! { ZeroPK , ZeroSK } = pqclean_nif : sphincs_plus_haraka_192s_robust_keypair ( &lt;&lt; 0 : ( 72 * 8 ) &gt;&gt; ) . % Randomly generated Seed: Seed = crypto : strong_rand_bytes ( 72 ) , { SeedPK , SeedSK } = pqclean_nif : sphincs_plus_haraka_192s_robust_keypair ( Seed ) . See also: sphincs_plus_haraka_192s_robust_keypair/0 , sphincs_plus_haraka_192s_robust_sign/2 , sphincs_plus_haraka_192s_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_haraka_192s_robust_keypair/1"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_192s_robust_sign/2","doc":"Signs a Message with SecretKey and returns a Signature using the SPHINCS+-haraka-192s-robust Signature Algorithm. Message is a binary. SecretKey is a binary of size 96-bytes generated from sphincs_plus_haraka_192s_robust_keypair/0 or sphincs_plus_haraka_192s_robust_keypair/1 . Signature is a binary of maximum size 16,224-bytes. { PK , SK } = pqclean_nif : sphincs_plus_haraka_192s_robust_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_haraka_192s_robust_sign ( Msg , SK ) . See also: sphincs_plus_haraka_192s_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_haraka_192s_robust_sign/2"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_192s_robust_verify/3","doc":"Verifies a Signature and Message with PublicKey and returns a Verification using the SPHINCS+-haraka-192s-robust Signature Algorithm. Signature is a binary of maximum size 16,224-bytes. Message is a binary. PublicKey is a binary of size 48-bytes generated from sphincs_plus_haraka_192s_robust_keypair/0 or sphincs_plus_haraka_192s_robust_keypair/1 . Verification is a boolean ( true if the Signature and Message are verified, false otherwise). { PK , SK } = pqclean_nif : sphincs_plus_haraka_192s_robust_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_haraka_192s_robust_sign ( Msg , SK ) , true = pqclean_nif : sphincs_plus_haraka_192s_robust_verify ( Sig , Msg , PK ) . % Example of corrupted message: BadMsg = &lt;&lt; &quot;messag0&quot; &gt;&gt; , false = pqclean_nif : sphincs_plus_haraka_192s_robust_verify ( Sig , BadMsg , PK ) . See also: sphincs_plus_haraka_192s_robust_sign/2 .","ref":"pqclean_nif.html#sphincs_plus_haraka_192s_robust_verify/3"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_192s_simple_info/0","doc":"Returns information about the SPHINCS+-haraka-192s-simple Signature Algorithm. \#{ type := sign , name := &quot;SPHINCS+-haraka-192s-simple&quot; , secretkeybytes := 96 , publickeybytes := 48 , signaturebytes := 16224 , seedbytes := 72 } = pqclean_nif : sphincs_plus_haraka_192s_simple_info ( ) See also: sphincs_plus_haraka_192s_simple_keypair/0 , sphincs_plus_haraka_192s_simple_keypair/1 , sphincs_plus_haraka_192s_simple_sign/2 , sphincs_plus_haraka_192s_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_haraka_192s_simple_info/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_192s_simple_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the SPHINCS+-haraka-192s-simple Signature Algorithm. PublicKey is a binary of size 48-bytes. SecretKey is a binary of size 96-bytes. { PK , SK } = pqclean_nif : sphincs_plus_haraka_192s_simple_keypair ( ) . See also: sphincs_plus_haraka_192s_simple_keypair/1 , sphincs_plus_haraka_192s_simple_sign/2 , sphincs_plus_haraka_192s_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_haraka_192s_simple_keypair/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_192s_simple_keypair/1","doc":"Derives a PublicKey and SecretKey keypair based on Seed for the SPHINCS+-haraka-192s-simple Signature Algorithm. Seed is a binary of size 72-bytes. PublicKey is a binary of size 48-bytes. SecretKey is a binary of size 96-bytes. % WARNING: Example only, NEVER use an all-zero Seed! { ZeroPK , ZeroSK } = pqclean_nif : sphincs_plus_haraka_192s_simple_keypair ( &lt;&lt; 0 : ( 72 * 8 ) &gt;&gt; ) . % Randomly generated Seed: Seed = crypto : strong_rand_bytes ( 72 ) , { SeedPK , SeedSK } = pqclean_nif : sphincs_plus_haraka_192s_simple_keypair ( Seed ) . See also: sphincs_plus_haraka_192s_simple_keypair/0 , sphincs_plus_haraka_192s_simple_sign/2 , sphincs_plus_haraka_192s_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_haraka_192s_simple_keypair/1"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_192s_simple_sign/2","doc":"Signs a Message with SecretKey and returns a Signature using the SPHINCS+-haraka-192s-simple Signature Algorithm. Message is a binary. SecretKey is a binary of size 96-bytes generated from sphincs_plus_haraka_192s_simple_keypair/0 or sphincs_plus_haraka_192s_simple_keypair/1 . Signature is a binary of maximum size 16,224-bytes. { PK , SK } = pqclean_nif : sphincs_plus_haraka_192s_simple_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_haraka_192s_simple_sign ( Msg , SK ) . See also: sphincs_plus_haraka_192s_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_haraka_192s_simple_sign/2"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_192s_simple_verify/3","doc":"Verifies a Signature and Message with PublicKey and returns a Verification using the SPHINCS+-haraka-192s-simple Signature Algorithm. Signature is a binary of maximum size 16,224-bytes. Message is a binary. PublicKey is a binary of size 48-bytes generated from sphincs_plus_haraka_192s_simple_keypair/0 or sphincs_plus_haraka_192s_simple_keypair/1 . Verification is a boolean ( true if the Signature and Message are verified, false otherwise). { PK , SK } = pqclean_nif : sphincs_plus_haraka_192s_simple_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_haraka_192s_simple_sign ( Msg , SK ) , true = pqclean_nif : sphincs_plus_haraka_192s_simple_verify ( Sig , Msg , PK ) . % Example of corrupted message: BadMsg = &lt;&lt; &quot;messag0&quot; &gt;&gt; , false = pqclean_nif : sphincs_plus_haraka_192s_simple_verify ( Sig , BadMsg , PK ) . See also: sphincs_plus_haraka_192s_simple_sign/2 .","ref":"pqclean_nif.html#sphincs_plus_haraka_192s_simple_verify/3"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_256f_robust_info/0","doc":"Returns information about the SPHINCS+-haraka-256f-robust Signature Algorithm. \#{ type := sign , name := &quot;SPHINCS+-haraka-256f-robust&quot; , secretkeybytes := 128 , publickeybytes := 64 , signaturebytes := 49856 , seedbytes := 96 } = pqclean_nif : sphincs_plus_haraka_256f_robust_info ( ) See also: sphincs_plus_haraka_256f_robust_keypair/0 , sphincs_plus_haraka_256f_robust_keypair/1 , sphincs_plus_haraka_256f_robust_sign/2 , sphincs_plus_haraka_256f_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_haraka_256f_robust_info/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_256f_robust_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the SPHINCS+-haraka-256f-robust Signature Algorithm. PublicKey is a binary of size 64-bytes. SecretKey is a binary of size 128-bytes. { PK , SK } = pqclean_nif : sphincs_plus_haraka_256f_robust_keypair ( ) . See also: sphincs_plus_haraka_256f_robust_keypair/1 , sphincs_plus_haraka_256f_robust_sign/2 , sphincs_plus_haraka_256f_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_haraka_256f_robust_keypair/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_256f_robust_keypair/1","doc":"Derives a PublicKey and SecretKey keypair based on Seed for the SPHINCS+-haraka-256f-robust Signature Algorithm. Seed is a binary of size 96-bytes. PublicKey is a binary of size 64-bytes. SecretKey is a binary of size 128-bytes. % WARNING: Example only, NEVER use an all-zero Seed! { ZeroPK , ZeroSK } = pqclean_nif : sphincs_plus_haraka_256f_robust_keypair ( &lt;&lt; 0 : ( 96 * 8 ) &gt;&gt; ) . % Randomly generated Seed: Seed = crypto : strong_rand_bytes ( 96 ) , { SeedPK , SeedSK } = pqclean_nif : sphincs_plus_haraka_256f_robust_keypair ( Seed ) . See also: sphincs_plus_haraka_256f_robust_keypair/0 , sphincs_plus_haraka_256f_robust_sign/2 , sphincs_plus_haraka_256f_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_haraka_256f_robust_keypair/1"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_256f_robust_sign/2","doc":"Signs a Message with SecretKey and returns a Signature using the SPHINCS+-haraka-256f-robust Signature Algorithm. Message is a binary. SecretKey is a binary of size 128-bytes generated from sphincs_plus_haraka_256f_robust_keypair/0 or sphincs_plus_haraka_256f_robust_keypair/1 . Signature is a binary of maximum size 49,856-bytes. { PK , SK } = pqclean_nif : sphincs_plus_haraka_256f_robust_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_haraka_256f_robust_sign ( Msg , SK ) . See also: sphincs_plus_haraka_256f_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_haraka_256f_robust_sign/2"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_256f_robust_verify/3","doc":"Verifies a Signature and Message with PublicKey and returns a Verification using the SPHINCS+-haraka-256f-robust Signature Algorithm. Signature is a binary of maximum size 49,856-bytes. Message is a binary. PublicKey is a binary of size 64-bytes generated from sphincs_plus_haraka_256f_robust_keypair/0 or sphincs_plus_haraka_256f_robust_keypair/1 . Verification is a boolean ( true if the Signature and Message are verified, false otherwise). { PK , SK } = pqclean_nif : sphincs_plus_haraka_256f_robust_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_haraka_256f_robust_sign ( Msg , SK ) , true = pqclean_nif : sphincs_plus_haraka_256f_robust_verify ( Sig , Msg , PK ) . % Example of corrupted message: BadMsg = &lt;&lt; &quot;messag0&quot; &gt;&gt; , false = pqclean_nif : sphincs_plus_haraka_256f_robust_verify ( Sig , BadMsg , PK ) . See also: sphincs_plus_haraka_256f_robust_sign/2 .","ref":"pqclean_nif.html#sphincs_plus_haraka_256f_robust_verify/3"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_256f_simple_info/0","doc":"Returns information about the SPHINCS+-haraka-256f-simple Signature Algorithm. \#{ type := sign , name := &quot;SPHINCS+-haraka-256f-simple&quot; , secretkeybytes := 128 , publickeybytes := 64 , signaturebytes := 49856 , seedbytes := 96 } = pqclean_nif : sphincs_plus_haraka_256f_simple_info ( ) See also: sphincs_plus_haraka_256f_simple_keypair/0 , sphincs_plus_haraka_256f_simple_keypair/1 , sphincs_plus_haraka_256f_simple_sign/2 , sphincs_plus_haraka_256f_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_haraka_256f_simple_info/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_256f_simple_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the SPHINCS+-haraka-256f-simple Signature Algorithm. PublicKey is a binary of size 64-bytes. SecretKey is a binary of size 128-bytes. { PK , SK } = pqclean_nif : sphincs_plus_haraka_256f_simple_keypair ( ) . See also: sphincs_plus_haraka_256f_simple_keypair/1 , sphincs_plus_haraka_256f_simple_sign/2 , sphincs_plus_haraka_256f_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_haraka_256f_simple_keypair/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_256f_simple_keypair/1","doc":"Derives a PublicKey and SecretKey keypair based on Seed for the SPHINCS+-haraka-256f-simple Signature Algorithm. Seed is a binary of size 96-bytes. PublicKey is a binary of size 64-bytes. SecretKey is a binary of size 128-bytes. % WARNING: Example only, NEVER use an all-zero Seed! { ZeroPK , ZeroSK } = pqclean_nif : sphincs_plus_haraka_256f_simple_keypair ( &lt;&lt; 0 : ( 96 * 8 ) &gt;&gt; ) . % Randomly generated Seed: Seed = crypto : strong_rand_bytes ( 96 ) , { SeedPK , SeedSK } = pqclean_nif : sphincs_plus_haraka_256f_simple_keypair ( Seed ) . See also: sphincs_plus_haraka_256f_simple_keypair/0 , sphincs_plus_haraka_256f_simple_sign/2 , sphincs_plus_haraka_256f_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_haraka_256f_simple_keypair/1"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_256f_simple_sign/2","doc":"Signs a Message with SecretKey and returns a Signature using the SPHINCS+-haraka-256f-simple Signature Algorithm. Message is a binary. SecretKey is a binary of size 128-bytes generated from sphincs_plus_haraka_256f_simple_keypair/0 or sphincs_plus_haraka_256f_simple_keypair/1 . Signature is a binary of maximum size 49,856-bytes. { PK , SK } = pqclean_nif : sphincs_plus_haraka_256f_simple_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_haraka_256f_simple_sign ( Msg , SK ) . See also: sphincs_plus_haraka_256f_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_haraka_256f_simple_sign/2"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_256f_simple_verify/3","doc":"Verifies a Signature and Message with PublicKey and returns a Verification using the SPHINCS+-haraka-256f-simple Signature Algorithm. Signature is a binary of maximum size 49,856-bytes. Message is a binary. PublicKey is a binary of size 64-bytes generated from sphincs_plus_haraka_256f_simple_keypair/0 or sphincs_plus_haraka_256f_simple_keypair/1 . Verification is a boolean ( true if the Signature and Message are verified, false otherwise). { PK , SK } = pqclean_nif : sphincs_plus_haraka_256f_simple_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_haraka_256f_simple_sign ( Msg , SK ) , true = pqclean_nif : sphincs_plus_haraka_256f_simple_verify ( Sig , Msg , PK ) . % Example of corrupted message: BadMsg = &lt;&lt; &quot;messag0&quot; &gt;&gt; , false = pqclean_nif : sphincs_plus_haraka_256f_simple_verify ( Sig , BadMsg , PK ) . See also: sphincs_plus_haraka_256f_simple_sign/2 .","ref":"pqclean_nif.html#sphincs_plus_haraka_256f_simple_verify/3"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_256s_robust_info/0","doc":"Returns information about the SPHINCS+-haraka-256s-robust Signature Algorithm. \#{ type := sign , name := &quot;SPHINCS+-haraka-256s-robust&quot; , secretkeybytes := 128 , publickeybytes := 64 , signaturebytes := 29792 , seedbytes := 96 } = pqclean_nif : sphincs_plus_haraka_256s_robust_info ( ) See also: sphincs_plus_haraka_256s_robust_keypair/0 , sphincs_plus_haraka_256s_robust_keypair/1 , sphincs_plus_haraka_256s_robust_sign/2 , sphincs_plus_haraka_256s_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_haraka_256s_robust_info/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_256s_robust_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the SPHINCS+-haraka-256s-robust Signature Algorithm. PublicKey is a binary of size 64-bytes. SecretKey is a binary of size 128-bytes. { PK , SK } = pqclean_nif : sphincs_plus_haraka_256s_robust_keypair ( ) . See also: sphincs_plus_haraka_256s_robust_keypair/1 , sphincs_plus_haraka_256s_robust_sign/2 , sphincs_plus_haraka_256s_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_haraka_256s_robust_keypair/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_256s_robust_keypair/1","doc":"Derives a PublicKey and SecretKey keypair based on Seed for the SPHINCS+-haraka-256s-robust Signature Algorithm. Seed is a binary of size 96-bytes. PublicKey is a binary of size 64-bytes. SecretKey is a binary of size 128-bytes. % WARNING: Example only, NEVER use an all-zero Seed! { ZeroPK , ZeroSK } = pqclean_nif : sphincs_plus_haraka_256s_robust_keypair ( &lt;&lt; 0 : ( 96 * 8 ) &gt;&gt; ) . % Randomly generated Seed: Seed = crypto : strong_rand_bytes ( 96 ) , { SeedPK , SeedSK } = pqclean_nif : sphincs_plus_haraka_256s_robust_keypair ( Seed ) . See also: sphincs_plus_haraka_256s_robust_keypair/0 , sphincs_plus_haraka_256s_robust_sign/2 , sphincs_plus_haraka_256s_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_haraka_256s_robust_keypair/1"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_256s_robust_sign/2","doc":"Signs a Message with SecretKey and returns a Signature using the SPHINCS+-haraka-256s-robust Signature Algorithm. Message is a binary. SecretKey is a binary of size 128-bytes generated from sphincs_plus_haraka_256s_robust_keypair/0 or sphincs_plus_haraka_256s_robust_keypair/1 . Signature is a binary of maximum size 29,792-bytes. { PK , SK } = pqclean_nif : sphincs_plus_haraka_256s_robust_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_haraka_256s_robust_sign ( Msg , SK ) . See also: sphincs_plus_haraka_256s_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_haraka_256s_robust_sign/2"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_256s_robust_verify/3","doc":"Verifies a Signature and Message with PublicKey and returns a Verification using the SPHINCS+-haraka-256s-robust Signature Algorithm. Signature is a binary of maximum size 29,792-bytes. Message is a binary. PublicKey is a binary of size 64-bytes generated from sphincs_plus_haraka_256s_robust_keypair/0 or sphincs_plus_haraka_256s_robust_keypair/1 . Verification is a boolean ( true if the Signature and Message are verified, false otherwise). { PK , SK } = pqclean_nif : sphincs_plus_haraka_256s_robust_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_haraka_256s_robust_sign ( Msg , SK ) , true = pqclean_nif : sphincs_plus_haraka_256s_robust_verify ( Sig , Msg , PK ) . % Example of corrupted message: BadMsg = &lt;&lt; &quot;messag0&quot; &gt;&gt; , false = pqclean_nif : sphincs_plus_haraka_256s_robust_verify ( Sig , BadMsg , PK ) . See also: sphincs_plus_haraka_256s_robust_sign/2 .","ref":"pqclean_nif.html#sphincs_plus_haraka_256s_robust_verify/3"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_256s_simple_info/0","doc":"Returns information about the SPHINCS+-haraka-256s-simple Signature Algorithm. \#{ type := sign , name := &quot;SPHINCS+-haraka-256s-simple&quot; , secretkeybytes := 128 , publickeybytes := 64 , signaturebytes := 29792 , seedbytes := 96 } = pqclean_nif : sphincs_plus_haraka_256s_simple_info ( ) See also: sphincs_plus_haraka_256s_simple_keypair/0 , sphincs_plus_haraka_256s_simple_keypair/1 , sphincs_plus_haraka_256s_simple_sign/2 , sphincs_plus_haraka_256s_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_haraka_256s_simple_info/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_256s_simple_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the SPHINCS+-haraka-256s-simple Signature Algorithm. PublicKey is a binary of size 64-bytes. SecretKey is a binary of size 128-bytes. { PK , SK } = pqclean_nif : sphincs_plus_haraka_256s_simple_keypair ( ) . See also: sphincs_plus_haraka_256s_simple_keypair/1 , sphincs_plus_haraka_256s_simple_sign/2 , sphincs_plus_haraka_256s_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_haraka_256s_simple_keypair/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_256s_simple_keypair/1","doc":"Derives a PublicKey and SecretKey keypair based on Seed for the SPHINCS+-haraka-256s-simple Signature Algorithm. Seed is a binary of size 96-bytes. PublicKey is a binary of size 64-bytes. SecretKey is a binary of size 128-bytes. % WARNING: Example only, NEVER use an all-zero Seed! { ZeroPK , ZeroSK } = pqclean_nif : sphincs_plus_haraka_256s_simple_keypair ( &lt;&lt; 0 : ( 96 * 8 ) &gt;&gt; ) . % Randomly generated Seed: Seed = crypto : strong_rand_bytes ( 96 ) , { SeedPK , SeedSK } = pqclean_nif : sphincs_plus_haraka_256s_simple_keypair ( Seed ) . See also: sphincs_plus_haraka_256s_simple_keypair/0 , sphincs_plus_haraka_256s_simple_sign/2 , sphincs_plus_haraka_256s_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_haraka_256s_simple_keypair/1"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_256s_simple_sign/2","doc":"Signs a Message with SecretKey and returns a Signature using the SPHINCS+-haraka-256s-simple Signature Algorithm. Message is a binary. SecretKey is a binary of size 128-bytes generated from sphincs_plus_haraka_256s_simple_keypair/0 or sphincs_plus_haraka_256s_simple_keypair/1 . Signature is a binary of maximum size 29,792-bytes. { PK , SK } = pqclean_nif : sphincs_plus_haraka_256s_simple_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_haraka_256s_simple_sign ( Msg , SK ) . See also: sphincs_plus_haraka_256s_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_haraka_256s_simple_sign/2"},{"type":"function","title":"pqclean_nif.sphincs_plus_haraka_256s_simple_verify/3","doc":"Verifies a Signature and Message with PublicKey and returns a Verification using the SPHINCS+-haraka-256s-simple Signature Algorithm. Signature is a binary of maximum size 29,792-bytes. Message is a binary. PublicKey is a binary of size 64-bytes generated from sphincs_plus_haraka_256s_simple_keypair/0 or sphincs_plus_haraka_256s_simple_keypair/1 . Verification is a boolean ( true if the Signature and Message are verified, false otherwise). { PK , SK } = pqclean_nif : sphincs_plus_haraka_256s_simple_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_haraka_256s_simple_sign ( Msg , SK ) , true = pqclean_nif : sphincs_plus_haraka_256s_simple_verify ( Sig , Msg , PK ) . % Example of corrupted message: BadMsg = &lt;&lt; &quot;messag0&quot; &gt;&gt; , false = pqclean_nif : sphincs_plus_haraka_256s_simple_verify ( Sig , BadMsg , PK ) . See also: sphincs_plus_haraka_256s_simple_sign/2 .","ref":"pqclean_nif.html#sphincs_plus_haraka_256s_simple_verify/3"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_128f_robust_info/0","doc":"Returns information about the SPHINCS+-sha2-128f-robust Signature Algorithm. \#{ type := sign , name := &quot;SPHINCS+-sha2-128f-robust&quot; , secretkeybytes := 64 , publickeybytes := 32 , signaturebytes := 17088 , seedbytes := 48 } = pqclean_nif : sphincs_plus_sha2_128f_robust_info ( ) See also: sphincs_plus_sha2_128f_robust_keypair/0 , sphincs_plus_sha2_128f_robust_keypair/1 , sphincs_plus_sha2_128f_robust_sign/2 , sphincs_plus_sha2_128f_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_sha2_128f_robust_info/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_128f_robust_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the SPHINCS+-sha2-128f-robust Signature Algorithm. PublicKey is a binary of size 32-bytes. SecretKey is a binary of size 64-bytes. { PK , SK } = pqclean_nif : sphincs_plus_sha2_128f_robust_keypair ( ) . See also: sphincs_plus_sha2_128f_robust_keypair/1 , sphincs_plus_sha2_128f_robust_sign/2 , sphincs_plus_sha2_128f_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_sha2_128f_robust_keypair/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_128f_robust_keypair/1","doc":"Derives a PublicKey and SecretKey keypair based on Seed for the SPHINCS+-sha2-128f-robust Signature Algorithm. Seed is a binary of size 48-bytes. PublicKey is a binary of size 32-bytes. SecretKey is a binary of size 64-bytes. % WARNING: Example only, NEVER use an all-zero Seed! { ZeroPK , ZeroSK } = pqclean_nif : sphincs_plus_sha2_128f_robust_keypair ( &lt;&lt; 0 : ( 48 * 8 ) &gt;&gt; ) . % Randomly generated Seed: Seed = crypto : strong_rand_bytes ( 48 ) , { SeedPK , SeedSK } = pqclean_nif : sphincs_plus_sha2_128f_robust_keypair ( Seed ) . See also: sphincs_plus_sha2_128f_robust_keypair/0 , sphincs_plus_sha2_128f_robust_sign/2 , sphincs_plus_sha2_128f_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_sha2_128f_robust_keypair/1"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_128f_robust_sign/2","doc":"Signs a Message with SecretKey and returns a Signature using the SPHINCS+-sha2-128f-robust Signature Algorithm. Message is a binary. SecretKey is a binary of size 64-bytes generated from sphincs_plus_sha2_128f_robust_keypair/0 or sphincs_plus_sha2_128f_robust_keypair/1 . Signature is a binary of maximum size 17,088-bytes. { PK , SK } = pqclean_nif : sphincs_plus_sha2_128f_robust_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_sha2_128f_robust_sign ( Msg , SK ) . See also: sphincs_plus_sha2_128f_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_sha2_128f_robust_sign/2"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_128f_robust_verify/3","doc":"Verifies a Signature and Message with PublicKey and returns a Verification using the SPHINCS+-sha2-128f-robust Signature Algorithm. Signature is a binary of maximum size 17,088-bytes. Message is a binary. PublicKey is a binary of size 32-bytes generated from sphincs_plus_sha2_128f_robust_keypair/0 or sphincs_plus_sha2_128f_robust_keypair/1 . Verification is a boolean ( true if the Signature and Message are verified, false otherwise). { PK , SK } = pqclean_nif : sphincs_plus_sha2_128f_robust_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_sha2_128f_robust_sign ( Msg , SK ) , true = pqclean_nif : sphincs_plus_sha2_128f_robust_verify ( Sig , Msg , PK ) . % Example of corrupted message: BadMsg = &lt;&lt; &quot;messag0&quot; &gt;&gt; , false = pqclean_nif : sphincs_plus_sha2_128f_robust_verify ( Sig , BadMsg , PK ) . See also: sphincs_plus_sha2_128f_robust_sign/2 .","ref":"pqclean_nif.html#sphincs_plus_sha2_128f_robust_verify/3"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_128f_simple_info/0","doc":"Returns information about the SPHINCS+-sha2-128f-simple Signature Algorithm. \#{ type := sign , name := &quot;SPHINCS+-sha2-128f-simple&quot; , secretkeybytes := 64 , publickeybytes := 32 , signaturebytes := 17088 , seedbytes := 48 } = pqclean_nif : sphincs_plus_sha2_128f_simple_info ( ) See also: sphincs_plus_sha2_128f_simple_keypair/0 , sphincs_plus_sha2_128f_simple_keypair/1 , sphincs_plus_sha2_128f_simple_sign/2 , sphincs_plus_sha2_128f_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_sha2_128f_simple_info/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_128f_simple_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the SPHINCS+-sha2-128f-simple Signature Algorithm. PublicKey is a binary of size 32-bytes. SecretKey is a binary of size 64-bytes. { PK , SK } = pqclean_nif : sphincs_plus_sha2_128f_simple_keypair ( ) . See also: sphincs_plus_sha2_128f_simple_keypair/1 , sphincs_plus_sha2_128f_simple_sign/2 , sphincs_plus_sha2_128f_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_sha2_128f_simple_keypair/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_128f_simple_keypair/1","doc":"Derives a PublicKey and SecretKey keypair based on Seed for the SPHINCS+-sha2-128f-simple Signature Algorithm. Seed is a binary of size 48-bytes. PublicKey is a binary of size 32-bytes. SecretKey is a binary of size 64-bytes. % WARNING: Example only, NEVER use an all-zero Seed! { ZeroPK , ZeroSK } = pqclean_nif : sphincs_plus_sha2_128f_simple_keypair ( &lt;&lt; 0 : ( 48 * 8 ) &gt;&gt; ) . % Randomly generated Seed: Seed = crypto : strong_rand_bytes ( 48 ) , { SeedPK , SeedSK } = pqclean_nif : sphincs_plus_sha2_128f_simple_keypair ( Seed ) . See also: sphincs_plus_sha2_128f_simple_keypair/0 , sphincs_plus_sha2_128f_simple_sign/2 , sphincs_plus_sha2_128f_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_sha2_128f_simple_keypair/1"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_128f_simple_sign/2","doc":"Signs a Message with SecretKey and returns a Signature using the SPHINCS+-sha2-128f-simple Signature Algorithm. Message is a binary. SecretKey is a binary of size 64-bytes generated from sphincs_plus_sha2_128f_simple_keypair/0 or sphincs_plus_sha2_128f_simple_keypair/1 . Signature is a binary of maximum size 17,088-bytes. { PK , SK } = pqclean_nif : sphincs_plus_sha2_128f_simple_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_sha2_128f_simple_sign ( Msg , SK ) . See also: sphincs_plus_sha2_128f_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_sha2_128f_simple_sign/2"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_128f_simple_verify/3","doc":"Verifies a Signature and Message with PublicKey and returns a Verification using the SPHINCS+-sha2-128f-simple Signature Algorithm. Signature is a binary of maximum size 17,088-bytes. Message is a binary. PublicKey is a binary of size 32-bytes generated from sphincs_plus_sha2_128f_simple_keypair/0 or sphincs_plus_sha2_128f_simple_keypair/1 . Verification is a boolean ( true if the Signature and Message are verified, false otherwise). { PK , SK } = pqclean_nif : sphincs_plus_sha2_128f_simple_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_sha2_128f_simple_sign ( Msg , SK ) , true = pqclean_nif : sphincs_plus_sha2_128f_simple_verify ( Sig , Msg , PK ) . % Example of corrupted message: BadMsg = &lt;&lt; &quot;messag0&quot; &gt;&gt; , false = pqclean_nif : sphincs_plus_sha2_128f_simple_verify ( Sig , BadMsg , PK ) . See also: sphincs_plus_sha2_128f_simple_sign/2 .","ref":"pqclean_nif.html#sphincs_plus_sha2_128f_simple_verify/3"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_128s_robust_info/0","doc":"Returns information about the SPHINCS+-sha2-128s-robust Signature Algorithm. \#{ type := sign , name := &quot;SPHINCS+-sha2-128s-robust&quot; , secretkeybytes := 64 , publickeybytes := 32 , signaturebytes := 7856 , seedbytes := 48 } = pqclean_nif : sphincs_plus_sha2_128s_robust_info ( ) See also: sphincs_plus_sha2_128s_robust_keypair/0 , sphincs_plus_sha2_128s_robust_keypair/1 , sphincs_plus_sha2_128s_robust_sign/2 , sphincs_plus_sha2_128s_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_sha2_128s_robust_info/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_128s_robust_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the SPHINCS+-sha2-128s-robust Signature Algorithm. PublicKey is a binary of size 32-bytes. SecretKey is a binary of size 64-bytes. { PK , SK } = pqclean_nif : sphincs_plus_sha2_128s_robust_keypair ( ) . See also: sphincs_plus_sha2_128s_robust_keypair/1 , sphincs_plus_sha2_128s_robust_sign/2 , sphincs_plus_sha2_128s_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_sha2_128s_robust_keypair/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_128s_robust_keypair/1","doc":"Derives a PublicKey and SecretKey keypair based on Seed for the SPHINCS+-sha2-128s-robust Signature Algorithm. Seed is a binary of size 48-bytes. PublicKey is a binary of size 32-bytes. SecretKey is a binary of size 64-bytes. % WARNING: Example only, NEVER use an all-zero Seed! { ZeroPK , ZeroSK } = pqclean_nif : sphincs_plus_sha2_128s_robust_keypair ( &lt;&lt; 0 : ( 48 * 8 ) &gt;&gt; ) . % Randomly generated Seed: Seed = crypto : strong_rand_bytes ( 48 ) , { SeedPK , SeedSK } = pqclean_nif : sphincs_plus_sha2_128s_robust_keypair ( Seed ) . See also: sphincs_plus_sha2_128s_robust_keypair/0 , sphincs_plus_sha2_128s_robust_sign/2 , sphincs_plus_sha2_128s_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_sha2_128s_robust_keypair/1"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_128s_robust_sign/2","doc":"Signs a Message with SecretKey and returns a Signature using the SPHINCS+-sha2-128s-robust Signature Algorithm. Message is a binary. SecretKey is a binary of size 64-bytes generated from sphincs_plus_sha2_128s_robust_keypair/0 or sphincs_plus_sha2_128s_robust_keypair/1 . Signature is a binary of maximum size 7,856-bytes. { PK , SK } = pqclean_nif : sphincs_plus_sha2_128s_robust_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_sha2_128s_robust_sign ( Msg , SK ) . See also: sphincs_plus_sha2_128s_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_sha2_128s_robust_sign/2"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_128s_robust_verify/3","doc":"Verifies a Signature and Message with PublicKey and returns a Verification using the SPHINCS+-sha2-128s-robust Signature Algorithm. Signature is a binary of maximum size 7,856-bytes. Message is a binary. PublicKey is a binary of size 32-bytes generated from sphincs_plus_sha2_128s_robust_keypair/0 or sphincs_plus_sha2_128s_robust_keypair/1 . Verification is a boolean ( true if the Signature and Message are verified, false otherwise). { PK , SK } = pqclean_nif : sphincs_plus_sha2_128s_robust_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_sha2_128s_robust_sign ( Msg , SK ) , true = pqclean_nif : sphincs_plus_sha2_128s_robust_verify ( Sig , Msg , PK ) . % Example of corrupted message: BadMsg = &lt;&lt; &quot;messag0&quot; &gt;&gt; , false = pqclean_nif : sphincs_plus_sha2_128s_robust_verify ( Sig , BadMsg , PK ) . See also: sphincs_plus_sha2_128s_robust_sign/2 .","ref":"pqclean_nif.html#sphincs_plus_sha2_128s_robust_verify/3"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_128s_simple_info/0","doc":"Returns information about the SPHINCS+-sha2-128s-simple Signature Algorithm. \#{ type := sign , name := &quot;SPHINCS+-sha2-128s-simple&quot; , secretkeybytes := 64 , publickeybytes := 32 , signaturebytes := 7856 , seedbytes := 48 } = pqclean_nif : sphincs_plus_sha2_128s_simple_info ( ) See also: sphincs_plus_sha2_128s_simple_keypair/0 , sphincs_plus_sha2_128s_simple_keypair/1 , sphincs_plus_sha2_128s_simple_sign/2 , sphincs_plus_sha2_128s_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_sha2_128s_simple_info/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_128s_simple_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the SPHINCS+-sha2-128s-simple Signature Algorithm. PublicKey is a binary of size 32-bytes. SecretKey is a binary of size 64-bytes. { PK , SK } = pqclean_nif : sphincs_plus_sha2_128s_simple_keypair ( ) . See also: sphincs_plus_sha2_128s_simple_keypair/1 , sphincs_plus_sha2_128s_simple_sign/2 , sphincs_plus_sha2_128s_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_sha2_128s_simple_keypair/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_128s_simple_keypair/1","doc":"Derives a PublicKey and SecretKey keypair based on Seed for the SPHINCS+-sha2-128s-simple Signature Algorithm. Seed is a binary of size 48-bytes. PublicKey is a binary of size 32-bytes. SecretKey is a binary of size 64-bytes. % WARNING: Example only, NEVER use an all-zero Seed! { ZeroPK , ZeroSK } = pqclean_nif : sphincs_plus_sha2_128s_simple_keypair ( &lt;&lt; 0 : ( 48 * 8 ) &gt;&gt; ) . % Randomly generated Seed: Seed = crypto : strong_rand_bytes ( 48 ) , { SeedPK , SeedSK } = pqclean_nif : sphincs_plus_sha2_128s_simple_keypair ( Seed ) . See also: sphincs_plus_sha2_128s_simple_keypair/0 , sphincs_plus_sha2_128s_simple_sign/2 , sphincs_plus_sha2_128s_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_sha2_128s_simple_keypair/1"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_128s_simple_sign/2","doc":"Signs a Message with SecretKey and returns a Signature using the SPHINCS+-sha2-128s-simple Signature Algorithm. Message is a binary. SecretKey is a binary of size 64-bytes generated from sphincs_plus_sha2_128s_simple_keypair/0 or sphincs_plus_sha2_128s_simple_keypair/1 . Signature is a binary of maximum size 7,856-bytes. { PK , SK } = pqclean_nif : sphincs_plus_sha2_128s_simple_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_sha2_128s_simple_sign ( Msg , SK ) . See also: sphincs_plus_sha2_128s_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_sha2_128s_simple_sign/2"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_128s_simple_verify/3","doc":"Verifies a Signature and Message with PublicKey and returns a Verification using the SPHINCS+-sha2-128s-simple Signature Algorithm. Signature is a binary of maximum size 7,856-bytes. Message is a binary. PublicKey is a binary of size 32-bytes generated from sphincs_plus_sha2_128s_simple_keypair/0 or sphincs_plus_sha2_128s_simple_keypair/1 . Verification is a boolean ( true if the Signature and Message are verified, false otherwise). { PK , SK } = pqclean_nif : sphincs_plus_sha2_128s_simple_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_sha2_128s_simple_sign ( Msg , SK ) , true = pqclean_nif : sphincs_plus_sha2_128s_simple_verify ( Sig , Msg , PK ) . % Example of corrupted message: BadMsg = &lt;&lt; &quot;messag0&quot; &gt;&gt; , false = pqclean_nif : sphincs_plus_sha2_128s_simple_verify ( Sig , BadMsg , PK ) . See also: sphincs_plus_sha2_128s_simple_sign/2 .","ref":"pqclean_nif.html#sphincs_plus_sha2_128s_simple_verify/3"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_192f_robust_info/0","doc":"Returns information about the SPHINCS+-sha2-192f-robust Signature Algorithm. \#{ type := sign , name := &quot;SPHINCS+-sha2-192f-robust&quot; , secretkeybytes := 96 , publickeybytes := 48 , signaturebytes := 35664 , seedbytes := 72 } = pqclean_nif : sphincs_plus_sha2_192f_robust_info ( ) See also: sphincs_plus_sha2_192f_robust_keypair/0 , sphincs_plus_sha2_192f_robust_keypair/1 , sphincs_plus_sha2_192f_robust_sign/2 , sphincs_plus_sha2_192f_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_sha2_192f_robust_info/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_192f_robust_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the SPHINCS+-sha2-192f-robust Signature Algorithm. PublicKey is a binary of size 48-bytes. SecretKey is a binary of size 96-bytes. { PK , SK } = pqclean_nif : sphincs_plus_sha2_192f_robust_keypair ( ) . See also: sphincs_plus_sha2_192f_robust_keypair/1 , sphincs_plus_sha2_192f_robust_sign/2 , sphincs_plus_sha2_192f_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_sha2_192f_robust_keypair/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_192f_robust_keypair/1","doc":"Derives a PublicKey and SecretKey keypair based on Seed for the SPHINCS+-sha2-192f-robust Signature Algorithm. Seed is a binary of size 72-bytes. PublicKey is a binary of size 48-bytes. SecretKey is a binary of size 96-bytes. % WARNING: Example only, NEVER use an all-zero Seed! { ZeroPK , ZeroSK } = pqclean_nif : sphincs_plus_sha2_192f_robust_keypair ( &lt;&lt; 0 : ( 72 * 8 ) &gt;&gt; ) . % Randomly generated Seed: Seed = crypto : strong_rand_bytes ( 72 ) , { SeedPK , SeedSK } = pqclean_nif : sphincs_plus_sha2_192f_robust_keypair ( Seed ) . See also: sphincs_plus_sha2_192f_robust_keypair/0 , sphincs_plus_sha2_192f_robust_sign/2 , sphincs_plus_sha2_192f_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_sha2_192f_robust_keypair/1"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_192f_robust_sign/2","doc":"Signs a Message with SecretKey and returns a Signature using the SPHINCS+-sha2-192f-robust Signature Algorithm. Message is a binary. SecretKey is a binary of size 96-bytes generated from sphincs_plus_sha2_192f_robust_keypair/0 or sphincs_plus_sha2_192f_robust_keypair/1 . Signature is a binary of maximum size 35,664-bytes. { PK , SK } = pqclean_nif : sphincs_plus_sha2_192f_robust_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_sha2_192f_robust_sign ( Msg , SK ) . See also: sphincs_plus_sha2_192f_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_sha2_192f_robust_sign/2"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_192f_robust_verify/3","doc":"Verifies a Signature and Message with PublicKey and returns a Verification using the SPHINCS+-sha2-192f-robust Signature Algorithm. Signature is a binary of maximum size 35,664-bytes. Message is a binary. PublicKey is a binary of size 48-bytes generated from sphincs_plus_sha2_192f_robust_keypair/0 or sphincs_plus_sha2_192f_robust_keypair/1 . Verification is a boolean ( true if the Signature and Message are verified, false otherwise). { PK , SK } = pqclean_nif : sphincs_plus_sha2_192f_robust_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_sha2_192f_robust_sign ( Msg , SK ) , true = pqclean_nif : sphincs_plus_sha2_192f_robust_verify ( Sig , Msg , PK ) . % Example of corrupted message: BadMsg = &lt;&lt; &quot;messag0&quot; &gt;&gt; , false = pqclean_nif : sphincs_plus_sha2_192f_robust_verify ( Sig , BadMsg , PK ) . See also: sphincs_plus_sha2_192f_robust_sign/2 .","ref":"pqclean_nif.html#sphincs_plus_sha2_192f_robust_verify/3"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_192f_simple_info/0","doc":"Returns information about the SPHINCS+-sha2-192f-simple Signature Algorithm. \#{ type := sign , name := &quot;SPHINCS+-sha2-192f-simple&quot; , secretkeybytes := 96 , publickeybytes := 48 , signaturebytes := 35664 , seedbytes := 72 } = pqclean_nif : sphincs_plus_sha2_192f_simple_info ( ) See also: sphincs_plus_sha2_192f_simple_keypair/0 , sphincs_plus_sha2_192f_simple_keypair/1 , sphincs_plus_sha2_192f_simple_sign/2 , sphincs_plus_sha2_192f_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_sha2_192f_simple_info/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_192f_simple_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the SPHINCS+-sha2-192f-simple Signature Algorithm. PublicKey is a binary of size 48-bytes. SecretKey is a binary of size 96-bytes. { PK , SK } = pqclean_nif : sphincs_plus_sha2_192f_simple_keypair ( ) . See also: sphincs_plus_sha2_192f_simple_keypair/1 , sphincs_plus_sha2_192f_simple_sign/2 , sphincs_plus_sha2_192f_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_sha2_192f_simple_keypair/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_192f_simple_keypair/1","doc":"Derives a PublicKey and SecretKey keypair based on Seed for the SPHINCS+-sha2-192f-simple Signature Algorithm. Seed is a binary of size 72-bytes. PublicKey is a binary of size 48-bytes. SecretKey is a binary of size 96-bytes. % WARNING: Example only, NEVER use an all-zero Seed! { ZeroPK , ZeroSK } = pqclean_nif : sphincs_plus_sha2_192f_simple_keypair ( &lt;&lt; 0 : ( 72 * 8 ) &gt;&gt; ) . % Randomly generated Seed: Seed = crypto : strong_rand_bytes ( 72 ) , { SeedPK , SeedSK } = pqclean_nif : sphincs_plus_sha2_192f_simple_keypair ( Seed ) . See also: sphincs_plus_sha2_192f_simple_keypair/0 , sphincs_plus_sha2_192f_simple_sign/2 , sphincs_plus_sha2_192f_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_sha2_192f_simple_keypair/1"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_192f_simple_sign/2","doc":"Signs a Message with SecretKey and returns a Signature using the SPHINCS+-sha2-192f-simple Signature Algorithm. Message is a binary. SecretKey is a binary of size 96-bytes generated from sphincs_plus_sha2_192f_simple_keypair/0 or sphincs_plus_sha2_192f_simple_keypair/1 . Signature is a binary of maximum size 35,664-bytes. { PK , SK } = pqclean_nif : sphincs_plus_sha2_192f_simple_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_sha2_192f_simple_sign ( Msg , SK ) . See also: sphincs_plus_sha2_192f_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_sha2_192f_simple_sign/2"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_192f_simple_verify/3","doc":"Verifies a Signature and Message with PublicKey and returns a Verification using the SPHINCS+-sha2-192f-simple Signature Algorithm. Signature is a binary of maximum size 35,664-bytes. Message is a binary. PublicKey is a binary of size 48-bytes generated from sphincs_plus_sha2_192f_simple_keypair/0 or sphincs_plus_sha2_192f_simple_keypair/1 . Verification is a boolean ( true if the Signature and Message are verified, false otherwise). { PK , SK } = pqclean_nif : sphincs_plus_sha2_192f_simple_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_sha2_192f_simple_sign ( Msg , SK ) , true = pqclean_nif : sphincs_plus_sha2_192f_simple_verify ( Sig , Msg , PK ) . % Example of corrupted message: BadMsg = &lt;&lt; &quot;messag0&quot; &gt;&gt; , false = pqclean_nif : sphincs_plus_sha2_192f_simple_verify ( Sig , BadMsg , PK ) . See also: sphincs_plus_sha2_192f_simple_sign/2 .","ref":"pqclean_nif.html#sphincs_plus_sha2_192f_simple_verify/3"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_192s_robust_info/0","doc":"Returns information about the SPHINCS+-sha2-192s-robust Signature Algorithm. \#{ type := sign , name := &quot;SPHINCS+-sha2-192s-robust&quot; , secretkeybytes := 96 , publickeybytes := 48 , signaturebytes := 16224 , seedbytes := 72 } = pqclean_nif : sphincs_plus_sha2_192s_robust_info ( ) See also: sphincs_plus_sha2_192s_robust_keypair/0 , sphincs_plus_sha2_192s_robust_keypair/1 , sphincs_plus_sha2_192s_robust_sign/2 , sphincs_plus_sha2_192s_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_sha2_192s_robust_info/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_192s_robust_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the SPHINCS+-sha2-192s-robust Signature Algorithm. PublicKey is a binary of size 48-bytes. SecretKey is a binary of size 96-bytes. { PK , SK } = pqclean_nif : sphincs_plus_sha2_192s_robust_keypair ( ) . See also: sphincs_plus_sha2_192s_robust_keypair/1 , sphincs_plus_sha2_192s_robust_sign/2 , sphincs_plus_sha2_192s_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_sha2_192s_robust_keypair/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_192s_robust_keypair/1","doc":"Derives a PublicKey and SecretKey keypair based on Seed for the SPHINCS+-sha2-192s-robust Signature Algorithm. Seed is a binary of size 72-bytes. PublicKey is a binary of size 48-bytes. SecretKey is a binary of size 96-bytes. % WARNING: Example only, NEVER use an all-zero Seed! { ZeroPK , ZeroSK } = pqclean_nif : sphincs_plus_sha2_192s_robust_keypair ( &lt;&lt; 0 : ( 72 * 8 ) &gt;&gt; ) . % Randomly generated Seed: Seed = crypto : strong_rand_bytes ( 72 ) , { SeedPK , SeedSK } = pqclean_nif : sphincs_plus_sha2_192s_robust_keypair ( Seed ) . See also: sphincs_plus_sha2_192s_robust_keypair/0 , sphincs_plus_sha2_192s_robust_sign/2 , sphincs_plus_sha2_192s_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_sha2_192s_robust_keypair/1"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_192s_robust_sign/2","doc":"Signs a Message with SecretKey and returns a Signature using the SPHINCS+-sha2-192s-robust Signature Algorithm. Message is a binary. SecretKey is a binary of size 96-bytes generated from sphincs_plus_sha2_192s_robust_keypair/0 or sphincs_plus_sha2_192s_robust_keypair/1 . Signature is a binary of maximum size 16,224-bytes. { PK , SK } = pqclean_nif : sphincs_plus_sha2_192s_robust_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_sha2_192s_robust_sign ( Msg , SK ) . See also: sphincs_plus_sha2_192s_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_sha2_192s_robust_sign/2"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_192s_robust_verify/3","doc":"Verifies a Signature and Message with PublicKey and returns a Verification using the SPHINCS+-sha2-192s-robust Signature Algorithm. Signature is a binary of maximum size 16,224-bytes. Message is a binary. PublicKey is a binary of size 48-bytes generated from sphincs_plus_sha2_192s_robust_keypair/0 or sphincs_plus_sha2_192s_robust_keypair/1 . Verification is a boolean ( true if the Signature and Message are verified, false otherwise). { PK , SK } = pqclean_nif : sphincs_plus_sha2_192s_robust_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_sha2_192s_robust_sign ( Msg , SK ) , true = pqclean_nif : sphincs_plus_sha2_192s_robust_verify ( Sig , Msg , PK ) . % Example of corrupted message: BadMsg = &lt;&lt; &quot;messag0&quot; &gt;&gt; , false = pqclean_nif : sphincs_plus_sha2_192s_robust_verify ( Sig , BadMsg , PK ) . See also: sphincs_plus_sha2_192s_robust_sign/2 .","ref":"pqclean_nif.html#sphincs_plus_sha2_192s_robust_verify/3"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_192s_simple_info/0","doc":"Returns information about the SPHINCS+-sha2-192s-simple Signature Algorithm. \#{ type := sign , name := &quot;SPHINCS+-sha2-192s-simple&quot; , secretkeybytes := 96 , publickeybytes := 48 , signaturebytes := 16224 , seedbytes := 72 } = pqclean_nif : sphincs_plus_sha2_192s_simple_info ( ) See also: sphincs_plus_sha2_192s_simple_keypair/0 , sphincs_plus_sha2_192s_simple_keypair/1 , sphincs_plus_sha2_192s_simple_sign/2 , sphincs_plus_sha2_192s_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_sha2_192s_simple_info/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_192s_simple_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the SPHINCS+-sha2-192s-simple Signature Algorithm. PublicKey is a binary of size 48-bytes. SecretKey is a binary of size 96-bytes. { PK , SK } = pqclean_nif : sphincs_plus_sha2_192s_simple_keypair ( ) . See also: sphincs_plus_sha2_192s_simple_keypair/1 , sphincs_plus_sha2_192s_simple_sign/2 , sphincs_plus_sha2_192s_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_sha2_192s_simple_keypair/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_192s_simple_keypair/1","doc":"Derives a PublicKey and SecretKey keypair based on Seed for the SPHINCS+-sha2-192s-simple Signature Algorithm. Seed is a binary of size 72-bytes. PublicKey is a binary of size 48-bytes. SecretKey is a binary of size 96-bytes. % WARNING: Example only, NEVER use an all-zero Seed! { ZeroPK , ZeroSK } = pqclean_nif : sphincs_plus_sha2_192s_simple_keypair ( &lt;&lt; 0 : ( 72 * 8 ) &gt;&gt; ) . % Randomly generated Seed: Seed = crypto : strong_rand_bytes ( 72 ) , { SeedPK , SeedSK } = pqclean_nif : sphincs_plus_sha2_192s_simple_keypair ( Seed ) . See also: sphincs_plus_sha2_192s_simple_keypair/0 , sphincs_plus_sha2_192s_simple_sign/2 , sphincs_plus_sha2_192s_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_sha2_192s_simple_keypair/1"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_192s_simple_sign/2","doc":"Signs a Message with SecretKey and returns a Signature using the SPHINCS+-sha2-192s-simple Signature Algorithm. Message is a binary. SecretKey is a binary of size 96-bytes generated from sphincs_plus_sha2_192s_simple_keypair/0 or sphincs_plus_sha2_192s_simple_keypair/1 . Signature is a binary of maximum size 16,224-bytes. { PK , SK } = pqclean_nif : sphincs_plus_sha2_192s_simple_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_sha2_192s_simple_sign ( Msg , SK ) . See also: sphincs_plus_sha2_192s_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_sha2_192s_simple_sign/2"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_192s_simple_verify/3","doc":"Verifies a Signature and Message with PublicKey and returns a Verification using the SPHINCS+-sha2-192s-simple Signature Algorithm. Signature is a binary of maximum size 16,224-bytes. Message is a binary. PublicKey is a binary of size 48-bytes generated from sphincs_plus_sha2_192s_simple_keypair/0 or sphincs_plus_sha2_192s_simple_keypair/1 . Verification is a boolean ( true if the Signature and Message are verified, false otherwise). { PK , SK } = pqclean_nif : sphincs_plus_sha2_192s_simple_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_sha2_192s_simple_sign ( Msg , SK ) , true = pqclean_nif : sphincs_plus_sha2_192s_simple_verify ( Sig , Msg , PK ) . % Example of corrupted message: BadMsg = &lt;&lt; &quot;messag0&quot; &gt;&gt; , false = pqclean_nif : sphincs_plus_sha2_192s_simple_verify ( Sig , BadMsg , PK ) . See also: sphincs_plus_sha2_192s_simple_sign/2 .","ref":"pqclean_nif.html#sphincs_plus_sha2_192s_simple_verify/3"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_256f_robust_info/0","doc":"Returns information about the SPHINCS+-sha2-256f-robust Signature Algorithm. \#{ type := sign , name := &quot;SPHINCS+-sha2-256f-robust&quot; , secretkeybytes := 128 , publickeybytes := 64 , signaturebytes := 49856 , seedbytes := 96 } = pqclean_nif : sphincs_plus_sha2_256f_robust_info ( ) See also: sphincs_plus_sha2_256f_robust_keypair/0 , sphincs_plus_sha2_256f_robust_keypair/1 , sphincs_plus_sha2_256f_robust_sign/2 , sphincs_plus_sha2_256f_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_sha2_256f_robust_info/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_256f_robust_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the SPHINCS+-sha2-256f-robust Signature Algorithm. PublicKey is a binary of size 64-bytes. SecretKey is a binary of size 128-bytes. { PK , SK } = pqclean_nif : sphincs_plus_sha2_256f_robust_keypair ( ) . See also: sphincs_plus_sha2_256f_robust_keypair/1 , sphincs_plus_sha2_256f_robust_sign/2 , sphincs_plus_sha2_256f_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_sha2_256f_robust_keypair/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_256f_robust_keypair/1","doc":"Derives a PublicKey and SecretKey keypair based on Seed for the SPHINCS+-sha2-256f-robust Signature Algorithm. Seed is a binary of size 96-bytes. PublicKey is a binary of size 64-bytes. SecretKey is a binary of size 128-bytes. % WARNING: Example only, NEVER use an all-zero Seed! { ZeroPK , ZeroSK } = pqclean_nif : sphincs_plus_sha2_256f_robust_keypair ( &lt;&lt; 0 : ( 96 * 8 ) &gt;&gt; ) . % Randomly generated Seed: Seed = crypto : strong_rand_bytes ( 96 ) , { SeedPK , SeedSK } = pqclean_nif : sphincs_plus_sha2_256f_robust_keypair ( Seed ) . See also: sphincs_plus_sha2_256f_robust_keypair/0 , sphincs_plus_sha2_256f_robust_sign/2 , sphincs_plus_sha2_256f_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_sha2_256f_robust_keypair/1"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_256f_robust_sign/2","doc":"Signs a Message with SecretKey and returns a Signature using the SPHINCS+-sha2-256f-robust Signature Algorithm. Message is a binary. SecretKey is a binary of size 128-bytes generated from sphincs_plus_sha2_256f_robust_keypair/0 or sphincs_plus_sha2_256f_robust_keypair/1 . Signature is a binary of maximum size 49,856-bytes. { PK , SK } = pqclean_nif : sphincs_plus_sha2_256f_robust_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_sha2_256f_robust_sign ( Msg , SK ) . See also: sphincs_plus_sha2_256f_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_sha2_256f_robust_sign/2"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_256f_robust_verify/3","doc":"Verifies a Signature and Message with PublicKey and returns a Verification using the SPHINCS+-sha2-256f-robust Signature Algorithm. Signature is a binary of maximum size 49,856-bytes. Message is a binary. PublicKey is a binary of size 64-bytes generated from sphincs_plus_sha2_256f_robust_keypair/0 or sphincs_plus_sha2_256f_robust_keypair/1 . Verification is a boolean ( true if the Signature and Message are verified, false otherwise). { PK , SK } = pqclean_nif : sphincs_plus_sha2_256f_robust_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_sha2_256f_robust_sign ( Msg , SK ) , true = pqclean_nif : sphincs_plus_sha2_256f_robust_verify ( Sig , Msg , PK ) . % Example of corrupted message: BadMsg = &lt;&lt; &quot;messag0&quot; &gt;&gt; , false = pqclean_nif : sphincs_plus_sha2_256f_robust_verify ( Sig , BadMsg , PK ) . See also: sphincs_plus_sha2_256f_robust_sign/2 .","ref":"pqclean_nif.html#sphincs_plus_sha2_256f_robust_verify/3"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_256f_simple_info/0","doc":"Returns information about the SPHINCS+-sha2-256f-simple Signature Algorithm. \#{ type := sign , name := &quot;SPHINCS+-sha2-256f-simple&quot; , secretkeybytes := 128 , publickeybytes := 64 , signaturebytes := 49856 , seedbytes := 96 } = pqclean_nif : sphincs_plus_sha2_256f_simple_info ( ) See also: sphincs_plus_sha2_256f_simple_keypair/0 , sphincs_plus_sha2_256f_simple_keypair/1 , sphincs_plus_sha2_256f_simple_sign/2 , sphincs_plus_sha2_256f_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_sha2_256f_simple_info/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_256f_simple_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the SPHINCS+-sha2-256f-simple Signature Algorithm. PublicKey is a binary of size 64-bytes. SecretKey is a binary of size 128-bytes. { PK , SK } = pqclean_nif : sphincs_plus_sha2_256f_simple_keypair ( ) . See also: sphincs_plus_sha2_256f_simple_keypair/1 , sphincs_plus_sha2_256f_simple_sign/2 , sphincs_plus_sha2_256f_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_sha2_256f_simple_keypair/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_256f_simple_keypair/1","doc":"Derives a PublicKey and SecretKey keypair based on Seed for the SPHINCS+-sha2-256f-simple Signature Algorithm. Seed is a binary of size 96-bytes. PublicKey is a binary of size 64-bytes. SecretKey is a binary of size 128-bytes. % WARNING: Example only, NEVER use an all-zero Seed! { ZeroPK , ZeroSK } = pqclean_nif : sphincs_plus_sha2_256f_simple_keypair ( &lt;&lt; 0 : ( 96 * 8 ) &gt;&gt; ) . % Randomly generated Seed: Seed = crypto : strong_rand_bytes ( 96 ) , { SeedPK , SeedSK } = pqclean_nif : sphincs_plus_sha2_256f_simple_keypair ( Seed ) . See also: sphincs_plus_sha2_256f_simple_keypair/0 , sphincs_plus_sha2_256f_simple_sign/2 , sphincs_plus_sha2_256f_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_sha2_256f_simple_keypair/1"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_256f_simple_sign/2","doc":"Signs a Message with SecretKey and returns a Signature using the SPHINCS+-sha2-256f-simple Signature Algorithm. Message is a binary. SecretKey is a binary of size 128-bytes generated from sphincs_plus_sha2_256f_simple_keypair/0 or sphincs_plus_sha2_256f_simple_keypair/1 . Signature is a binary of maximum size 49,856-bytes. { PK , SK } = pqclean_nif : sphincs_plus_sha2_256f_simple_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_sha2_256f_simple_sign ( Msg , SK ) . See also: sphincs_plus_sha2_256f_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_sha2_256f_simple_sign/2"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_256f_simple_verify/3","doc":"Verifies a Signature and Message with PublicKey and returns a Verification using the SPHINCS+-sha2-256f-simple Signature Algorithm. Signature is a binary of maximum size 49,856-bytes. Message is a binary. PublicKey is a binary of size 64-bytes generated from sphincs_plus_sha2_256f_simple_keypair/0 or sphincs_plus_sha2_256f_simple_keypair/1 . Verification is a boolean ( true if the Signature and Message are verified, false otherwise). { PK , SK } = pqclean_nif : sphincs_plus_sha2_256f_simple_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_sha2_256f_simple_sign ( Msg , SK ) , true = pqclean_nif : sphincs_plus_sha2_256f_simple_verify ( Sig , Msg , PK ) . % Example of corrupted message: BadMsg = &lt;&lt; &quot;messag0&quot; &gt;&gt; , false = pqclean_nif : sphincs_plus_sha2_256f_simple_verify ( Sig , BadMsg , PK ) . See also: sphincs_plus_sha2_256f_simple_sign/2 .","ref":"pqclean_nif.html#sphincs_plus_sha2_256f_simple_verify/3"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_256s_robust_info/0","doc":"Returns information about the SPHINCS+-sha2-256s-robust Signature Algorithm. \#{ type := sign , name := &quot;SPHINCS+-sha2-256s-robust&quot; , secretkeybytes := 128 , publickeybytes := 64 , signaturebytes := 29792 , seedbytes := 96 } = pqclean_nif : sphincs_plus_sha2_256s_robust_info ( ) See also: sphincs_plus_sha2_256s_robust_keypair/0 , sphincs_plus_sha2_256s_robust_keypair/1 , sphincs_plus_sha2_256s_robust_sign/2 , sphincs_plus_sha2_256s_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_sha2_256s_robust_info/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_256s_robust_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the SPHINCS+-sha2-256s-robust Signature Algorithm. PublicKey is a binary of size 64-bytes. SecretKey is a binary of size 128-bytes. { PK , SK } = pqclean_nif : sphincs_plus_sha2_256s_robust_keypair ( ) . See also: sphincs_plus_sha2_256s_robust_keypair/1 , sphincs_plus_sha2_256s_robust_sign/2 , sphincs_plus_sha2_256s_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_sha2_256s_robust_keypair/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_256s_robust_keypair/1","doc":"Derives a PublicKey and SecretKey keypair based on Seed for the SPHINCS+-sha2-256s-robust Signature Algorithm. Seed is a binary of size 96-bytes. PublicKey is a binary of size 64-bytes. SecretKey is a binary of size 128-bytes. % WARNING: Example only, NEVER use an all-zero Seed! { ZeroPK , ZeroSK } = pqclean_nif : sphincs_plus_sha2_256s_robust_keypair ( &lt;&lt; 0 : ( 96 * 8 ) &gt;&gt; ) . % Randomly generated Seed: Seed = crypto : strong_rand_bytes ( 96 ) , { SeedPK , SeedSK } = pqclean_nif : sphincs_plus_sha2_256s_robust_keypair ( Seed ) . See also: sphincs_plus_sha2_256s_robust_keypair/0 , sphincs_plus_sha2_256s_robust_sign/2 , sphincs_plus_sha2_256s_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_sha2_256s_robust_keypair/1"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_256s_robust_sign/2","doc":"Signs a Message with SecretKey and returns a Signature using the SPHINCS+-sha2-256s-robust Signature Algorithm. Message is a binary. SecretKey is a binary of size 128-bytes generated from sphincs_plus_sha2_256s_robust_keypair/0 or sphincs_plus_sha2_256s_robust_keypair/1 . Signature is a binary of maximum size 29,792-bytes. { PK , SK } = pqclean_nif : sphincs_plus_sha2_256s_robust_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_sha2_256s_robust_sign ( Msg , SK ) . See also: sphincs_plus_sha2_256s_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_sha2_256s_robust_sign/2"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_256s_robust_verify/3","doc":"Verifies a Signature and Message with PublicKey and returns a Verification using the SPHINCS+-sha2-256s-robust Signature Algorithm. Signature is a binary of maximum size 29,792-bytes. Message is a binary. PublicKey is a binary of size 64-bytes generated from sphincs_plus_sha2_256s_robust_keypair/0 or sphincs_plus_sha2_256s_robust_keypair/1 . Verification is a boolean ( true if the Signature and Message are verified, false otherwise). { PK , SK } = pqclean_nif : sphincs_plus_sha2_256s_robust_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_sha2_256s_robust_sign ( Msg , SK ) , true = pqclean_nif : sphincs_plus_sha2_256s_robust_verify ( Sig , Msg , PK ) . % Example of corrupted message: BadMsg = &lt;&lt; &quot;messag0&quot; &gt;&gt; , false = pqclean_nif : sphincs_plus_sha2_256s_robust_verify ( Sig , BadMsg , PK ) . See also: sphincs_plus_sha2_256s_robust_sign/2 .","ref":"pqclean_nif.html#sphincs_plus_sha2_256s_robust_verify/3"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_256s_simple_info/0","doc":"Returns information about the SPHINCS+-sha2-256s-simple Signature Algorithm. \#{ type := sign , name := &quot;SPHINCS+-sha2-256s-simple&quot; , secretkeybytes := 128 , publickeybytes := 64 , signaturebytes := 29792 , seedbytes := 96 } = pqclean_nif : sphincs_plus_sha2_256s_simple_info ( ) See also: sphincs_plus_sha2_256s_simple_keypair/0 , sphincs_plus_sha2_256s_simple_keypair/1 , sphincs_plus_sha2_256s_simple_sign/2 , sphincs_plus_sha2_256s_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_sha2_256s_simple_info/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_256s_simple_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the SPHINCS+-sha2-256s-simple Signature Algorithm. PublicKey is a binary of size 64-bytes. SecretKey is a binary of size 128-bytes. { PK , SK } = pqclean_nif : sphincs_plus_sha2_256s_simple_keypair ( ) . See also: sphincs_plus_sha2_256s_simple_keypair/1 , sphincs_plus_sha2_256s_simple_sign/2 , sphincs_plus_sha2_256s_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_sha2_256s_simple_keypair/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_256s_simple_keypair/1","doc":"Derives a PublicKey and SecretKey keypair based on Seed for the SPHINCS+-sha2-256s-simple Signature Algorithm. Seed is a binary of size 96-bytes. PublicKey is a binary of size 64-bytes. SecretKey is a binary of size 128-bytes. % WARNING: Example only, NEVER use an all-zero Seed! { ZeroPK , ZeroSK } = pqclean_nif : sphincs_plus_sha2_256s_simple_keypair ( &lt;&lt; 0 : ( 96 * 8 ) &gt;&gt; ) . % Randomly generated Seed: Seed = crypto : strong_rand_bytes ( 96 ) , { SeedPK , SeedSK } = pqclean_nif : sphincs_plus_sha2_256s_simple_keypair ( Seed ) . See also: sphincs_plus_sha2_256s_simple_keypair/0 , sphincs_plus_sha2_256s_simple_sign/2 , sphincs_plus_sha2_256s_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_sha2_256s_simple_keypair/1"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_256s_simple_sign/2","doc":"Signs a Message with SecretKey and returns a Signature using the SPHINCS+-sha2-256s-simple Signature Algorithm. Message is a binary. SecretKey is a binary of size 128-bytes generated from sphincs_plus_sha2_256s_simple_keypair/0 or sphincs_plus_sha2_256s_simple_keypair/1 . Signature is a binary of maximum size 29,792-bytes. { PK , SK } = pqclean_nif : sphincs_plus_sha2_256s_simple_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_sha2_256s_simple_sign ( Msg , SK ) . See also: sphincs_plus_sha2_256s_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_sha2_256s_simple_sign/2"},{"type":"function","title":"pqclean_nif.sphincs_plus_sha2_256s_simple_verify/3","doc":"Verifies a Signature and Message with PublicKey and returns a Verification using the SPHINCS+-sha2-256s-simple Signature Algorithm. Signature is a binary of maximum size 29,792-bytes. Message is a binary. PublicKey is a binary of size 64-bytes generated from sphincs_plus_sha2_256s_simple_keypair/0 or sphincs_plus_sha2_256s_simple_keypair/1 . Verification is a boolean ( true if the Signature and Message are verified, false otherwise). { PK , SK } = pqclean_nif : sphincs_plus_sha2_256s_simple_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_sha2_256s_simple_sign ( Msg , SK ) , true = pqclean_nif : sphincs_plus_sha2_256s_simple_verify ( Sig , Msg , PK ) . % Example of corrupted message: BadMsg = &lt;&lt; &quot;messag0&quot; &gt;&gt; , false = pqclean_nif : sphincs_plus_sha2_256s_simple_verify ( Sig , BadMsg , PK ) . See also: sphincs_plus_sha2_256s_simple_sign/2 .","ref":"pqclean_nif.html#sphincs_plus_sha2_256s_simple_verify/3"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_128f_robust_info/0","doc":"Returns information about the SPHINCS+-shake-128f-robust Signature Algorithm. \#{ type := sign , name := &quot;SPHINCS+-shake-128f-robust&quot; , secretkeybytes := 64 , publickeybytes := 32 , signaturebytes := 17088 , seedbytes := 48 } = pqclean_nif : sphincs_plus_shake_128f_robust_info ( ) See also: sphincs_plus_shake_128f_robust_keypair/0 , sphincs_plus_shake_128f_robust_keypair/1 , sphincs_plus_shake_128f_robust_sign/2 , sphincs_plus_shake_128f_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_shake_128f_robust_info/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_128f_robust_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the SPHINCS+-shake-128f-robust Signature Algorithm. PublicKey is a binary of size 32-bytes. SecretKey is a binary of size 64-bytes. { PK , SK } = pqclean_nif : sphincs_plus_shake_128f_robust_keypair ( ) . See also: sphincs_plus_shake_128f_robust_keypair/1 , sphincs_plus_shake_128f_robust_sign/2 , sphincs_plus_shake_128f_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_shake_128f_robust_keypair/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_128f_robust_keypair/1","doc":"Derives a PublicKey and SecretKey keypair based on Seed for the SPHINCS+-shake-128f-robust Signature Algorithm. Seed is a binary of size 48-bytes. PublicKey is a binary of size 32-bytes. SecretKey is a binary of size 64-bytes. % WARNING: Example only, NEVER use an all-zero Seed! { ZeroPK , ZeroSK } = pqclean_nif : sphincs_plus_shake_128f_robust_keypair ( &lt;&lt; 0 : ( 48 * 8 ) &gt;&gt; ) . % Randomly generated Seed: Seed = crypto : strong_rand_bytes ( 48 ) , { SeedPK , SeedSK } = pqclean_nif : sphincs_plus_shake_128f_robust_keypair ( Seed ) . See also: sphincs_plus_shake_128f_robust_keypair/0 , sphincs_plus_shake_128f_robust_sign/2 , sphincs_plus_shake_128f_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_shake_128f_robust_keypair/1"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_128f_robust_sign/2","doc":"Signs a Message with SecretKey and returns a Signature using the SPHINCS+-shake-128f-robust Signature Algorithm. Message is a binary. SecretKey is a binary of size 64-bytes generated from sphincs_plus_shake_128f_robust_keypair/0 or sphincs_plus_shake_128f_robust_keypair/1 . Signature is a binary of maximum size 17,088-bytes. { PK , SK } = pqclean_nif : sphincs_plus_shake_128f_robust_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_shake_128f_robust_sign ( Msg , SK ) . See also: sphincs_plus_shake_128f_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_shake_128f_robust_sign/2"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_128f_robust_verify/3","doc":"Verifies a Signature and Message with PublicKey and returns a Verification using the SPHINCS+-shake-128f-robust Signature Algorithm. Signature is a binary of maximum size 17,088-bytes. Message is a binary. PublicKey is a binary of size 32-bytes generated from sphincs_plus_shake_128f_robust_keypair/0 or sphincs_plus_shake_128f_robust_keypair/1 . Verification is a boolean ( true if the Signature and Message are verified, false otherwise). { PK , SK } = pqclean_nif : sphincs_plus_shake_128f_robust_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_shake_128f_robust_sign ( Msg , SK ) , true = pqclean_nif : sphincs_plus_shake_128f_robust_verify ( Sig , Msg , PK ) . % Example of corrupted message: BadMsg = &lt;&lt; &quot;messag0&quot; &gt;&gt; , false = pqclean_nif : sphincs_plus_shake_128f_robust_verify ( Sig , BadMsg , PK ) . See also: sphincs_plus_shake_128f_robust_sign/2 .","ref":"pqclean_nif.html#sphincs_plus_shake_128f_robust_verify/3"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_128f_simple_info/0","doc":"Returns information about the SPHINCS+-shake-128f-simple Signature Algorithm. \#{ type := sign , name := &quot;SPHINCS+-shake-128f-simple&quot; , secretkeybytes := 64 , publickeybytes := 32 , signaturebytes := 17088 , seedbytes := 48 } = pqclean_nif : sphincs_plus_shake_128f_simple_info ( ) See also: sphincs_plus_shake_128f_simple_keypair/0 , sphincs_plus_shake_128f_simple_keypair/1 , sphincs_plus_shake_128f_simple_sign/2 , sphincs_plus_shake_128f_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_shake_128f_simple_info/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_128f_simple_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the SPHINCS+-shake-128f-simple Signature Algorithm. PublicKey is a binary of size 32-bytes. SecretKey is a binary of size 64-bytes. { PK , SK } = pqclean_nif : sphincs_plus_shake_128f_simple_keypair ( ) . See also: sphincs_plus_shake_128f_simple_keypair/1 , sphincs_plus_shake_128f_simple_sign/2 , sphincs_plus_shake_128f_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_shake_128f_simple_keypair/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_128f_simple_keypair/1","doc":"Derives a PublicKey and SecretKey keypair based on Seed for the SPHINCS+-shake-128f-simple Signature Algorithm. Seed is a binary of size 48-bytes. PublicKey is a binary of size 32-bytes. SecretKey is a binary of size 64-bytes. % WARNING: Example only, NEVER use an all-zero Seed! { ZeroPK , ZeroSK } = pqclean_nif : sphincs_plus_shake_128f_simple_keypair ( &lt;&lt; 0 : ( 48 * 8 ) &gt;&gt; ) . % Randomly generated Seed: Seed = crypto : strong_rand_bytes ( 48 ) , { SeedPK , SeedSK } = pqclean_nif : sphincs_plus_shake_128f_simple_keypair ( Seed ) . See also: sphincs_plus_shake_128f_simple_keypair/0 , sphincs_plus_shake_128f_simple_sign/2 , sphincs_plus_shake_128f_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_shake_128f_simple_keypair/1"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_128f_simple_sign/2","doc":"Signs a Message with SecretKey and returns a Signature using the SPHINCS+-shake-128f-simple Signature Algorithm. Message is a binary. SecretKey is a binary of size 64-bytes generated from sphincs_plus_shake_128f_simple_keypair/0 or sphincs_plus_shake_128f_simple_keypair/1 . Signature is a binary of maximum size 17,088-bytes. { PK , SK } = pqclean_nif : sphincs_plus_shake_128f_simple_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_shake_128f_simple_sign ( Msg , SK ) . See also: sphincs_plus_shake_128f_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_shake_128f_simple_sign/2"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_128f_simple_verify/3","doc":"Verifies a Signature and Message with PublicKey and returns a Verification using the SPHINCS+-shake-128f-simple Signature Algorithm. Signature is a binary of maximum size 17,088-bytes. Message is a binary. PublicKey is a binary of size 32-bytes generated from sphincs_plus_shake_128f_simple_keypair/0 or sphincs_plus_shake_128f_simple_keypair/1 . Verification is a boolean ( true if the Signature and Message are verified, false otherwise). { PK , SK } = pqclean_nif : sphincs_plus_shake_128f_simple_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_shake_128f_simple_sign ( Msg , SK ) , true = pqclean_nif : sphincs_plus_shake_128f_simple_verify ( Sig , Msg , PK ) . % Example of corrupted message: BadMsg = &lt;&lt; &quot;messag0&quot; &gt;&gt; , false = pqclean_nif : sphincs_plus_shake_128f_simple_verify ( Sig , BadMsg , PK ) . See also: sphincs_plus_shake_128f_simple_sign/2 .","ref":"pqclean_nif.html#sphincs_plus_shake_128f_simple_verify/3"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_128s_robust_info/0","doc":"Returns information about the SPHINCS+-shake-128s-robust Signature Algorithm. \#{ type := sign , name := &quot;SPHINCS+-shake-128s-robust&quot; , secretkeybytes := 64 , publickeybytes := 32 , signaturebytes := 7856 , seedbytes := 48 } = pqclean_nif : sphincs_plus_shake_128s_robust_info ( ) See also: sphincs_plus_shake_128s_robust_keypair/0 , sphincs_plus_shake_128s_robust_keypair/1 , sphincs_plus_shake_128s_robust_sign/2 , sphincs_plus_shake_128s_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_shake_128s_robust_info/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_128s_robust_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the SPHINCS+-shake-128s-robust Signature Algorithm. PublicKey is a binary of size 32-bytes. SecretKey is a binary of size 64-bytes. { PK , SK } = pqclean_nif : sphincs_plus_shake_128s_robust_keypair ( ) . See also: sphincs_plus_shake_128s_robust_keypair/1 , sphincs_plus_shake_128s_robust_sign/2 , sphincs_plus_shake_128s_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_shake_128s_robust_keypair/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_128s_robust_keypair/1","doc":"Derives a PublicKey and SecretKey keypair based on Seed for the SPHINCS+-shake-128s-robust Signature Algorithm. Seed is a binary of size 48-bytes. PublicKey is a binary of size 32-bytes. SecretKey is a binary of size 64-bytes. % WARNING: Example only, NEVER use an all-zero Seed! { ZeroPK , ZeroSK } = pqclean_nif : sphincs_plus_shake_128s_robust_keypair ( &lt;&lt; 0 : ( 48 * 8 ) &gt;&gt; ) . % Randomly generated Seed: Seed = crypto : strong_rand_bytes ( 48 ) , { SeedPK , SeedSK } = pqclean_nif : sphincs_plus_shake_128s_robust_keypair ( Seed ) . See also: sphincs_plus_shake_128s_robust_keypair/0 , sphincs_plus_shake_128s_robust_sign/2 , sphincs_plus_shake_128s_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_shake_128s_robust_keypair/1"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_128s_robust_sign/2","doc":"Signs a Message with SecretKey and returns a Signature using the SPHINCS+-shake-128s-robust Signature Algorithm. Message is a binary. SecretKey is a binary of size 64-bytes generated from sphincs_plus_shake_128s_robust_keypair/0 or sphincs_plus_shake_128s_robust_keypair/1 . Signature is a binary of maximum size 7,856-bytes. { PK , SK } = pqclean_nif : sphincs_plus_shake_128s_robust_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_shake_128s_robust_sign ( Msg , SK ) . See also: sphincs_plus_shake_128s_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_shake_128s_robust_sign/2"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_128s_robust_verify/3","doc":"Verifies a Signature and Message with PublicKey and returns a Verification using the SPHINCS+-shake-128s-robust Signature Algorithm. Signature is a binary of maximum size 7,856-bytes. Message is a binary. PublicKey is a binary of size 32-bytes generated from sphincs_plus_shake_128s_robust_keypair/0 or sphincs_plus_shake_128s_robust_keypair/1 . Verification is a boolean ( true if the Signature and Message are verified, false otherwise). { PK , SK } = pqclean_nif : sphincs_plus_shake_128s_robust_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_shake_128s_robust_sign ( Msg , SK ) , true = pqclean_nif : sphincs_plus_shake_128s_robust_verify ( Sig , Msg , PK ) . % Example of corrupted message: BadMsg = &lt;&lt; &quot;messag0&quot; &gt;&gt; , false = pqclean_nif : sphincs_plus_shake_128s_robust_verify ( Sig , BadMsg , PK ) . See also: sphincs_plus_shake_128s_robust_sign/2 .","ref":"pqclean_nif.html#sphincs_plus_shake_128s_robust_verify/3"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_128s_simple_info/0","doc":"Returns information about the SPHINCS+-shake-128s-simple Signature Algorithm. \#{ type := sign , name := &quot;SPHINCS+-shake-128s-simple&quot; , secretkeybytes := 64 , publickeybytes := 32 , signaturebytes := 7856 , seedbytes := 48 } = pqclean_nif : sphincs_plus_shake_128s_simple_info ( ) See also: sphincs_plus_shake_128s_simple_keypair/0 , sphincs_plus_shake_128s_simple_keypair/1 , sphincs_plus_shake_128s_simple_sign/2 , sphincs_plus_shake_128s_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_shake_128s_simple_info/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_128s_simple_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the SPHINCS+-shake-128s-simple Signature Algorithm. PublicKey is a binary of size 32-bytes. SecretKey is a binary of size 64-bytes. { PK , SK } = pqclean_nif : sphincs_plus_shake_128s_simple_keypair ( ) . See also: sphincs_plus_shake_128s_simple_keypair/1 , sphincs_plus_shake_128s_simple_sign/2 , sphincs_plus_shake_128s_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_shake_128s_simple_keypair/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_128s_simple_keypair/1","doc":"Derives a PublicKey and SecretKey keypair based on Seed for the SPHINCS+-shake-128s-simple Signature Algorithm. Seed is a binary of size 48-bytes. PublicKey is a binary of size 32-bytes. SecretKey is a binary of size 64-bytes. % WARNING: Example only, NEVER use an all-zero Seed! { ZeroPK , ZeroSK } = pqclean_nif : sphincs_plus_shake_128s_simple_keypair ( &lt;&lt; 0 : ( 48 * 8 ) &gt;&gt; ) . % Randomly generated Seed: Seed = crypto : strong_rand_bytes ( 48 ) , { SeedPK , SeedSK } = pqclean_nif : sphincs_plus_shake_128s_simple_keypair ( Seed ) . See also: sphincs_plus_shake_128s_simple_keypair/0 , sphincs_plus_shake_128s_simple_sign/2 , sphincs_plus_shake_128s_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_shake_128s_simple_keypair/1"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_128s_simple_sign/2","doc":"Signs a Message with SecretKey and returns a Signature using the SPHINCS+-shake-128s-simple Signature Algorithm. Message is a binary. SecretKey is a binary of size 64-bytes generated from sphincs_plus_shake_128s_simple_keypair/0 or sphincs_plus_shake_128s_simple_keypair/1 . Signature is a binary of maximum size 7,856-bytes. { PK , SK } = pqclean_nif : sphincs_plus_shake_128s_simple_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_shake_128s_simple_sign ( Msg , SK ) . See also: sphincs_plus_shake_128s_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_shake_128s_simple_sign/2"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_128s_simple_verify/3","doc":"Verifies a Signature and Message with PublicKey and returns a Verification using the SPHINCS+-shake-128s-simple Signature Algorithm. Signature is a binary of maximum size 7,856-bytes. Message is a binary. PublicKey is a binary of size 32-bytes generated from sphincs_plus_shake_128s_simple_keypair/0 or sphincs_plus_shake_128s_simple_keypair/1 . Verification is a boolean ( true if the Signature and Message are verified, false otherwise). { PK , SK } = pqclean_nif : sphincs_plus_shake_128s_simple_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_shake_128s_simple_sign ( Msg , SK ) , true = pqclean_nif : sphincs_plus_shake_128s_simple_verify ( Sig , Msg , PK ) . % Example of corrupted message: BadMsg = &lt;&lt; &quot;messag0&quot; &gt;&gt; , false = pqclean_nif : sphincs_plus_shake_128s_simple_verify ( Sig , BadMsg , PK ) . See also: sphincs_plus_shake_128s_simple_sign/2 .","ref":"pqclean_nif.html#sphincs_plus_shake_128s_simple_verify/3"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_192f_robust_info/0","doc":"Returns information about the SPHINCS+-shake-192f-robust Signature Algorithm. \#{ type := sign , name := &quot;SPHINCS+-shake-192f-robust&quot; , secretkeybytes := 96 , publickeybytes := 48 , signaturebytes := 35664 , seedbytes := 72 } = pqclean_nif : sphincs_plus_shake_192f_robust_info ( ) See also: sphincs_plus_shake_192f_robust_keypair/0 , sphincs_plus_shake_192f_robust_keypair/1 , sphincs_plus_shake_192f_robust_sign/2 , sphincs_plus_shake_192f_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_shake_192f_robust_info/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_192f_robust_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the SPHINCS+-shake-192f-robust Signature Algorithm. PublicKey is a binary of size 48-bytes. SecretKey is a binary of size 96-bytes. { PK , SK } = pqclean_nif : sphincs_plus_shake_192f_robust_keypair ( ) . See also: sphincs_plus_shake_192f_robust_keypair/1 , sphincs_plus_shake_192f_robust_sign/2 , sphincs_plus_shake_192f_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_shake_192f_robust_keypair/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_192f_robust_keypair/1","doc":"Derives a PublicKey and SecretKey keypair based on Seed for the SPHINCS+-shake-192f-robust Signature Algorithm. Seed is a binary of size 72-bytes. PublicKey is a binary of size 48-bytes. SecretKey is a binary of size 96-bytes. % WARNING: Example only, NEVER use an all-zero Seed! { ZeroPK , ZeroSK } = pqclean_nif : sphincs_plus_shake_192f_robust_keypair ( &lt;&lt; 0 : ( 72 * 8 ) &gt;&gt; ) . % Randomly generated Seed: Seed = crypto : strong_rand_bytes ( 72 ) , { SeedPK , SeedSK } = pqclean_nif : sphincs_plus_shake_192f_robust_keypair ( Seed ) . See also: sphincs_plus_shake_192f_robust_keypair/0 , sphincs_plus_shake_192f_robust_sign/2 , sphincs_plus_shake_192f_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_shake_192f_robust_keypair/1"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_192f_robust_sign/2","doc":"Signs a Message with SecretKey and returns a Signature using the SPHINCS+-shake-192f-robust Signature Algorithm. Message is a binary. SecretKey is a binary of size 96-bytes generated from sphincs_plus_shake_192f_robust_keypair/0 or sphincs_plus_shake_192f_robust_keypair/1 . Signature is a binary of maximum size 35,664-bytes. { PK , SK } = pqclean_nif : sphincs_plus_shake_192f_robust_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_shake_192f_robust_sign ( Msg , SK ) . See also: sphincs_plus_shake_192f_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_shake_192f_robust_sign/2"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_192f_robust_verify/3","doc":"Verifies a Signature and Message with PublicKey and returns a Verification using the SPHINCS+-shake-192f-robust Signature Algorithm. Signature is a binary of maximum size 35,664-bytes. Message is a binary. PublicKey is a binary of size 48-bytes generated from sphincs_plus_shake_192f_robust_keypair/0 or sphincs_plus_shake_192f_robust_keypair/1 . Verification is a boolean ( true if the Signature and Message are verified, false otherwise). { PK , SK } = pqclean_nif : sphincs_plus_shake_192f_robust_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_shake_192f_robust_sign ( Msg , SK ) , true = pqclean_nif : sphincs_plus_shake_192f_robust_verify ( Sig , Msg , PK ) . % Example of corrupted message: BadMsg = &lt;&lt; &quot;messag0&quot; &gt;&gt; , false = pqclean_nif : sphincs_plus_shake_192f_robust_verify ( Sig , BadMsg , PK ) . See also: sphincs_plus_shake_192f_robust_sign/2 .","ref":"pqclean_nif.html#sphincs_plus_shake_192f_robust_verify/3"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_192f_simple_info/0","doc":"Returns information about the SPHINCS+-shake-192f-simple Signature Algorithm. \#{ type := sign , name := &quot;SPHINCS+-shake-192f-simple&quot; , secretkeybytes := 96 , publickeybytes := 48 , signaturebytes := 35664 , seedbytes := 72 } = pqclean_nif : sphincs_plus_shake_192f_simple_info ( ) See also: sphincs_plus_shake_192f_simple_keypair/0 , sphincs_plus_shake_192f_simple_keypair/1 , sphincs_plus_shake_192f_simple_sign/2 , sphincs_plus_shake_192f_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_shake_192f_simple_info/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_192f_simple_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the SPHINCS+-shake-192f-simple Signature Algorithm. PublicKey is a binary of size 48-bytes. SecretKey is a binary of size 96-bytes. { PK , SK } = pqclean_nif : sphincs_plus_shake_192f_simple_keypair ( ) . See also: sphincs_plus_shake_192f_simple_keypair/1 , sphincs_plus_shake_192f_simple_sign/2 , sphincs_plus_shake_192f_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_shake_192f_simple_keypair/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_192f_simple_keypair/1","doc":"Derives a PublicKey and SecretKey keypair based on Seed for the SPHINCS+-shake-192f-simple Signature Algorithm. Seed is a binary of size 72-bytes. PublicKey is a binary of size 48-bytes. SecretKey is a binary of size 96-bytes. % WARNING: Example only, NEVER use an all-zero Seed! { ZeroPK , ZeroSK } = pqclean_nif : sphincs_plus_shake_192f_simple_keypair ( &lt;&lt; 0 : ( 72 * 8 ) &gt;&gt; ) . % Randomly generated Seed: Seed = crypto : strong_rand_bytes ( 72 ) , { SeedPK , SeedSK } = pqclean_nif : sphincs_plus_shake_192f_simple_keypair ( Seed ) . See also: sphincs_plus_shake_192f_simple_keypair/0 , sphincs_plus_shake_192f_simple_sign/2 , sphincs_plus_shake_192f_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_shake_192f_simple_keypair/1"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_192f_simple_sign/2","doc":"Signs a Message with SecretKey and returns a Signature using the SPHINCS+-shake-192f-simple Signature Algorithm. Message is a binary. SecretKey is a binary of size 96-bytes generated from sphincs_plus_shake_192f_simple_keypair/0 or sphincs_plus_shake_192f_simple_keypair/1 . Signature is a binary of maximum size 35,664-bytes. { PK , SK } = pqclean_nif : sphincs_plus_shake_192f_simple_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_shake_192f_simple_sign ( Msg , SK ) . See also: sphincs_plus_shake_192f_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_shake_192f_simple_sign/2"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_192f_simple_verify/3","doc":"Verifies a Signature and Message with PublicKey and returns a Verification using the SPHINCS+-shake-192f-simple Signature Algorithm. Signature is a binary of maximum size 35,664-bytes. Message is a binary. PublicKey is a binary of size 48-bytes generated from sphincs_plus_shake_192f_simple_keypair/0 or sphincs_plus_shake_192f_simple_keypair/1 . Verification is a boolean ( true if the Signature and Message are verified, false otherwise). { PK , SK } = pqclean_nif : sphincs_plus_shake_192f_simple_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_shake_192f_simple_sign ( Msg , SK ) , true = pqclean_nif : sphincs_plus_shake_192f_simple_verify ( Sig , Msg , PK ) . % Example of corrupted message: BadMsg = &lt;&lt; &quot;messag0&quot; &gt;&gt; , false = pqclean_nif : sphincs_plus_shake_192f_simple_verify ( Sig , BadMsg , PK ) . See also: sphincs_plus_shake_192f_simple_sign/2 .","ref":"pqclean_nif.html#sphincs_plus_shake_192f_simple_verify/3"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_192s_robust_info/0","doc":"Returns information about the SPHINCS+-shake-192s-robust Signature Algorithm. \#{ type := sign , name := &quot;SPHINCS+-shake-192s-robust&quot; , secretkeybytes := 96 , publickeybytes := 48 , signaturebytes := 16224 , seedbytes := 72 } = pqclean_nif : sphincs_plus_shake_192s_robust_info ( ) See also: sphincs_plus_shake_192s_robust_keypair/0 , sphincs_plus_shake_192s_robust_keypair/1 , sphincs_plus_shake_192s_robust_sign/2 , sphincs_plus_shake_192s_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_shake_192s_robust_info/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_192s_robust_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the SPHINCS+-shake-192s-robust Signature Algorithm. PublicKey is a binary of size 48-bytes. SecretKey is a binary of size 96-bytes. { PK , SK } = pqclean_nif : sphincs_plus_shake_192s_robust_keypair ( ) . See also: sphincs_plus_shake_192s_robust_keypair/1 , sphincs_plus_shake_192s_robust_sign/2 , sphincs_plus_shake_192s_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_shake_192s_robust_keypair/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_192s_robust_keypair/1","doc":"Derives a PublicKey and SecretKey keypair based on Seed for the SPHINCS+-shake-192s-robust Signature Algorithm. Seed is a binary of size 72-bytes. PublicKey is a binary of size 48-bytes. SecretKey is a binary of size 96-bytes. % WARNING: Example only, NEVER use an all-zero Seed! { ZeroPK , ZeroSK } = pqclean_nif : sphincs_plus_shake_192s_robust_keypair ( &lt;&lt; 0 : ( 72 * 8 ) &gt;&gt; ) . % Randomly generated Seed: Seed = crypto : strong_rand_bytes ( 72 ) , { SeedPK , SeedSK } = pqclean_nif : sphincs_plus_shake_192s_robust_keypair ( Seed ) . See also: sphincs_plus_shake_192s_robust_keypair/0 , sphincs_plus_shake_192s_robust_sign/2 , sphincs_plus_shake_192s_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_shake_192s_robust_keypair/1"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_192s_robust_sign/2","doc":"Signs a Message with SecretKey and returns a Signature using the SPHINCS+-shake-192s-robust Signature Algorithm. Message is a binary. SecretKey is a binary of size 96-bytes generated from sphincs_plus_shake_192s_robust_keypair/0 or sphincs_plus_shake_192s_robust_keypair/1 . Signature is a binary of maximum size 16,224-bytes. { PK , SK } = pqclean_nif : sphincs_plus_shake_192s_robust_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_shake_192s_robust_sign ( Msg , SK ) . See also: sphincs_plus_shake_192s_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_shake_192s_robust_sign/2"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_192s_robust_verify/3","doc":"Verifies a Signature and Message with PublicKey and returns a Verification using the SPHINCS+-shake-192s-robust Signature Algorithm. Signature is a binary of maximum size 16,224-bytes. Message is a binary. PublicKey is a binary of size 48-bytes generated from sphincs_plus_shake_192s_robust_keypair/0 or sphincs_plus_shake_192s_robust_keypair/1 . Verification is a boolean ( true if the Signature and Message are verified, false otherwise). { PK , SK } = pqclean_nif : sphincs_plus_shake_192s_robust_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_shake_192s_robust_sign ( Msg , SK ) , true = pqclean_nif : sphincs_plus_shake_192s_robust_verify ( Sig , Msg , PK ) . % Example of corrupted message: BadMsg = &lt;&lt; &quot;messag0&quot; &gt;&gt; , false = pqclean_nif : sphincs_plus_shake_192s_robust_verify ( Sig , BadMsg , PK ) . See also: sphincs_plus_shake_192s_robust_sign/2 .","ref":"pqclean_nif.html#sphincs_plus_shake_192s_robust_verify/3"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_192s_simple_info/0","doc":"Returns information about the SPHINCS+-shake-192s-simple Signature Algorithm. \#{ type := sign , name := &quot;SPHINCS+-shake-192s-simple&quot; , secretkeybytes := 96 , publickeybytes := 48 , signaturebytes := 16224 , seedbytes := 72 } = pqclean_nif : sphincs_plus_shake_192s_simple_info ( ) See also: sphincs_plus_shake_192s_simple_keypair/0 , sphincs_plus_shake_192s_simple_keypair/1 , sphincs_plus_shake_192s_simple_sign/2 , sphincs_plus_shake_192s_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_shake_192s_simple_info/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_192s_simple_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the SPHINCS+-shake-192s-simple Signature Algorithm. PublicKey is a binary of size 48-bytes. SecretKey is a binary of size 96-bytes. { PK , SK } = pqclean_nif : sphincs_plus_shake_192s_simple_keypair ( ) . See also: sphincs_plus_shake_192s_simple_keypair/1 , sphincs_plus_shake_192s_simple_sign/2 , sphincs_plus_shake_192s_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_shake_192s_simple_keypair/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_192s_simple_keypair/1","doc":"Derives a PublicKey and SecretKey keypair based on Seed for the SPHINCS+-shake-192s-simple Signature Algorithm. Seed is a binary of size 72-bytes. PublicKey is a binary of size 48-bytes. SecretKey is a binary of size 96-bytes. % WARNING: Example only, NEVER use an all-zero Seed! { ZeroPK , ZeroSK } = pqclean_nif : sphincs_plus_shake_192s_simple_keypair ( &lt;&lt; 0 : ( 72 * 8 ) &gt;&gt; ) . % Randomly generated Seed: Seed = crypto : strong_rand_bytes ( 72 ) , { SeedPK , SeedSK } = pqclean_nif : sphincs_plus_shake_192s_simple_keypair ( Seed ) . See also: sphincs_plus_shake_192s_simple_keypair/0 , sphincs_plus_shake_192s_simple_sign/2 , sphincs_plus_shake_192s_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_shake_192s_simple_keypair/1"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_192s_simple_sign/2","doc":"Signs a Message with SecretKey and returns a Signature using the SPHINCS+-shake-192s-simple Signature Algorithm. Message is a binary. SecretKey is a binary of size 96-bytes generated from sphincs_plus_shake_192s_simple_keypair/0 or sphincs_plus_shake_192s_simple_keypair/1 . Signature is a binary of maximum size 16,224-bytes. { PK , SK } = pqclean_nif : sphincs_plus_shake_192s_simple_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_shake_192s_simple_sign ( Msg , SK ) . See also: sphincs_plus_shake_192s_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_shake_192s_simple_sign/2"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_192s_simple_verify/3","doc":"Verifies a Signature and Message with PublicKey and returns a Verification using the SPHINCS+-shake-192s-simple Signature Algorithm. Signature is a binary of maximum size 16,224-bytes. Message is a binary. PublicKey is a binary of size 48-bytes generated from sphincs_plus_shake_192s_simple_keypair/0 or sphincs_plus_shake_192s_simple_keypair/1 . Verification is a boolean ( true if the Signature and Message are verified, false otherwise). { PK , SK } = pqclean_nif : sphincs_plus_shake_192s_simple_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_shake_192s_simple_sign ( Msg , SK ) , true = pqclean_nif : sphincs_plus_shake_192s_simple_verify ( Sig , Msg , PK ) . % Example of corrupted message: BadMsg = &lt;&lt; &quot;messag0&quot; &gt;&gt; , false = pqclean_nif : sphincs_plus_shake_192s_simple_verify ( Sig , BadMsg , PK ) . See also: sphincs_plus_shake_192s_simple_sign/2 .","ref":"pqclean_nif.html#sphincs_plus_shake_192s_simple_verify/3"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_256f_robust_info/0","doc":"Returns information about the SPHINCS+-shake-256f-robust Signature Algorithm. \#{ type := sign , name := &quot;SPHINCS+-shake-256f-robust&quot; , secretkeybytes := 128 , publickeybytes := 64 , signaturebytes := 49856 , seedbytes := 96 } = pqclean_nif : sphincs_plus_shake_256f_robust_info ( ) See also: sphincs_plus_shake_256f_robust_keypair/0 , sphincs_plus_shake_256f_robust_keypair/1 , sphincs_plus_shake_256f_robust_sign/2 , sphincs_plus_shake_256f_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_shake_256f_robust_info/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_256f_robust_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the SPHINCS+-shake-256f-robust Signature Algorithm. PublicKey is a binary of size 64-bytes. SecretKey is a binary of size 128-bytes. { PK , SK } = pqclean_nif : sphincs_plus_shake_256f_robust_keypair ( ) . See also: sphincs_plus_shake_256f_robust_keypair/1 , sphincs_plus_shake_256f_robust_sign/2 , sphincs_plus_shake_256f_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_shake_256f_robust_keypair/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_256f_robust_keypair/1","doc":"Derives a PublicKey and SecretKey keypair based on Seed for the SPHINCS+-shake-256f-robust Signature Algorithm. Seed is a binary of size 96-bytes. PublicKey is a binary of size 64-bytes. SecretKey is a binary of size 128-bytes. % WARNING: Example only, NEVER use an all-zero Seed! { ZeroPK , ZeroSK } = pqclean_nif : sphincs_plus_shake_256f_robust_keypair ( &lt;&lt; 0 : ( 96 * 8 ) &gt;&gt; ) . % Randomly generated Seed: Seed = crypto : strong_rand_bytes ( 96 ) , { SeedPK , SeedSK } = pqclean_nif : sphincs_plus_shake_256f_robust_keypair ( Seed ) . See also: sphincs_plus_shake_256f_robust_keypair/0 , sphincs_plus_shake_256f_robust_sign/2 , sphincs_plus_shake_256f_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_shake_256f_robust_keypair/1"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_256f_robust_sign/2","doc":"Signs a Message with SecretKey and returns a Signature using the SPHINCS+-shake-256f-robust Signature Algorithm. Message is a binary. SecretKey is a binary of size 128-bytes generated from sphincs_plus_shake_256f_robust_keypair/0 or sphincs_plus_shake_256f_robust_keypair/1 . Signature is a binary of maximum size 49,856-bytes. { PK , SK } = pqclean_nif : sphincs_plus_shake_256f_robust_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_shake_256f_robust_sign ( Msg , SK ) . See also: sphincs_plus_shake_256f_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_shake_256f_robust_sign/2"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_256f_robust_verify/3","doc":"Verifies a Signature and Message with PublicKey and returns a Verification using the SPHINCS+-shake-256f-robust Signature Algorithm. Signature is a binary of maximum size 49,856-bytes. Message is a binary. PublicKey is a binary of size 64-bytes generated from sphincs_plus_shake_256f_robust_keypair/0 or sphincs_plus_shake_256f_robust_keypair/1 . Verification is a boolean ( true if the Signature and Message are verified, false otherwise). { PK , SK } = pqclean_nif : sphincs_plus_shake_256f_robust_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_shake_256f_robust_sign ( Msg , SK ) , true = pqclean_nif : sphincs_plus_shake_256f_robust_verify ( Sig , Msg , PK ) . % Example of corrupted message: BadMsg = &lt;&lt; &quot;messag0&quot; &gt;&gt; , false = pqclean_nif : sphincs_plus_shake_256f_robust_verify ( Sig , BadMsg , PK ) . See also: sphincs_plus_shake_256f_robust_sign/2 .","ref":"pqclean_nif.html#sphincs_plus_shake_256f_robust_verify/3"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_256f_simple_info/0","doc":"Returns information about the SPHINCS+-shake-256f-simple Signature Algorithm. \#{ type := sign , name := &quot;SPHINCS+-shake-256f-simple&quot; , secretkeybytes := 128 , publickeybytes := 64 , signaturebytes := 49856 , seedbytes := 96 } = pqclean_nif : sphincs_plus_shake_256f_simple_info ( ) See also: sphincs_plus_shake_256f_simple_keypair/0 , sphincs_plus_shake_256f_simple_keypair/1 , sphincs_plus_shake_256f_simple_sign/2 , sphincs_plus_shake_256f_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_shake_256f_simple_info/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_256f_simple_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the SPHINCS+-shake-256f-simple Signature Algorithm. PublicKey is a binary of size 64-bytes. SecretKey is a binary of size 128-bytes. { PK , SK } = pqclean_nif : sphincs_plus_shake_256f_simple_keypair ( ) . See also: sphincs_plus_shake_256f_simple_keypair/1 , sphincs_plus_shake_256f_simple_sign/2 , sphincs_plus_shake_256f_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_shake_256f_simple_keypair/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_256f_simple_keypair/1","doc":"Derives a PublicKey and SecretKey keypair based on Seed for the SPHINCS+-shake-256f-simple Signature Algorithm. Seed is a binary of size 96-bytes. PublicKey is a binary of size 64-bytes. SecretKey is a binary of size 128-bytes. % WARNING: Example only, NEVER use an all-zero Seed! { ZeroPK , ZeroSK } = pqclean_nif : sphincs_plus_shake_256f_simple_keypair ( &lt;&lt; 0 : ( 96 * 8 ) &gt;&gt; ) . % Randomly generated Seed: Seed = crypto : strong_rand_bytes ( 96 ) , { SeedPK , SeedSK } = pqclean_nif : sphincs_plus_shake_256f_simple_keypair ( Seed ) . See also: sphincs_plus_shake_256f_simple_keypair/0 , sphincs_plus_shake_256f_simple_sign/2 , sphincs_plus_shake_256f_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_shake_256f_simple_keypair/1"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_256f_simple_sign/2","doc":"Signs a Message with SecretKey and returns a Signature using the SPHINCS+-shake-256f-simple Signature Algorithm. Message is a binary. SecretKey is a binary of size 128-bytes generated from sphincs_plus_shake_256f_simple_keypair/0 or sphincs_plus_shake_256f_simple_keypair/1 . Signature is a binary of maximum size 49,856-bytes. { PK , SK } = pqclean_nif : sphincs_plus_shake_256f_simple_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_shake_256f_simple_sign ( Msg , SK ) . See also: sphincs_plus_shake_256f_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_shake_256f_simple_sign/2"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_256f_simple_verify/3","doc":"Verifies a Signature and Message with PublicKey and returns a Verification using the SPHINCS+-shake-256f-simple Signature Algorithm. Signature is a binary of maximum size 49,856-bytes. Message is a binary. PublicKey is a binary of size 64-bytes generated from sphincs_plus_shake_256f_simple_keypair/0 or sphincs_plus_shake_256f_simple_keypair/1 . Verification is a boolean ( true if the Signature and Message are verified, false otherwise). { PK , SK } = pqclean_nif : sphincs_plus_shake_256f_simple_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_shake_256f_simple_sign ( Msg , SK ) , true = pqclean_nif : sphincs_plus_shake_256f_simple_verify ( Sig , Msg , PK ) . % Example of corrupted message: BadMsg = &lt;&lt; &quot;messag0&quot; &gt;&gt; , false = pqclean_nif : sphincs_plus_shake_256f_simple_verify ( Sig , BadMsg , PK ) . See also: sphincs_plus_shake_256f_simple_sign/2 .","ref":"pqclean_nif.html#sphincs_plus_shake_256f_simple_verify/3"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_256s_robust_info/0","doc":"Returns information about the SPHINCS+-shake-256s-robust Signature Algorithm. \#{ type := sign , name := &quot;SPHINCS+-shake-256s-robust&quot; , secretkeybytes := 128 , publickeybytes := 64 , signaturebytes := 29792 , seedbytes := 96 } = pqclean_nif : sphincs_plus_shake_256s_robust_info ( ) See also: sphincs_plus_shake_256s_robust_keypair/0 , sphincs_plus_shake_256s_robust_keypair/1 , sphincs_plus_shake_256s_robust_sign/2 , sphincs_plus_shake_256s_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_shake_256s_robust_info/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_256s_robust_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the SPHINCS+-shake-256s-robust Signature Algorithm. PublicKey is a binary of size 64-bytes. SecretKey is a binary of size 128-bytes. { PK , SK } = pqclean_nif : sphincs_plus_shake_256s_robust_keypair ( ) . See also: sphincs_plus_shake_256s_robust_keypair/1 , sphincs_plus_shake_256s_robust_sign/2 , sphincs_plus_shake_256s_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_shake_256s_robust_keypair/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_256s_robust_keypair/1","doc":"Derives a PublicKey and SecretKey keypair based on Seed for the SPHINCS+-shake-256s-robust Signature Algorithm. Seed is a binary of size 96-bytes. PublicKey is a binary of size 64-bytes. SecretKey is a binary of size 128-bytes. % WARNING: Example only, NEVER use an all-zero Seed! { ZeroPK , ZeroSK } = pqclean_nif : sphincs_plus_shake_256s_robust_keypair ( &lt;&lt; 0 : ( 96 * 8 ) &gt;&gt; ) . % Randomly generated Seed: Seed = crypto : strong_rand_bytes ( 96 ) , { SeedPK , SeedSK } = pqclean_nif : sphincs_plus_shake_256s_robust_keypair ( Seed ) . See also: sphincs_plus_shake_256s_robust_keypair/0 , sphincs_plus_shake_256s_robust_sign/2 , sphincs_plus_shake_256s_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_shake_256s_robust_keypair/1"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_256s_robust_sign/2","doc":"Signs a Message with SecretKey and returns a Signature using the SPHINCS+-shake-256s-robust Signature Algorithm. Message is a binary. SecretKey is a binary of size 128-bytes generated from sphincs_plus_shake_256s_robust_keypair/0 or sphincs_plus_shake_256s_robust_keypair/1 . Signature is a binary of maximum size 29,792-bytes. { PK , SK } = pqclean_nif : sphincs_plus_shake_256s_robust_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_shake_256s_robust_sign ( Msg , SK ) . See also: sphincs_plus_shake_256s_robust_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_shake_256s_robust_sign/2"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_256s_robust_verify/3","doc":"Verifies a Signature and Message with PublicKey and returns a Verification using the SPHINCS+-shake-256s-robust Signature Algorithm. Signature is a binary of maximum size 29,792-bytes. Message is a binary. PublicKey is a binary of size 64-bytes generated from sphincs_plus_shake_256s_robust_keypair/0 or sphincs_plus_shake_256s_robust_keypair/1 . Verification is a boolean ( true if the Signature and Message are verified, false otherwise). { PK , SK } = pqclean_nif : sphincs_plus_shake_256s_robust_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_shake_256s_robust_sign ( Msg , SK ) , true = pqclean_nif : sphincs_plus_shake_256s_robust_verify ( Sig , Msg , PK ) . % Example of corrupted message: BadMsg = &lt;&lt; &quot;messag0&quot; &gt;&gt; , false = pqclean_nif : sphincs_plus_shake_256s_robust_verify ( Sig , BadMsg , PK ) . See also: sphincs_plus_shake_256s_robust_sign/2 .","ref":"pqclean_nif.html#sphincs_plus_shake_256s_robust_verify/3"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_256s_simple_info/0","doc":"Returns information about the SPHINCS+-shake-256s-simple Signature Algorithm. \#{ type := sign , name := &quot;SPHINCS+-shake-256s-simple&quot; , secretkeybytes := 128 , publickeybytes := 64 , signaturebytes := 29792 , seedbytes := 96 } = pqclean_nif : sphincs_plus_shake_256s_simple_info ( ) See also: sphincs_plus_shake_256s_simple_keypair/0 , sphincs_plus_shake_256s_simple_keypair/1 , sphincs_plus_shake_256s_simple_sign/2 , sphincs_plus_shake_256s_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_shake_256s_simple_info/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_256s_simple_keypair/0","doc":"Randomly generates a new PublicKey and SecretKey keypair for the SPHINCS+-shake-256s-simple Signature Algorithm. PublicKey is a binary of size 64-bytes. SecretKey is a binary of size 128-bytes. { PK , SK } = pqclean_nif : sphincs_plus_shake_256s_simple_keypair ( ) . See also: sphincs_plus_shake_256s_simple_keypair/1 , sphincs_plus_shake_256s_simple_sign/2 , sphincs_plus_shake_256s_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_shake_256s_simple_keypair/0"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_256s_simple_keypair/1","doc":"Derives a PublicKey and SecretKey keypair based on Seed for the SPHINCS+-shake-256s-simple Signature Algorithm. Seed is a binary of size 96-bytes. PublicKey is a binary of size 64-bytes. SecretKey is a binary of size 128-bytes. % WARNING: Example only, NEVER use an all-zero Seed! { ZeroPK , ZeroSK } = pqclean_nif : sphincs_plus_shake_256s_simple_keypair ( &lt;&lt; 0 : ( 96 * 8 ) &gt;&gt; ) . % Randomly generated Seed: Seed = crypto : strong_rand_bytes ( 96 ) , { SeedPK , SeedSK } = pqclean_nif : sphincs_plus_shake_256s_simple_keypair ( Seed ) . See also: sphincs_plus_shake_256s_simple_keypair/0 , sphincs_plus_shake_256s_simple_sign/2 , sphincs_plus_shake_256s_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_shake_256s_simple_keypair/1"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_256s_simple_sign/2","doc":"Signs a Message with SecretKey and returns a Signature using the SPHINCS+-shake-256s-simple Signature Algorithm. Message is a binary. SecretKey is a binary of size 128-bytes generated from sphincs_plus_shake_256s_simple_keypair/0 or sphincs_plus_shake_256s_simple_keypair/1 . Signature is a binary of maximum size 29,792-bytes. { PK , SK } = pqclean_nif : sphincs_plus_shake_256s_simple_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_shake_256s_simple_sign ( Msg , SK ) . See also: sphincs_plus_shake_256s_simple_verify/3 .","ref":"pqclean_nif.html#sphincs_plus_shake_256s_simple_sign/2"},{"type":"function","title":"pqclean_nif.sphincs_plus_shake_256s_simple_verify/3","doc":"Verifies a Signature and Message with PublicKey and returns a Verification using the SPHINCS+-shake-256s-simple Signature Algorithm. Signature is a binary of maximum size 29,792-bytes. Message is a binary. PublicKey is a binary of size 64-bytes generated from sphincs_plus_shake_256s_simple_keypair/0 or sphincs_plus_shake_256s_simple_keypair/1 . Verification is a boolean ( true if the Signature and Message are verified, false otherwise). { PK , SK } = pqclean_nif : sphincs_plus_shake_256s_simple_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : sphincs_plus_shake_256s_simple_sign ( Msg , SK ) , true = pqclean_nif : sphincs_plus_shake_256s_simple_verify ( Sig , Msg , PK ) . % Example of corrupted message: BadMsg = &lt;&lt; &quot;messag0&quot; &gt;&gt; , false = pqclean_nif : sphincs_plus_shake_256s_simple_verify ( Sig , BadMsg , PK ) . See also: sphincs_plus_shake_256s_simple_sign/2 .","ref":"pqclean_nif.html#sphincs_plus_shake_256s_simple_verify/3"},{"type":"type","title":"pqclean_nif.crypto_kem_info/0","doc":"Map representation for a Key Encapsulation Mechanism (KEM) Algorithm. The following functions return this type: hqc_rmrs_128_info/0 hqc_rmrs_192_info/0 hqc_rmrs_256_info/0 kyber512_info/0 kyber512_90s_info/0 kyber768_info/0 kyber768_90s_info/0 kyber1024_info/0 kyber1024_90s_info/0 mceliece348864_info/0 mceliece348864f_info/0 mceliece460896_info/0 mceliece460896f_info/0 mceliece6688128_info/0 mceliece6688128f_info/0 mceliece6960119_info/0 mceliece6960119f_info/0 mceliece8192128_info/0 mceliece8192128f_info/0","ref":"pqclean_nif.html#t:crypto_kem_info/0"},{"type":"type","title":"pqclean_nif.crypto_sign_info/0","doc":"Map representation for a Signature Algorithm. The following functions return this type: dilithium2_info/0 dilithium2aes_info/0 dilithium3_info/0 dilithium3aes_info/0 dilithium5_info/0 dilithium5aes_info/0 falcon512_info/0 falcon1024_info/0 sphincs_plus_haraka_128f_robust_info/0 sphincs_plus_haraka_128f_simple_info/0 sphincs_plus_haraka_128s_robust_info/0 sphincs_plus_haraka_128s_simple_info/0 sphincs_plus_haraka_192f_robust_info/0 sphincs_plus_haraka_192f_simple_info/0 sphincs_plus_haraka_192s_robust_info/0 sphincs_plus_haraka_192s_simple_info/0 sphincs_plus_haraka_256f_robust_info/0 sphincs_plus_haraka_256f_simple_info/0 sphincs_plus_haraka_256s_robust_info/0 sphincs_plus_haraka_256s_simple_info/0 sphincs_plus_sha2_128f_robust_info/0 sphincs_plus_sha2_128f_simple_info/0 sphincs_plus_sha2_128s_robust_info/0 sphincs_plus_sha2_128s_simple_info/0 sphincs_plus_sha2_192f_robust_info/0 sphincs_plus_sha2_192f_simple_info/0 sphincs_plus_sha2_192s_robust_info/0 sphincs_plus_sha2_192s_simple_info/0 sphincs_plus_sha2_256f_robust_info/0 sphincs_plus_sha2_256f_simple_info/0 sphincs_plus_sha2_256s_robust_info/0 sphincs_plus_sha2_256s_simple_info/0 sphincs_plus_shake_128f_robust_info/0 sphincs_plus_shake_128f_simple_info/0 sphincs_plus_shake_128s_robust_info/0 sphincs_plus_shake_128s_simple_info/0 sphincs_plus_shake_192f_robust_info/0 sphincs_plus_shake_192f_simple_info/0 sphincs_plus_shake_192s_robust_info/0 sphincs_plus_shake_192s_simple_info/0 sphincs_plus_shake_256f_robust_info/0 sphincs_plus_shake_256f_simple_info/0 sphincs_plus_shake_256s_robust_info/0 sphincs_plus_shake_256s_simple_info/0","ref":"pqclean_nif.html#t:crypto_sign_info/0"},{"type":"type","title":"pqclean_nif.dilithium2_message/0","doc":"Binary representation of a Message for the Dilithium2 Signature Algorithm.","ref":"pqclean_nif.html#t:dilithium2_message/0"},{"type":"type","title":"pqclean_nif.dilithium2_public_key/0","doc":"Binary representation of a PublicKey for the Dilithium2 Signature Algorithm (1,312-bytes).","ref":"pqclean_nif.html#t:dilithium2_public_key/0"},{"type":"type","title":"pqclean_nif.dilithium2_secret_key/0","doc":"Binary representation of a SecretKey for the Dilithium2 Signature Algorithm (2,528-bytes).","ref":"pqclean_nif.html#t:dilithium2_secret_key/0"},{"type":"type","title":"pqclean_nif.dilithium2_signature/0","doc":"Binary representation of a Signature for the Dilithium2 Signature Algorithm (maximum of 2,420-bytes).","ref":"pqclean_nif.html#t:dilithium2_signature/0"},{"type":"type","title":"pqclean_nif.dilithium2_verification/0","doc":"Boolean representation of a Verification for the Dilithium2 Signature Algorithm ( true if verification was successful, false otherwise).","ref":"pqclean_nif.html#t:dilithium2_verification/0"},{"type":"type","title":"pqclean_nif.dilithium2aes_message/0","doc":"Binary representation of a Message for the Dilithium2-AES Signature Algorithm.","ref":"pqclean_nif.html#t:dilithium2aes_message/0"},{"type":"type","title":"pqclean_nif.dilithium2aes_public_key/0","doc":"Binary representation of a PublicKey for the Dilithium2-AES Signature Algorithm (1,312-bytes).","ref":"pqclean_nif.html#t:dilithium2aes_public_key/0"},{"type":"type","title":"pqclean_nif.dilithium2aes_secret_key/0","doc":"Binary representation of a SecretKey for the Dilithium2-AES Signature Algorithm (2,528-bytes).","ref":"pqclean_nif.html#t:dilithium2aes_secret_key/0"},{"type":"type","title":"pqclean_nif.dilithium2aes_signature/0","doc":"Binary representation of a Signature for the Dilithium2-AES Signature Algorithm (maximum of 2,420-bytes).","ref":"pqclean_nif.html#t:dilithium2aes_signature/0"},{"type":"type","title":"pqclean_nif.dilithium2aes_verification/0","doc":"Boolean representation of a Verification for the Dilithium2-AES Signature Algorithm ( true if verification was successful, false otherwise).","ref":"pqclean_nif.html#t:dilithium2aes_verification/0"},{"type":"type","title":"pqclean_nif.dilithium3_message/0","doc":"Binary representation of a Message for the Dilithium3 Signature Algorithm.","ref":"pqclean_nif.html#t:dilithium3_message/0"},{"type":"type","title":"pqclean_nif.dilithium3_public_key/0","doc":"Binary representation of a PublicKey for the Dilithium3 Signature Algorithm (1,952-bytes).","ref":"pqclean_nif.html#t:dilithium3_public_key/0"},{"type":"type","title":"pqclean_nif.dilithium3_secret_key/0","doc":"Binary representation of a SecretKey for the Dilithium3 Signature Algorithm (4,000-bytes).","ref":"pqclean_nif.html#t:dilithium3_secret_key/0"},{"type":"type","title":"pqclean_nif.dilithium3_signature/0","doc":"Binary representation of a Signature for the Dilithium3 Signature Algorithm (maximum of 3,293-bytes).","ref":"pqclean_nif.html#t:dilithium3_signature/0"},{"type":"type","title":"pqclean_nif.dilithium3_verification/0","doc":"Boolean representation of a Verification for the Dilithium3 Signature Algorithm ( true if verification was successful, false otherwise).","ref":"pqclean_nif.html#t:dilithium3_verification/0"},{"type":"type","title":"pqclean_nif.dilithium3aes_message/0","doc":"Binary representation of a Message for the Dilithium3-AES Signature Algorithm.","ref":"pqclean_nif.html#t:dilithium3aes_message/0"},{"type":"type","title":"pqclean_nif.dilithium3aes_public_key/0","doc":"Binary representation of a PublicKey for the Dilithium3-AES Signature Algorithm (1,952-bytes).","ref":"pqclean_nif.html#t:dilithium3aes_public_key/0"},{"type":"type","title":"pqclean_nif.dilithium3aes_secret_key/0","doc":"Binary representation of a SecretKey for the Dilithium3-AES Signature Algorithm (4,000-bytes).","ref":"pqclean_nif.html#t:dilithium3aes_secret_key/0"},{"type":"type","title":"pqclean_nif.dilithium3aes_signature/0","doc":"Binary representation of a Signature for the Dilithium3-AES Signature Algorithm (maximum of 3,293-bytes).","ref":"pqclean_nif.html#t:dilithium3aes_signature/0"},{"type":"type","title":"pqclean_nif.dilithium3aes_verification/0","doc":"Boolean representation of a Verification for the Dilithium3-AES Signature Algorithm ( true if verification was successful, false otherwise).","ref":"pqclean_nif.html#t:dilithium3aes_verification/0"},{"type":"type","title":"pqclean_nif.dilithium5_message/0","doc":"Binary representation of a Message for the Dilithium5 Signature Algorithm.","ref":"pqclean_nif.html#t:dilithium5_message/0"},{"type":"type","title":"pqclean_nif.dilithium5_public_key/0","doc":"Binary representation of a PublicKey for the Dilithium5 Signature Algorithm (2,592-bytes).","ref":"pqclean_nif.html#t:dilithium5_public_key/0"},{"type":"type","title":"pqclean_nif.dilithium5_secret_key/0","doc":"Binary representation of a SecretKey for the Dilithium5 Signature Algorithm (4,864-bytes).","ref":"pqclean_nif.html#t:dilithium5_secret_key/0"},{"type":"type","title":"pqclean_nif.dilithium5_signature/0","doc":"Binary representation of a Signature for the Dilithium5 Signature Algorithm (maximum of 4,595-bytes).","ref":"pqclean_nif.html#t:dilithium5_signature/0"},{"type":"type","title":"pqclean_nif.dilithium5_verification/0","doc":"Boolean representation of a Verification for the Dilithium5 Signature Algorithm ( true if verification was successful, false otherwise).","ref":"pqclean_nif.html#t:dilithium5_verification/0"},{"type":"type","title":"pqclean_nif.dilithium5aes_message/0","doc":"Binary representation of a Message for the Dilithium5-AES Signature Algorithm.","ref":"pqclean_nif.html#t:dilithium5aes_message/0"},{"type":"type","title":"pqclean_nif.dilithium5aes_public_key/0","doc":"Binary representation of a PublicKey for the Dilithium5-AES Signature Algorithm (2,592-bytes).","ref":"pqclean_nif.html#t:dilithium5aes_public_key/0"},{"type":"type","title":"pqclean_nif.dilithium5aes_secret_key/0","doc":"Binary representation of a SecretKey for the Dilithium5-AES Signature Algorithm (4,864-bytes).","ref":"pqclean_nif.html#t:dilithium5aes_secret_key/0"},{"type":"type","title":"pqclean_nif.dilithium5aes_signature/0","doc":"Binary representation of a Signature for the Dilithium5-AES Signature Algorithm (maximum of 4,595-bytes).","ref":"pqclean_nif.html#t:dilithium5aes_signature/0"},{"type":"type","title":"pqclean_nif.dilithium5aes_verification/0","doc":"Boolean representation of a Verification for the Dilithium5-AES Signature Algorithm ( true if verification was successful, false otherwise).","ref":"pqclean_nif.html#t:dilithium5aes_verification/0"},{"type":"type","title":"pqclean_nif.falcon512_message/0","doc":"Binary representation of a Message for the Falcon-512 Signature Algorithm.","ref":"pqclean_nif.html#t:falcon512_message/0"},{"type":"type","title":"pqclean_nif.falcon512_public_key/0","doc":"Binary representation of a PublicKey for the Falcon-512 Signature Algorithm (897-bytes).","ref":"pqclean_nif.html#t:falcon512_public_key/0"},{"type":"type","title":"pqclean_nif.falcon512_secret_key/0","doc":"Binary representation of a SecretKey for the Falcon-512 Signature Algorithm (1,281-bytes).","ref":"pqclean_nif.html#t:falcon512_secret_key/0"},{"type":"type","title":"pqclean_nif.falcon512_signature/0","doc":"Binary representation of a Signature for the Falcon-512 Signature Algorithm (maximum of 666-bytes).","ref":"pqclean_nif.html#t:falcon512_signature/0"},{"type":"type","title":"pqclean_nif.falcon512_verification/0","doc":"Boolean representation of a Verification for the Falcon-512 Signature Algorithm ( true if verification was successful, false otherwise).","ref":"pqclean_nif.html#t:falcon512_verification/0"},{"type":"type","title":"pqclean_nif.falcon1024_message/0","doc":"Binary representation of a Message for the Falcon-1024 Signature Algorithm.","ref":"pqclean_nif.html#t:falcon1024_message/0"},{"type":"type","title":"pqclean_nif.falcon1024_public_key/0","doc":"Binary representation of a PublicKey for the Falcon-1024 Signature Algorithm (1,793-bytes).","ref":"pqclean_nif.html#t:falcon1024_public_key/0"},{"type":"type","title":"pqclean_nif.falcon1024_secret_key/0","doc":"Binary representation of a SecretKey for the Falcon-1024 Signature Algorithm (2,305-bytes).","ref":"pqclean_nif.html#t:falcon1024_secret_key/0"},{"type":"type","title":"pqclean_nif.falcon1024_signature/0","doc":"Binary representation of a Signature for the Falcon-1024 Signature Algorithm (maximum of 1,280-bytes).","ref":"pqclean_nif.html#t:falcon1024_signature/0"},{"type":"type","title":"pqclean_nif.falcon1024_verification/0","doc":"Boolean representation of a Verification for the Falcon-1024 Signature Algorithm ( true if verification was successful, false otherwise).","ref":"pqclean_nif.html#t:falcon1024_verification/0"},{"type":"type","title":"pqclean_nif.hqc_rmrs_128_cipher_text/0","doc":"Binary representation of a CipherText for the HQC-RMRS-128 KEM Algorithm (4,481-bytes).","ref":"pqclean_nif.html#t:hqc_rmrs_128_cipher_text/0"},{"type":"type","title":"pqclean_nif.hqc_rmrs_128_public_key/0","doc":"Binary representation of a PublicKey for the HQC-RMRS-128 KEM Algorithm (2,249-bytes).","ref":"pqclean_nif.html#t:hqc_rmrs_128_public_key/0"},{"type":"type","title":"pqclean_nif.hqc_rmrs_128_secret_key/0","doc":"Binary representation of a SecretKey for the HQC-RMRS-128 KEM Algorithm (2,289-bytes).","ref":"pqclean_nif.html#t:hqc_rmrs_128_secret_key/0"},{"type":"type","title":"pqclean_nif.hqc_rmrs_128_shared_secret/0","doc":"Binary representation of a SharedSecret for the HQC-RMRS-128 KEM Algorithm (64-bytes).","ref":"pqclean_nif.html#t:hqc_rmrs_128_shared_secret/0"},{"type":"type","title":"pqclean_nif.hqc_rmrs_192_cipher_text/0","doc":"Binary representation of a CipherText for the HQC-RMRS-192 KEM Algorithm (9,026-bytes).","ref":"pqclean_nif.html#t:hqc_rmrs_192_cipher_text/0"},{"type":"type","title":"pqclean_nif.hqc_rmrs_192_public_key/0","doc":"Binary representation of a PublicKey for the HQC-RMRS-192 KEM Algorithm (4,522-bytes).","ref":"pqclean_nif.html#t:hqc_rmrs_192_public_key/0"},{"type":"type","title":"pqclean_nif.hqc_rmrs_192_secret_key/0","doc":"Binary representation of a SecretKey for the HQC-RMRS-192 KEM Algorithm (4,562-bytes).","ref":"pqclean_nif.html#t:hqc_rmrs_192_secret_key/0"},{"type":"type","title":"pqclean_nif.hqc_rmrs_192_shared_secret/0","doc":"Binary representation of a SharedSecret for the HQC-RMRS-192 KEM Algorithm (64-bytes).","ref":"pqclean_nif.html#t:hqc_rmrs_192_shared_secret/0"},{"type":"type","title":"pqclean_nif.hqc_rmrs_256_cipher_text/0","doc":"Binary representation of a CipherText for the HQC-RMRS-256 KEM Algorithm (14,469-bytes).","ref":"pqclean_nif.html#t:hqc_rmrs_256_cipher_text/0"},{"type":"type","title":"pqclean_nif.hqc_rmrs_256_public_key/0","doc":"Binary representation of a PublicKey for the HQC-RMRS-256 KEM Algorithm (7,245-bytes).","ref":"pqclean_nif.html#t:hqc_rmrs_256_public_key/0"},{"type":"type","title":"pqclean_nif.hqc_rmrs_256_secret_key/0","doc":"Binary representation of a SecretKey for the HQC-RMRS-256 KEM Algorithm (7,285-bytes).","ref":"pqclean_nif.html#t:hqc_rmrs_256_secret_key/0"},{"type":"type","title":"pqclean_nif.hqc_rmrs_256_shared_secret/0","doc":"Binary representation of a SharedSecret for the HQC-RMRS-256 KEM Algorithm (64-bytes).","ref":"pqclean_nif.html#t:hqc_rmrs_256_shared_secret/0"},{"type":"type","title":"pqclean_nif.kyber512_90s_cipher_text/0","doc":"Binary representation of a CipherText for the Kyber512-90s KEM Algorithm (768-bytes).","ref":"pqclean_nif.html#t:kyber512_90s_cipher_text/0"},{"type":"type","title":"pqclean_nif.kyber512_90s_public_key/0","doc":"Binary representation of a PublicKey for the Kyber512-90s KEM Algorithm (800-bytes).","ref":"pqclean_nif.html#t:kyber512_90s_public_key/0"},{"type":"type","title":"pqclean_nif.kyber512_90s_secret_key/0","doc":"Binary representation of a SecretKey for the Kyber512-90s KEM Algorithm (1,632-bytes).","ref":"pqclean_nif.html#t:kyber512_90s_secret_key/0"},{"type":"type","title":"pqclean_nif.kyber512_90s_shared_secret/0","doc":"Binary representation of a SharedSecret for the Kyber512-90s KEM Algorithm (32-bytes).","ref":"pqclean_nif.html#t:kyber512_90s_shared_secret/0"},{"type":"type","title":"pqclean_nif.kyber512_cipher_text/0","doc":"Binary representation of a CipherText for the Kyber512 KEM Algorithm (768-bytes).","ref":"pqclean_nif.html#t:kyber512_cipher_text/0"},{"type":"type","title":"pqclean_nif.kyber512_public_key/0","doc":"Binary representation of a PublicKey for the Kyber512 KEM Algorithm (800-bytes).","ref":"pqclean_nif.html#t:kyber512_public_key/0"},{"type":"type","title":"pqclean_nif.kyber512_secret_key/0","doc":"Binary representation of a SecretKey for the Kyber512 KEM Algorithm (1,632-bytes).","ref":"pqclean_nif.html#t:kyber512_secret_key/0"},{"type":"type","title":"pqclean_nif.kyber512_shared_secret/0","doc":"Binary representation of a SharedSecret for the Kyber512 KEM Algorithm (32-bytes).","ref":"pqclean_nif.html#t:kyber512_shared_secret/0"},{"type":"type","title":"pqclean_nif.kyber768_90s_cipher_text/0","doc":"Binary representation of a CipherText for the Kyber768-90s KEM Algorithm (1,088-bytes).","ref":"pqclean_nif.html#t:kyber768_90s_cipher_text/0"},{"type":"type","title":"pqclean_nif.kyber768_90s_public_key/0","doc":"Binary representation of a PublicKey for the Kyber768-90s KEM Algorithm (1,184-bytes).","ref":"pqclean_nif.html#t:kyber768_90s_public_key/0"},{"type":"type","title":"pqclean_nif.kyber768_90s_secret_key/0","doc":"Binary representation of a SecretKey for the Kyber768-90s KEM Algorithm (2,400-bytes).","ref":"pqclean_nif.html#t:kyber768_90s_secret_key/0"},{"type":"type","title":"pqclean_nif.kyber768_90s_shared_secret/0","doc":"Binary representation of a SharedSecret for the Kyber768-90s KEM Algorithm (32-bytes).","ref":"pqclean_nif.html#t:kyber768_90s_shared_secret/0"},{"type":"type","title":"pqclean_nif.kyber768_cipher_text/0","doc":"Binary representation of a CipherText for the Kyber768 KEM Algorithm (1,088-bytes).","ref":"pqclean_nif.html#t:kyber768_cipher_text/0"},{"type":"type","title":"pqclean_nif.kyber768_public_key/0","doc":"Binary representation of a PublicKey for the Kyber768 KEM Algorithm (1,184-bytes).","ref":"pqclean_nif.html#t:kyber768_public_key/0"},{"type":"type","title":"pqclean_nif.kyber768_secret_key/0","doc":"Binary representation of a SecretKey for the Kyber768 KEM Algorithm (2,400-bytes).","ref":"pqclean_nif.html#t:kyber768_secret_key/0"},{"type":"type","title":"pqclean_nif.kyber768_shared_secret/0","doc":"Binary representation of a SharedSecret for the Kyber768 KEM Algorithm (32-bytes).","ref":"pqclean_nif.html#t:kyber768_shared_secret/0"},{"type":"type","title":"pqclean_nif.kyber1024_90s_cipher_text/0","doc":"Binary representation of a CipherText for the Kyber1024-90s KEM Algorithm (1,568-bytes).","ref":"pqclean_nif.html#t:kyber1024_90s_cipher_text/0"},{"type":"type","title":"pqclean_nif.kyber1024_90s_public_key/0","doc":"Binary representation of a PublicKey for the Kyber1024-90s KEM Algorithm (1,568-bytes).","ref":"pqclean_nif.html#t:kyber1024_90s_public_key/0"},{"type":"type","title":"pqclean_nif.kyber1024_90s_secret_key/0","doc":"Binary representation of a SecretKey for the Kyber1024-90s KEM Algorithm (3,168-bytes).","ref":"pqclean_nif.html#t:kyber1024_90s_secret_key/0"},{"type":"type","title":"pqclean_nif.kyber1024_90s_shared_secret/0","doc":"Binary representation of a SharedSecret for the Kyber1024-90s KEM Algorithm (32-bytes).","ref":"pqclean_nif.html#t:kyber1024_90s_shared_secret/0"},{"type":"type","title":"pqclean_nif.kyber1024_cipher_text/0","doc":"Binary representation of a CipherText for the Kyber1024 KEM Algorithm (1,568-bytes).","ref":"pqclean_nif.html#t:kyber1024_cipher_text/0"},{"type":"type","title":"pqclean_nif.kyber1024_public_key/0","doc":"Binary representation of a PublicKey for the Kyber1024 KEM Algorithm (1,568-bytes).","ref":"pqclean_nif.html#t:kyber1024_public_key/0"},{"type":"type","title":"pqclean_nif.kyber1024_secret_key/0","doc":"Binary representation of a SecretKey for the Kyber1024 KEM Algorithm (3,168-bytes).","ref":"pqclean_nif.html#t:kyber1024_secret_key/0"},{"type":"type","title":"pqclean_nif.kyber1024_shared_secret/0","doc":"Binary representation of a SharedSecret for the Kyber1024 KEM Algorithm (32-bytes).","ref":"pqclean_nif.html#t:kyber1024_shared_secret/0"},{"type":"type","title":"pqclean_nif.mceliece348864_cipher_text/0","doc":"Binary representation of a CipherText for the Classic McEliece 348864 KEM Algorithm (128-bytes).","ref":"pqclean_nif.html#t:mceliece348864_cipher_text/0"},{"type":"type","title":"pqclean_nif.mceliece348864_public_key/0","doc":"Binary representation of a PublicKey for the Classic McEliece 348864 KEM Algorithm (261,120-bytes).","ref":"pqclean_nif.html#t:mceliece348864_public_key/0"},{"type":"type","title":"pqclean_nif.mceliece348864_secret_key/0","doc":"Binary representation of a SecretKey for the Classic McEliece 348864 KEM Algorithm (6,452-bytes).","ref":"pqclean_nif.html#t:mceliece348864_secret_key/0"},{"type":"type","title":"pqclean_nif.mceliece348864_shared_secret/0","doc":"Binary representation of a SharedSecret for the Classic McEliece 348864 KEM Algorithm (32-bytes).","ref":"pqclean_nif.html#t:mceliece348864_shared_secret/0"},{"type":"type","title":"pqclean_nif.mceliece348864f_cipher_text/0","doc":"Binary representation of a CipherText for the Classic McEliece 348864f KEM Algorithm (128-bytes).","ref":"pqclean_nif.html#t:mceliece348864f_cipher_text/0"},{"type":"type","title":"pqclean_nif.mceliece348864f_public_key/0","doc":"Binary representation of a PublicKey for the Classic McEliece 348864f KEM Algorithm (261,120-bytes).","ref":"pqclean_nif.html#t:mceliece348864f_public_key/0"},{"type":"type","title":"pqclean_nif.mceliece348864f_secret_key/0","doc":"Binary representation of a SecretKey for the Classic McEliece 348864f KEM Algorithm (6,452-bytes).","ref":"pqclean_nif.html#t:mceliece348864f_secret_key/0"},{"type":"type","title":"pqclean_nif.mceliece348864f_shared_secret/0","doc":"Binary representation of a SharedSecret for the Classic McEliece 348864f KEM Algorithm (32-bytes).","ref":"pqclean_nif.html#t:mceliece348864f_shared_secret/0"},{"type":"type","title":"pqclean_nif.mceliece460896_cipher_text/0","doc":"Binary representation of a CipherText for the Classic McEliece 460896 KEM Algorithm (188-bytes).","ref":"pqclean_nif.html#t:mceliece460896_cipher_text/0"},{"type":"type","title":"pqclean_nif.mceliece460896_public_key/0","doc":"Binary representation of a PublicKey for the Classic McEliece 460896 KEM Algorithm (524,160-bytes).","ref":"pqclean_nif.html#t:mceliece460896_public_key/0"},{"type":"type","title":"pqclean_nif.mceliece460896_secret_key/0","doc":"Binary representation of a SecretKey for the Classic McEliece 460896 KEM Algorithm (13,568-bytes).","ref":"pqclean_nif.html#t:mceliece460896_secret_key/0"},{"type":"type","title":"pqclean_nif.mceliece460896_shared_secret/0","doc":"Binary representation of a SharedSecret for the Classic McEliece 460896 KEM Algorithm (32-bytes).","ref":"pqclean_nif.html#t:mceliece460896_shared_secret/0"},{"type":"type","title":"pqclean_nif.mceliece460896f_cipher_text/0","doc":"Binary representation of a CipherText for the Classic McEliece 460896f KEM Algorithm (188-bytes).","ref":"pqclean_nif.html#t:mceliece460896f_cipher_text/0"},{"type":"type","title":"pqclean_nif.mceliece460896f_public_key/0","doc":"Binary representation of a PublicKey for the Classic McEliece 460896f KEM Algorithm (524,160-bytes).","ref":"pqclean_nif.html#t:mceliece460896f_public_key/0"},{"type":"type","title":"pqclean_nif.mceliece460896f_secret_key/0","doc":"Binary representation of a SecretKey for the Classic McEliece 460896f KEM Algorithm (13,568-bytes).","ref":"pqclean_nif.html#t:mceliece460896f_secret_key/0"},{"type":"type","title":"pqclean_nif.mceliece460896f_shared_secret/0","doc":"Binary representation of a SharedSecret for the Classic McEliece 460896f KEM Algorithm (32-bytes).","ref":"pqclean_nif.html#t:mceliece460896f_shared_secret/0"},{"type":"type","title":"pqclean_nif.mceliece6688128_cipher_text/0","doc":"Binary representation of a CipherText for the Classic McEliece 6688128 KEM Algorithm (240-bytes).","ref":"pqclean_nif.html#t:mceliece6688128_cipher_text/0"},{"type":"type","title":"pqclean_nif.mceliece6688128_public_key/0","doc":"Binary representation of a PublicKey for the Classic McEliece 6688128 KEM Algorithm (1,044,992-bytes).","ref":"pqclean_nif.html#t:mceliece6688128_public_key/0"},{"type":"type","title":"pqclean_nif.mceliece6688128_secret_key/0","doc":"Binary representation of a SecretKey for the Classic McEliece 6688128 KEM Algorithm (13,892-bytes).","ref":"pqclean_nif.html#t:mceliece6688128_secret_key/0"},{"type":"type","title":"pqclean_nif.mceliece6688128_shared_secret/0","doc":"Binary representation of a SharedSecret for the Classic McEliece 6688128 KEM Algorithm (32-bytes).","ref":"pqclean_nif.html#t:mceliece6688128_shared_secret/0"},{"type":"type","title":"pqclean_nif.mceliece6688128f_cipher_text/0","doc":"Binary representation of a CipherText for the Classic McEliece 6688128 KEM Algorithm (240-bytes).","ref":"pqclean_nif.html#t:mceliece6688128f_cipher_text/0"},{"type":"type","title":"pqclean_nif.mceliece6688128f_public_key/0","doc":"Binary representation of a PublicKey for the Classic McEliece 6688128 KEM Algorithm (1,044,992-bytes).","ref":"pqclean_nif.html#t:mceliece6688128f_public_key/0"},{"type":"type","title":"pqclean_nif.mceliece6688128f_secret_key/0","doc":"Binary representation of a SecretKey for the Classic McEliece 6688128 KEM Algorithm (13,892-bytes).","ref":"pqclean_nif.html#t:mceliece6688128f_secret_key/0"},{"type":"type","title":"pqclean_nif.mceliece6688128f_shared_secret/0","doc":"Binary representation of a SharedSecret for the Classic McEliece 6688128 KEM Algorithm (32-bytes).","ref":"pqclean_nif.html#t:mceliece6688128f_shared_secret/0"},{"type":"type","title":"pqclean_nif.mceliece6960119_cipher_text/0","doc":"Binary representation of a CipherText for the Classic McEliece 6960119 KEM Algorithm (226-bytes).","ref":"pqclean_nif.html#t:mceliece6960119_cipher_text/0"},{"type":"type","title":"pqclean_nif.mceliece6960119_public_key/0","doc":"Binary representation of a PublicKey for the Classic McEliece 6960119 KEM Algorithm (1,047,319-bytes).","ref":"pqclean_nif.html#t:mceliece6960119_public_key/0"},{"type":"type","title":"pqclean_nif.mceliece6960119_secret_key/0","doc":"Binary representation of a SecretKey for the Classic McEliece 6960119 KEM Algorithm (13,908-bytes).","ref":"pqclean_nif.html#t:mceliece6960119_secret_key/0"},{"type":"type","title":"pqclean_nif.mceliece6960119_shared_secret/0","doc":"Binary representation of a SharedSecret for the Classic McEliece 6960119 KEM Algorithm (32-bytes).","ref":"pqclean_nif.html#t:mceliece6960119_shared_secret/0"},{"type":"type","title":"pqclean_nif.mceliece6960119f_cipher_text/0","doc":"Binary representation of a CipherText for the Classic McEliece 6960119f KEM Algorithm (226-bytes).","ref":"pqclean_nif.html#t:mceliece6960119f_cipher_text/0"},{"type":"type","title":"pqclean_nif.mceliece6960119f_public_key/0","doc":"Binary representation of a PublicKey for the Classic McEliece 6960119f KEM Algorithm (1,047,319-bytes).","ref":"pqclean_nif.html#t:mceliece6960119f_public_key/0"},{"type":"type","title":"pqclean_nif.mceliece6960119f_secret_key/0","doc":"Binary representation of a SecretKey for the Classic McEliece 6960119f KEM Algorithm (13,908-bytes).","ref":"pqclean_nif.html#t:mceliece6960119f_secret_key/0"},{"type":"type","title":"pqclean_nif.mceliece6960119f_shared_secret/0","doc":"Binary representation of a SharedSecret for the Classic McEliece 6960119f KEM Algorithm (32-bytes).","ref":"pqclean_nif.html#t:mceliece6960119f_shared_secret/0"},{"type":"type","title":"pqclean_nif.mceliece8192128_cipher_text/0","doc":"Binary representation of a CipherText for the Classic McEliece 8192128 KEM Algorithm (240-bytes).","ref":"pqclean_nif.html#t:mceliece8192128_cipher_text/0"},{"type":"type","title":"pqclean_nif.mceliece8192128_public_key/0","doc":"Binary representation of a PublicKey for the Classic McEliece 8192128 KEM Algorithm (1,357,824-bytes).","ref":"pqclean_nif.html#t:mceliece8192128_public_key/0"},{"type":"type","title":"pqclean_nif.mceliece8192128_secret_key/0","doc":"Binary representation of a SecretKey for the Classic McEliece 8192128 KEM Algorithm (14,080-bytes).","ref":"pqclean_nif.html#t:mceliece8192128_secret_key/0"},{"type":"type","title":"pqclean_nif.mceliece8192128_shared_secret/0","doc":"Binary representation of a SharedSecret for the Classic McEliece 8192128 KEM Algorithm (32-bytes).","ref":"pqclean_nif.html#t:mceliece8192128_shared_secret/0"},{"type":"type","title":"pqclean_nif.mceliece8192128f_cipher_text/0","doc":"Binary representation of a CipherText for the Classic McEliece 8192128f KEM Algorithm (240-bytes).","ref":"pqclean_nif.html#t:mceliece8192128f_cipher_text/0"},{"type":"type","title":"pqclean_nif.mceliece8192128f_public_key/0","doc":"Binary representation of a PublicKey for the Classic McEliece 8192128f KEM Algorithm (1,357,824-bytes).","ref":"pqclean_nif.html#t:mceliece8192128f_public_key/0"},{"type":"type","title":"pqclean_nif.mceliece8192128f_secret_key/0","doc":"Binary representation of a SecretKey for the Classic McEliece 8192128f KEM Algorithm (14,080-bytes).","ref":"pqclean_nif.html#t:mceliece8192128f_secret_key/0"},{"type":"type","title":"pqclean_nif.mceliece8192128f_shared_secret/0","doc":"Binary representation of a SharedSecret for the Classic McEliece 8192128f KEM Algorithm (32-bytes).","ref":"pqclean_nif.html#t:mceliece8192128f_shared_secret/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_128f_robust_message/0","doc":"Binary representation of a Message for the SPHINCS+-haraka-128f-robust Signature Algorithm.","ref":"pqclean_nif.html#t:sphincs_plus_haraka_128f_robust_message/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_128f_robust_public_key/0","doc":"Binary representation of a PublicKey for the SPHINCS+-haraka-128f-robust Signature Algorithm (32-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_128f_robust_public_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_128f_robust_secret_key/0","doc":"Binary representation of a SecretKey for the SPHINCS+-haraka-128f-robust Signature Algorithm (64-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_128f_robust_secret_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_128f_robust_seed/0","doc":"Binary representation of a Seed for the SPHINCS+-haraka-128f-robust Signature Algorithm (48-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_128f_robust_seed/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_128f_robust_signature/0","doc":"Binary representation of a Signature for the SPHINCS+-haraka-128f-robust Signature Algorithm (maximum of 17,088-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_128f_robust_signature/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_128f_robust_verification/0","doc":"Boolean representation of a Verification for the SPHINCS+-haraka-128f-robust Signature Algorithm ( true if verification was successful, false otherwise).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_128f_robust_verification/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_128f_simple_message/0","doc":"Binary representation of a Message for the SPHINCS+-haraka-128f-simple Signature Algorithm.","ref":"pqclean_nif.html#t:sphincs_plus_haraka_128f_simple_message/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_128f_simple_public_key/0","doc":"Binary representation of a PublicKey for the SPHINCS+-haraka-128f-simple Signature Algorithm (32-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_128f_simple_public_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_128f_simple_secret_key/0","doc":"Binary representation of a SecretKey for the SPHINCS+-haraka-128f-simple Signature Algorithm (64-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_128f_simple_secret_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_128f_simple_seed/0","doc":"Binary representation of a Seed for the SPHINCS+-haraka-128f-simple Signature Algorithm (48-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_128f_simple_seed/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_128f_simple_signature/0","doc":"Binary representation of a Signature for the SPHINCS+-haraka-128f-simple Signature Algorithm (maximum of 17,088-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_128f_simple_signature/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_128f_simple_verification/0","doc":"Boolean representation of a Verification for the SPHINCS+-haraka-128f-simple Signature Algorithm ( true if verification was successful, false otherwise).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_128f_simple_verification/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_128s_robust_message/0","doc":"Binary representation of a Message for the SPHINCS+-haraka-128s-robust Signature Algorithm.","ref":"pqclean_nif.html#t:sphincs_plus_haraka_128s_robust_message/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_128s_robust_public_key/0","doc":"Binary representation of a PublicKey for the SPHINCS+-haraka-128s-robust Signature Algorithm (32-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_128s_robust_public_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_128s_robust_secret_key/0","doc":"Binary representation of a SecretKey for the SPHINCS+-haraka-128s-robust Signature Algorithm (64-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_128s_robust_secret_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_128s_robust_seed/0","doc":"Binary representation of a Seed for the SPHINCS+-haraka-128s-robust Signature Algorithm (48-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_128s_robust_seed/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_128s_robust_signature/0","doc":"Binary representation of a Signature for the SPHINCS+-haraka-128s-robust Signature Algorithm (maximum of 7,856-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_128s_robust_signature/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_128s_robust_verification/0","doc":"Boolean representation of a Verification for the SPHINCS+-haraka-128s-robust Signature Algorithm ( true if verification was successful, false otherwise).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_128s_robust_verification/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_128s_simple_message/0","doc":"Binary representation of a Message for the SPHINCS+-haraka-128s-simple Signature Algorithm.","ref":"pqclean_nif.html#t:sphincs_plus_haraka_128s_simple_message/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_128s_simple_public_key/0","doc":"Binary representation of a PublicKey for the SPHINCS+-haraka-128s-simple Signature Algorithm (32-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_128s_simple_public_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_128s_simple_secret_key/0","doc":"Binary representation of a SecretKey for the SPHINCS+-haraka-128s-simple Signature Algorithm (64-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_128s_simple_secret_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_128s_simple_seed/0","doc":"Binary representation of a Seed for the SPHINCS+-haraka-128s-simple Signature Algorithm (48-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_128s_simple_seed/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_128s_simple_signature/0","doc":"Binary representation of a Signature for the SPHINCS+-haraka-128s-simple Signature Algorithm (maximum of 7,856-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_128s_simple_signature/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_128s_simple_verification/0","doc":"Boolean representation of a Verification for the SPHINCS+-haraka-128s-simple Signature Algorithm ( true if verification was successful, false otherwise).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_128s_simple_verification/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_192f_robust_message/0","doc":"Binary representation of a Message for the SPHINCS+-haraka-192f-robust Signature Algorithm.","ref":"pqclean_nif.html#t:sphincs_plus_haraka_192f_robust_message/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_192f_robust_public_key/0","doc":"Binary representation of a PublicKey for the SPHINCS+-haraka-192f-robust Signature Algorithm (48-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_192f_robust_public_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_192f_robust_secret_key/0","doc":"Binary representation of a SecretKey for the SPHINCS+-haraka-192f-robust Signature Algorithm (96-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_192f_robust_secret_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_192f_robust_seed/0","doc":"Binary representation of a Seed for the SPHINCS+-haraka-192f-robust Signature Algorithm (72-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_192f_robust_seed/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_192f_robust_signature/0","doc":"Binary representation of a Signature for the SPHINCS+-haraka-192f-robust Signature Algorithm (maximum of 35,664-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_192f_robust_signature/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_192f_robust_verification/0","doc":"Boolean representation of a Verification for the SPHINCS+-haraka-192f-robust Signature Algorithm ( true if verification was successful, false otherwise).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_192f_robust_verification/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_192f_simple_message/0","doc":"Binary representation of a Message for the SPHINCS+-haraka-192f-simple Signature Algorithm.","ref":"pqclean_nif.html#t:sphincs_plus_haraka_192f_simple_message/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_192f_simple_public_key/0","doc":"Binary representation of a PublicKey for the SPHINCS+-haraka-192f-simple Signature Algorithm (48-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_192f_simple_public_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_192f_simple_secret_key/0","doc":"Binary representation of a SecretKey for the SPHINCS+-haraka-192f-simple Signature Algorithm (96-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_192f_simple_secret_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_192f_simple_seed/0","doc":"Binary representation of a Seed for the SPHINCS+-haraka-192f-simple Signature Algorithm (72-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_192f_simple_seed/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_192f_simple_signature/0","doc":"Binary representation of a Signature for the SPHINCS+-haraka-192f-simple Signature Algorithm (maximum of 35,664-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_192f_simple_signature/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_192f_simple_verification/0","doc":"Boolean representation of a Verification for the SPHINCS+-haraka-192f-simple Signature Algorithm ( true if verification was successful, false otherwise).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_192f_simple_verification/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_192s_robust_message/0","doc":"Binary representation of a Message for the SPHINCS+-haraka-192s-robust Signature Algorithm.","ref":"pqclean_nif.html#t:sphincs_plus_haraka_192s_robust_message/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_192s_robust_public_key/0","doc":"Binary representation of a PublicKey for the SPHINCS+-haraka-192s-robust Signature Algorithm (48-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_192s_robust_public_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_192s_robust_secret_key/0","doc":"Binary representation of a SecretKey for the SPHINCS+-haraka-192s-robust Signature Algorithm (96-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_192s_robust_secret_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_192s_robust_seed/0","doc":"Binary representation of a Seed for the SPHINCS+-haraka-192s-robust Signature Algorithm (72-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_192s_robust_seed/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_192s_robust_signature/0","doc":"Binary representation of a Signature for the SPHINCS+-haraka-192s-robust Signature Algorithm (maximum of 16,224-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_192s_robust_signature/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_192s_robust_verification/0","doc":"Boolean representation of a Verification for the SPHINCS+-haraka-192s-robust Signature Algorithm ( true if verification was successful, false otherwise).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_192s_robust_verification/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_192s_simple_message/0","doc":"Binary representation of a Message for the SPHINCS+-haraka-192s-simple Signature Algorithm.","ref":"pqclean_nif.html#t:sphincs_plus_haraka_192s_simple_message/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_192s_simple_public_key/0","doc":"Binary representation of a PublicKey for the SPHINCS+-haraka-192s-simple Signature Algorithm (48-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_192s_simple_public_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_192s_simple_secret_key/0","doc":"Binary representation of a SecretKey for the SPHINCS+-haraka-192s-simple Signature Algorithm (96-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_192s_simple_secret_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_192s_simple_seed/0","doc":"Binary representation of a Seed for the SPHINCS+-haraka-192s-simple Signature Algorithm (72-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_192s_simple_seed/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_192s_simple_signature/0","doc":"Binary representation of a Signature for the SPHINCS+-haraka-192s-simple Signature Algorithm (maximum of 16,224-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_192s_simple_signature/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_192s_simple_verification/0","doc":"Boolean representation of a Verification for the SPHINCS+-haraka-192s-simple Signature Algorithm ( true if verification was successful, false otherwise).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_192s_simple_verification/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_256f_robust_message/0","doc":"Binary representation of a Message for the SPHINCS+-haraka-256f-robust Signature Algorithm.","ref":"pqclean_nif.html#t:sphincs_plus_haraka_256f_robust_message/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_256f_robust_public_key/0","doc":"Binary representation of a PublicKey for the SPHINCS+-haraka-256f-robust Signature Algorithm (64-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_256f_robust_public_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_256f_robust_secret_key/0","doc":"Binary representation of a SecretKey for the SPHINCS+-haraka-256f-robust Signature Algorithm (128-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_256f_robust_secret_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_256f_robust_seed/0","doc":"Binary representation of a Seed for the SPHINCS+-haraka-256f-robust Signature Algorithm (96-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_256f_robust_seed/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_256f_robust_signature/0","doc":"Binary representation of a Signature for the SPHINCS+-haraka-256f-robust Signature Algorithm (maximum of 49,856-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_256f_robust_signature/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_256f_robust_verification/0","doc":"Boolean representation of a Verification for the SPHINCS+-haraka-256f-robust Signature Algorithm ( true if verification was successful, false otherwise).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_256f_robust_verification/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_256f_simple_message/0","doc":"Binary representation of a Message for the SPHINCS+-haraka-256f-simple Signature Algorithm.","ref":"pqclean_nif.html#t:sphincs_plus_haraka_256f_simple_message/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_256f_simple_public_key/0","doc":"Binary representation of a PublicKey for the SPHINCS+-haraka-256f-simple Signature Algorithm (64-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_256f_simple_public_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_256f_simple_secret_key/0","doc":"Binary representation of a SecretKey for the SPHINCS+-haraka-256f-simple Signature Algorithm (128-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_256f_simple_secret_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_256f_simple_seed/0","doc":"Binary representation of a Seed for the SPHINCS+-haraka-256f-simple Signature Algorithm (96-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_256f_simple_seed/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_256f_simple_signature/0","doc":"Binary representation of a Signature for the SPHINCS+-haraka-256f-simple Signature Algorithm (maximum of 49,856-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_256f_simple_signature/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_256f_simple_verification/0","doc":"Boolean representation of a Verification for the SPHINCS+-haraka-256f-simple Signature Algorithm ( true if verification was successful, false otherwise).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_256f_simple_verification/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_256s_robust_message/0","doc":"Binary representation of a Message for the SPHINCS+-haraka-256s-robust Signature Algorithm.","ref":"pqclean_nif.html#t:sphincs_plus_haraka_256s_robust_message/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_256s_robust_public_key/0","doc":"Binary representation of a PublicKey for the SPHINCS+-haraka-256s-robust Signature Algorithm (64-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_256s_robust_public_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_256s_robust_secret_key/0","doc":"Binary representation of a SecretKey for the SPHINCS+-haraka-256s-robust Signature Algorithm (128-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_256s_robust_secret_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_256s_robust_seed/0","doc":"Binary representation of a Seed for the SPHINCS+-haraka-256s-robust Signature Algorithm (96-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_256s_robust_seed/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_256s_robust_signature/0","doc":"Binary representation of a Signature for the SPHINCS+-haraka-256s-robust Signature Algorithm (maximum of 29,792-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_256s_robust_signature/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_256s_robust_verification/0","doc":"Boolean representation of a Verification for the SPHINCS+-haraka-256s-robust Signature Algorithm ( true if verification was successful, false otherwise).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_256s_robust_verification/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_256s_simple_message/0","doc":"Binary representation of a Message for the SPHINCS+-haraka-256s-simple Signature Algorithm.","ref":"pqclean_nif.html#t:sphincs_plus_haraka_256s_simple_message/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_256s_simple_public_key/0","doc":"Binary representation of a PublicKey for the SPHINCS+-haraka-256s-simple Signature Algorithm (64-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_256s_simple_public_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_256s_simple_secret_key/0","doc":"Binary representation of a SecretKey for the SPHINCS+-haraka-256s-simple Signature Algorithm (128-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_256s_simple_secret_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_256s_simple_seed/0","doc":"Binary representation of a Seed for the SPHINCS+-haraka-256s-simple Signature Algorithm (96-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_256s_simple_seed/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_256s_simple_signature/0","doc":"Binary representation of a Signature for the SPHINCS+-haraka-256s-simple Signature Algorithm (maximum of 29,792-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_256s_simple_signature/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_haraka_256s_simple_verification/0","doc":"Boolean representation of a Verification for the SPHINCS+-haraka-256s-simple Signature Algorithm ( true if verification was successful, false otherwise).","ref":"pqclean_nif.html#t:sphincs_plus_haraka_256s_simple_verification/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_128f_robust_message/0","doc":"Binary representation of a Message for the SPHINCS+-sha2-128f-robust Signature Algorithm.","ref":"pqclean_nif.html#t:sphincs_plus_sha2_128f_robust_message/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_128f_robust_public_key/0","doc":"Binary representation of a PublicKey for the SPHINCS+-sha2-128f-robust Signature Algorithm (32-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_128f_robust_public_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_128f_robust_secret_key/0","doc":"Binary representation of a SecretKey for the SPHINCS+-sha2-128f-robust Signature Algorithm (64-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_128f_robust_secret_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_128f_robust_seed/0","doc":"Binary representation of a Seed for the SPHINCS+-sha2-128f-robust Signature Algorithm (48-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_128f_robust_seed/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_128f_robust_signature/0","doc":"Binary representation of a Signature for the SPHINCS+-sha2-128f-robust Signature Algorithm (maximum of 17,088-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_128f_robust_signature/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_128f_robust_verification/0","doc":"Boolean representation of a Verification for the SPHINCS+-sha2-128f-robust Signature Algorithm ( true if verification was successful, false otherwise).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_128f_robust_verification/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_128f_simple_message/0","doc":"Binary representation of a Message for the SPHINCS+-sha2-128f-simple Signature Algorithm.","ref":"pqclean_nif.html#t:sphincs_plus_sha2_128f_simple_message/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_128f_simple_public_key/0","doc":"Binary representation of a PublicKey for the SPHINCS+-sha2-128f-simple Signature Algorithm (32-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_128f_simple_public_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_128f_simple_secret_key/0","doc":"Binary representation of a SecretKey for the SPHINCS+-sha2-128f-simple Signature Algorithm (64-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_128f_simple_secret_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_128f_simple_seed/0","doc":"Binary representation of a Seed for the SPHINCS+-sha2-128f-simple Signature Algorithm (48-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_128f_simple_seed/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_128f_simple_signature/0","doc":"Binary representation of a Signature for the SPHINCS+-sha2-128f-simple Signature Algorithm (maximum of 17,088-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_128f_simple_signature/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_128f_simple_verification/0","doc":"Boolean representation of a Verification for the SPHINCS+-sha2-128f-simple Signature Algorithm ( true if verification was successful, false otherwise).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_128f_simple_verification/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_128s_robust_message/0","doc":"Binary representation of a Message for the SPHINCS+-sha2-128s-robust Signature Algorithm.","ref":"pqclean_nif.html#t:sphincs_plus_sha2_128s_robust_message/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_128s_robust_public_key/0","doc":"Binary representation of a PublicKey for the SPHINCS+-sha2-128s-robust Signature Algorithm (32-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_128s_robust_public_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_128s_robust_secret_key/0","doc":"Binary representation of a SecretKey for the SPHINCS+-sha2-128s-robust Signature Algorithm (64-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_128s_robust_secret_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_128s_robust_seed/0","doc":"Binary representation of a Seed for the SPHINCS+-sha2-128s-robust Signature Algorithm (48-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_128s_robust_seed/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_128s_robust_signature/0","doc":"Binary representation of a Signature for the SPHINCS+-sha2-128s-robust Signature Algorithm (maximum of 7,856-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_128s_robust_signature/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_128s_robust_verification/0","doc":"Boolean representation of a Verification for the SPHINCS+-sha2-128s-robust Signature Algorithm ( true if verification was successful, false otherwise).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_128s_robust_verification/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_128s_simple_message/0","doc":"Binary representation of a Message for the SPHINCS+-sha2-128s-simple Signature Algorithm.","ref":"pqclean_nif.html#t:sphincs_plus_sha2_128s_simple_message/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_128s_simple_public_key/0","doc":"Binary representation of a PublicKey for the SPHINCS+-sha2-128s-simple Signature Algorithm (32-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_128s_simple_public_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_128s_simple_secret_key/0","doc":"Binary representation of a SecretKey for the SPHINCS+-sha2-128s-simple Signature Algorithm (64-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_128s_simple_secret_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_128s_simple_seed/0","doc":"Binary representation of a Seed for the SPHINCS+-sha2-128s-simple Signature Algorithm (48-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_128s_simple_seed/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_128s_simple_signature/0","doc":"Binary representation of a Signature for the SPHINCS+-sha2-128s-simple Signature Algorithm (maximum of 7,856-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_128s_simple_signature/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_128s_simple_verification/0","doc":"Boolean representation of a Verification for the SPHINCS+-sha2-128s-simple Signature Algorithm ( true if verification was successful, false otherwise).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_128s_simple_verification/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_192f_robust_message/0","doc":"Binary representation of a Message for the SPHINCS+-sha2-192f-robust Signature Algorithm.","ref":"pqclean_nif.html#t:sphincs_plus_sha2_192f_robust_message/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_192f_robust_public_key/0","doc":"Binary representation of a PublicKey for the SPHINCS+-sha2-192f-robust Signature Algorithm (48-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_192f_robust_public_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_192f_robust_secret_key/0","doc":"Binary representation of a SecretKey for the SPHINCS+-sha2-192f-robust Signature Algorithm (96-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_192f_robust_secret_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_192f_robust_seed/0","doc":"Binary representation of a Seed for the SPHINCS+-sha2-192f-robust Signature Algorithm (72-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_192f_robust_seed/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_192f_robust_signature/0","doc":"Binary representation of a Signature for the SPHINCS+-sha2-192f-robust Signature Algorithm (maximum of 35,664-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_192f_robust_signature/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_192f_robust_verification/0","doc":"Boolean representation of a Verification for the SPHINCS+-sha2-192f-robust Signature Algorithm ( true if verification was successful, false otherwise).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_192f_robust_verification/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_192f_simple_message/0","doc":"Binary representation of a Message for the SPHINCS+-sha2-192f-simple Signature Algorithm.","ref":"pqclean_nif.html#t:sphincs_plus_sha2_192f_simple_message/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_192f_simple_public_key/0","doc":"Binary representation of a PublicKey for the SPHINCS+-sha2-192f-simple Signature Algorithm (48-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_192f_simple_public_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_192f_simple_secret_key/0","doc":"Binary representation of a SecretKey for the SPHINCS+-sha2-192f-simple Signature Algorithm (96-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_192f_simple_secret_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_192f_simple_seed/0","doc":"Binary representation of a Seed for the SPHINCS+-sha2-192f-simple Signature Algorithm (72-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_192f_simple_seed/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_192f_simple_signature/0","doc":"Binary representation of a Signature for the SPHINCS+-sha2-192f-simple Signature Algorithm (maximum of 35,664-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_192f_simple_signature/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_192f_simple_verification/0","doc":"Boolean representation of a Verification for the SPHINCS+-sha2-192f-simple Signature Algorithm ( true if verification was successful, false otherwise).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_192f_simple_verification/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_192s_robust_message/0","doc":"Binary representation of a Message for the SPHINCS+-sha2-192s-robust Signature Algorithm.","ref":"pqclean_nif.html#t:sphincs_plus_sha2_192s_robust_message/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_192s_robust_public_key/0","doc":"Binary representation of a PublicKey for the SPHINCS+-sha2-192s-robust Signature Algorithm (48-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_192s_robust_public_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_192s_robust_secret_key/0","doc":"Binary representation of a SecretKey for the SPHINCS+-sha2-192s-robust Signature Algorithm (96-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_192s_robust_secret_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_192s_robust_seed/0","doc":"Binary representation of a Seed for the SPHINCS+-sha2-192s-robust Signature Algorithm (72-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_192s_robust_seed/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_192s_robust_signature/0","doc":"Binary representation of a Signature for the SPHINCS+-sha2-192s-robust Signature Algorithm (maximum of 16,224-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_192s_robust_signature/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_192s_robust_verification/0","doc":"Boolean representation of a Verification for the SPHINCS+-sha2-192s-robust Signature Algorithm ( true if verification was successful, false otherwise).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_192s_robust_verification/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_192s_simple_message/0","doc":"Binary representation of a Message for the SPHINCS+-sha2-192s-simple Signature Algorithm.","ref":"pqclean_nif.html#t:sphincs_plus_sha2_192s_simple_message/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_192s_simple_public_key/0","doc":"Binary representation of a PublicKey for the SPHINCS+-sha2-192s-simple Signature Algorithm (48-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_192s_simple_public_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_192s_simple_secret_key/0","doc":"Binary representation of a SecretKey for the SPHINCS+-sha2-192s-simple Signature Algorithm (96-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_192s_simple_secret_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_192s_simple_seed/0","doc":"Binary representation of a Seed for the SPHINCS+-sha2-192s-simple Signature Algorithm (72-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_192s_simple_seed/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_192s_simple_signature/0","doc":"Binary representation of a Signature for the SPHINCS+-sha2-192s-simple Signature Algorithm (maximum of 16,224-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_192s_simple_signature/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_192s_simple_verification/0","doc":"Boolean representation of a Verification for the SPHINCS+-sha2-192s-simple Signature Algorithm ( true if verification was successful, false otherwise).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_192s_simple_verification/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_256f_robust_message/0","doc":"Binary representation of a Message for the SPHINCS+-sha2-256f-robust Signature Algorithm.","ref":"pqclean_nif.html#t:sphincs_plus_sha2_256f_robust_message/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_256f_robust_public_key/0","doc":"Binary representation of a PublicKey for the SPHINCS+-sha2-256f-robust Signature Algorithm (64-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_256f_robust_public_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_256f_robust_secret_key/0","doc":"Binary representation of a SecretKey for the SPHINCS+-sha2-256f-robust Signature Algorithm (128-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_256f_robust_secret_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_256f_robust_seed/0","doc":"Binary representation of a Seed for the SPHINCS+-sha2-256f-robust Signature Algorithm (96-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_256f_robust_seed/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_256f_robust_signature/0","doc":"Binary representation of a Signature for the SPHINCS+-sha2-256f-robust Signature Algorithm (maximum of 49,856-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_256f_robust_signature/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_256f_robust_verification/0","doc":"Boolean representation of a Verification for the SPHINCS+-sha2-256f-robust Signature Algorithm ( true if verification was successful, false otherwise).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_256f_robust_verification/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_256f_simple_message/0","doc":"Binary representation of a Message for the SPHINCS+-sha2-256f-simple Signature Algorithm.","ref":"pqclean_nif.html#t:sphincs_plus_sha2_256f_simple_message/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_256f_simple_public_key/0","doc":"Binary representation of a PublicKey for the SPHINCS+-sha2-256f-simple Signature Algorithm (64-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_256f_simple_public_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_256f_simple_secret_key/0","doc":"Binary representation of a SecretKey for the SPHINCS+-sha2-256f-simple Signature Algorithm (128-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_256f_simple_secret_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_256f_simple_seed/0","doc":"Binary representation of a Seed for the SPHINCS+-sha2-256f-simple Signature Algorithm (96-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_256f_simple_seed/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_256f_simple_signature/0","doc":"Binary representation of a Signature for the SPHINCS+-sha2-256f-simple Signature Algorithm (maximum of 49,856-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_256f_simple_signature/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_256f_simple_verification/0","doc":"Boolean representation of a Verification for the SPHINCS+-sha2-256f-simple Signature Algorithm ( true if verification was successful, false otherwise).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_256f_simple_verification/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_256s_robust_message/0","doc":"Binary representation of a Message for the SPHINCS+-sha2-256s-robust Signature Algorithm.","ref":"pqclean_nif.html#t:sphincs_plus_sha2_256s_robust_message/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_256s_robust_public_key/0","doc":"Binary representation of a PublicKey for the SPHINCS+-sha2-256s-robust Signature Algorithm (64-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_256s_robust_public_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_256s_robust_secret_key/0","doc":"Binary representation of a SecretKey for the SPHINCS+-sha2-256s-robust Signature Algorithm (128-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_256s_robust_secret_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_256s_robust_seed/0","doc":"Binary representation of a Seed for the SPHINCS+-sha2-256s-robust Signature Algorithm (96-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_256s_robust_seed/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_256s_robust_signature/0","doc":"Binary representation of a Signature for the SPHINCS+-sha2-256s-robust Signature Algorithm (maximum of 29,792-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_256s_robust_signature/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_256s_robust_verification/0","doc":"Boolean representation of a Verification for the SPHINCS+-sha2-256s-robust Signature Algorithm ( true if verification was successful, false otherwise).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_256s_robust_verification/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_256s_simple_message/0","doc":"Binary representation of a Message for the SPHINCS+-sha2-256s-simple Signature Algorithm.","ref":"pqclean_nif.html#t:sphincs_plus_sha2_256s_simple_message/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_256s_simple_public_key/0","doc":"Binary representation of a PublicKey for the SPHINCS+-sha2-256s-simple Signature Algorithm (64-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_256s_simple_public_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_256s_simple_secret_key/0","doc":"Binary representation of a SecretKey for the SPHINCS+-sha2-256s-simple Signature Algorithm (128-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_256s_simple_secret_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_256s_simple_seed/0","doc":"Binary representation of a Seed for the SPHINCS+-sha2-256s-simple Signature Algorithm (96-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_256s_simple_seed/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_256s_simple_signature/0","doc":"Binary representation of a Signature for the SPHINCS+-sha2-256s-simple Signature Algorithm (maximum of 29,792-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_256s_simple_signature/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_sha2_256s_simple_verification/0","doc":"Boolean representation of a Verification for the SPHINCS+-sha2-256s-simple Signature Algorithm ( true if verification was successful, false otherwise).","ref":"pqclean_nif.html#t:sphincs_plus_sha2_256s_simple_verification/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_128f_robust_message/0","doc":"Binary representation of a Message for the SPHINCS+-shake-128f-robust Signature Algorithm.","ref":"pqclean_nif.html#t:sphincs_plus_shake_128f_robust_message/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_128f_robust_public_key/0","doc":"Binary representation of a PublicKey for the SPHINCS+-shake-128f-robust Signature Algorithm (32-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_shake_128f_robust_public_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_128f_robust_secret_key/0","doc":"Binary representation of a SecretKey for the SPHINCS+-shake-128f-robust Signature Algorithm (64-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_shake_128f_robust_secret_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_128f_robust_seed/0","doc":"Binary representation of a Seed for the SPHINCS+-shake-128f-robust Signature Algorithm (48-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_shake_128f_robust_seed/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_128f_robust_signature/0","doc":"Binary representation of a Signature for the SPHINCS+-shake-128f-robust Signature Algorithm (maximum of 17,088-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_shake_128f_robust_signature/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_128f_robust_verification/0","doc":"Boolean representation of a Verification for the SPHINCS+-shake-128f-robust Signature Algorithm ( true if verification was successful, false otherwise).","ref":"pqclean_nif.html#t:sphincs_plus_shake_128f_robust_verification/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_128f_simple_message/0","doc":"Binary representation of a Message for the SPHINCS+-shake-128f-simple Signature Algorithm.","ref":"pqclean_nif.html#t:sphincs_plus_shake_128f_simple_message/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_128f_simple_public_key/0","doc":"Binary representation of a PublicKey for the SPHINCS+-shake-128f-simple Signature Algorithm (32-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_shake_128f_simple_public_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_128f_simple_secret_key/0","doc":"Binary representation of a SecretKey for the SPHINCS+-shake-128f-simple Signature Algorithm (64-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_shake_128f_simple_secret_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_128f_simple_seed/0","doc":"Binary representation of a Seed for the SPHINCS+-shake-128f-simple Signature Algorithm (48-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_shake_128f_simple_seed/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_128f_simple_signature/0","doc":"Binary representation of a Signature for the SPHINCS+-shake-128f-simple Signature Algorithm (maximum of 17,088-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_shake_128f_simple_signature/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_128f_simple_verification/0","doc":"Boolean representation of a Verification for the SPHINCS+-shake-128f-simple Signature Algorithm ( true if verification was successful, false otherwise).","ref":"pqclean_nif.html#t:sphincs_plus_shake_128f_simple_verification/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_128s_robust_message/0","doc":"Binary representation of a Message for the SPHINCS+-shake-128s-robust Signature Algorithm.","ref":"pqclean_nif.html#t:sphincs_plus_shake_128s_robust_message/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_128s_robust_public_key/0","doc":"Binary representation of a PublicKey for the SPHINCS+-shake-128s-robust Signature Algorithm (32-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_shake_128s_robust_public_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_128s_robust_secret_key/0","doc":"Binary representation of a SecretKey for the SPHINCS+-shake-128s-robust Signature Algorithm (64-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_shake_128s_robust_secret_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_128s_robust_seed/0","doc":"Binary representation of a Seed for the SPHINCS+-shake-128s-robust Signature Algorithm (48-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_shake_128s_robust_seed/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_128s_robust_signature/0","doc":"Binary representation of a Signature for the SPHINCS+-shake-128s-robust Signature Algorithm (maximum of 7,856-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_shake_128s_robust_signature/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_128s_robust_verification/0","doc":"Boolean representation of a Verification for the SPHINCS+-shake-128s-robust Signature Algorithm ( true if verification was successful, false otherwise).","ref":"pqclean_nif.html#t:sphincs_plus_shake_128s_robust_verification/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_128s_simple_message/0","doc":"Binary representation of a Message for the SPHINCS+-shake-128s-simple Signature Algorithm.","ref":"pqclean_nif.html#t:sphincs_plus_shake_128s_simple_message/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_128s_simple_public_key/0","doc":"Binary representation of a PublicKey for the SPHINCS+-shake-128s-simple Signature Algorithm (32-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_shake_128s_simple_public_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_128s_simple_secret_key/0","doc":"Binary representation of a SecretKey for the SPHINCS+-shake-128s-simple Signature Algorithm (64-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_shake_128s_simple_secret_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_128s_simple_seed/0","doc":"Binary representation of a Seed for the SPHINCS+-shake-128s-simple Signature Algorithm (48-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_shake_128s_simple_seed/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_128s_simple_signature/0","doc":"Binary representation of a Signature for the SPHINCS+-shake-128s-simple Signature Algorithm (maximum of 7,856-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_shake_128s_simple_signature/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_128s_simple_verification/0","doc":"Boolean representation of a Verification for the SPHINCS+-shake-128s-simple Signature Algorithm ( true if verification was successful, false otherwise).","ref":"pqclean_nif.html#t:sphincs_plus_shake_128s_simple_verification/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_192f_robust_message/0","doc":"Binary representation of a Message for the SPHINCS+-shake-192f-robust Signature Algorithm.","ref":"pqclean_nif.html#t:sphincs_plus_shake_192f_robust_message/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_192f_robust_public_key/0","doc":"Binary representation of a PublicKey for the SPHINCS+-shake-192f-robust Signature Algorithm (48-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_shake_192f_robust_public_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_192f_robust_secret_key/0","doc":"Binary representation of a SecretKey for the SPHINCS+-shake-192f-robust Signature Algorithm (96-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_shake_192f_robust_secret_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_192f_robust_seed/0","doc":"Binary representation of a Seed for the SPHINCS+-shake-192f-robust Signature Algorithm (72-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_shake_192f_robust_seed/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_192f_robust_signature/0","doc":"Binary representation of a Signature for the SPHINCS+-shake-192f-robust Signature Algorithm (maximum of 35,664-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_shake_192f_robust_signature/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_192f_robust_verification/0","doc":"Boolean representation of a Verification for the SPHINCS+-shake-192f-robust Signature Algorithm ( true if verification was successful, false otherwise).","ref":"pqclean_nif.html#t:sphincs_plus_shake_192f_robust_verification/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_192f_simple_message/0","doc":"Binary representation of a Message for the SPHINCS+-shake-192f-simple Signature Algorithm.","ref":"pqclean_nif.html#t:sphincs_plus_shake_192f_simple_message/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_192f_simple_public_key/0","doc":"Binary representation of a PublicKey for the SPHINCS+-shake-192f-simple Signature Algorithm (48-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_shake_192f_simple_public_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_192f_simple_secret_key/0","doc":"Binary representation of a SecretKey for the SPHINCS+-shake-192f-simple Signature Algorithm (96-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_shake_192f_simple_secret_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_192f_simple_seed/0","doc":"Binary representation of a Seed for the SPHINCS+-shake-192f-simple Signature Algorithm (72-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_shake_192f_simple_seed/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_192f_simple_signature/0","doc":"Binary representation of a Signature for the SPHINCS+-shake-192f-simple Signature Algorithm (maximum of 35,664-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_shake_192f_simple_signature/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_192f_simple_verification/0","doc":"Boolean representation of a Verification for the SPHINCS+-shake-192f-simple Signature Algorithm ( true if verification was successful, false otherwise).","ref":"pqclean_nif.html#t:sphincs_plus_shake_192f_simple_verification/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_192s_robust_message/0","doc":"Binary representation of a Message for the SPHINCS+-shake-192s-robust Signature Algorithm.","ref":"pqclean_nif.html#t:sphincs_plus_shake_192s_robust_message/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_192s_robust_public_key/0","doc":"Binary representation of a PublicKey for the SPHINCS+-shake-192s-robust Signature Algorithm (48-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_shake_192s_robust_public_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_192s_robust_secret_key/0","doc":"Binary representation of a SecretKey for the SPHINCS+-shake-192s-robust Signature Algorithm (96-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_shake_192s_robust_secret_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_192s_robust_seed/0","doc":"Binary representation of a Seed for the SPHINCS+-shake-192s-robust Signature Algorithm (72-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_shake_192s_robust_seed/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_192s_robust_signature/0","doc":"Binary representation of a Signature for the SPHINCS+-shake-192s-robust Signature Algorithm (maximum of 16,224-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_shake_192s_robust_signature/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_192s_robust_verification/0","doc":"Boolean representation of a Verification for the SPHINCS+-shake-192s-robust Signature Algorithm ( true if verification was successful, false otherwise).","ref":"pqclean_nif.html#t:sphincs_plus_shake_192s_robust_verification/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_192s_simple_message/0","doc":"Binary representation of a Message for the SPHINCS+-shake-192s-simple Signature Algorithm.","ref":"pqclean_nif.html#t:sphincs_plus_shake_192s_simple_message/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_192s_simple_public_key/0","doc":"Binary representation of a PublicKey for the SPHINCS+-shake-192s-simple Signature Algorithm (48-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_shake_192s_simple_public_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_192s_simple_secret_key/0","doc":"Binary representation of a SecretKey for the SPHINCS+-shake-192s-simple Signature Algorithm (96-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_shake_192s_simple_secret_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_192s_simple_seed/0","doc":"Binary representation of a Seed for the SPHINCS+-shake-192s-simple Signature Algorithm (72-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_shake_192s_simple_seed/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_192s_simple_signature/0","doc":"Binary representation of a Signature for the SPHINCS+-shake-192s-simple Signature Algorithm (maximum of 16,224-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_shake_192s_simple_signature/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_192s_simple_verification/0","doc":"Boolean representation of a Verification for the SPHINCS+-shake-192s-simple Signature Algorithm ( true if verification was successful, false otherwise).","ref":"pqclean_nif.html#t:sphincs_plus_shake_192s_simple_verification/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_256f_robust_message/0","doc":"Binary representation of a Message for the SPHINCS+-shake-256f-robust Signature Algorithm.","ref":"pqclean_nif.html#t:sphincs_plus_shake_256f_robust_message/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_256f_robust_public_key/0","doc":"Binary representation of a PublicKey for the SPHINCS+-shake-256f-robust Signature Algorithm (64-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_shake_256f_robust_public_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_256f_robust_secret_key/0","doc":"Binary representation of a SecretKey for the SPHINCS+-shake-256f-robust Signature Algorithm (128-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_shake_256f_robust_secret_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_256f_robust_seed/0","doc":"Binary representation of a Seed for the SPHINCS+-shake-256f-robust Signature Algorithm (96-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_shake_256f_robust_seed/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_256f_robust_signature/0","doc":"Binary representation of a Signature for the SPHINCS+-shake-256f-robust Signature Algorithm (maximum of 49,856-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_shake_256f_robust_signature/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_256f_robust_verification/0","doc":"Boolean representation of a Verification for the SPHINCS+-shake-256f-robust Signature Algorithm ( true if verification was successful, false otherwise).","ref":"pqclean_nif.html#t:sphincs_plus_shake_256f_robust_verification/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_256f_simple_message/0","doc":"Binary representation of a Message for the SPHINCS+-shake-256f-simple Signature Algorithm.","ref":"pqclean_nif.html#t:sphincs_plus_shake_256f_simple_message/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_256f_simple_public_key/0","doc":"Binary representation of a PublicKey for the SPHINCS+-shake-256f-simple Signature Algorithm (64-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_shake_256f_simple_public_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_256f_simple_secret_key/0","doc":"Binary representation of a SecretKey for the SPHINCS+-shake-256f-simple Signature Algorithm (128-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_shake_256f_simple_secret_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_256f_simple_seed/0","doc":"Binary representation of a Seed for the SPHINCS+-shake-256f-simple Signature Algorithm (96-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_shake_256f_simple_seed/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_256f_simple_signature/0","doc":"Binary representation of a Signature for the SPHINCS+-shake-256f-simple Signature Algorithm (maximum of 49,856-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_shake_256f_simple_signature/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_256f_simple_verification/0","doc":"Boolean representation of a Verification for the SPHINCS+-shake-256f-simple Signature Algorithm ( true if verification was successful, false otherwise).","ref":"pqclean_nif.html#t:sphincs_plus_shake_256f_simple_verification/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_256s_robust_message/0","doc":"Binary representation of a Message for the SPHINCS+-shake-256s-robust Signature Algorithm.","ref":"pqclean_nif.html#t:sphincs_plus_shake_256s_robust_message/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_256s_robust_public_key/0","doc":"Binary representation of a PublicKey for the SPHINCS+-shake-256s-robust Signature Algorithm (64-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_shake_256s_robust_public_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_256s_robust_secret_key/0","doc":"Binary representation of a SecretKey for the SPHINCS+-shake-256s-robust Signature Algorithm (128-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_shake_256s_robust_secret_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_256s_robust_seed/0","doc":"Binary representation of a Seed for the SPHINCS+-shake-256s-robust Signature Algorithm (96-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_shake_256s_robust_seed/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_256s_robust_signature/0","doc":"Binary representation of a Signature for the SPHINCS+-shake-256s-robust Signature Algorithm (maximum of 29,792-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_shake_256s_robust_signature/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_256s_robust_verification/0","doc":"Boolean representation of a Verification for the SPHINCS+-shake-256s-robust Signature Algorithm ( true if verification was successful, false otherwise).","ref":"pqclean_nif.html#t:sphincs_plus_shake_256s_robust_verification/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_256s_simple_message/0","doc":"Binary representation of a Message for the SPHINCS+-shake-256s-simple Signature Algorithm.","ref":"pqclean_nif.html#t:sphincs_plus_shake_256s_simple_message/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_256s_simple_public_key/0","doc":"Binary representation of a PublicKey for the SPHINCS+-shake-256s-simple Signature Algorithm (64-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_shake_256s_simple_public_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_256s_simple_secret_key/0","doc":"Binary representation of a SecretKey for the SPHINCS+-shake-256s-simple Signature Algorithm (128-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_shake_256s_simple_secret_key/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_256s_simple_seed/0","doc":"Binary representation of a Seed for the SPHINCS+-shake-256s-simple Signature Algorithm (96-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_shake_256s_simple_seed/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_256s_simple_signature/0","doc":"Binary representation of a Signature for the SPHINCS+-shake-256s-simple Signature Algorithm (maximum of 29,792-bytes).","ref":"pqclean_nif.html#t:sphincs_plus_shake_256s_simple_signature/0"},{"type":"type","title":"pqclean_nif.sphincs_plus_shake_256s_simple_verification/0","doc":"Boolean representation of a Verification for the SPHINCS+-shake-256s-simple Signature Algorithm ( true if verification was successful, false otherwise).","ref":"pqclean_nif.html#t:sphincs_plus_shake_256s_simple_verification/0"},{"type":"extras","title":"Changelog","doc":"","ref":"changelog.html"},{"type":"extras","title":"Changelog - 0.0.3 (2023-04-17)","doc":"Add support for the various &quot;Classic McEliece&quot; KEM algorithms by checking the current stack size setting and raising an exception if it is less than 8MB during key generation.","ref":"changelog.html#0-0-3-2023-04-17"},{"type":"extras","title":"Changelog - 0.0.2 (2023-04-17)","doc":"Change Makefile to compile and link sources directly to the NIF output.","ref":"changelog.html#0-0-2-2023-04-17"},{"type":"extras","title":"Changelog - 0.0.1 (2023-04-16)","doc":"Initial Release","ref":"changelog.html#0-0-1-2023-04-16"},{"type":"extras","title":"Overview","doc":"Post-Quantum Cryptography NIF based on PQClean for Erlang and Elixir. See documentation for the pqclean_nif module for the full list of types and functions provided.","ref":"readme.html"},{"type":"extras","title":"Overview - Installation","doc":"Add pqclean to your project's dependencies in mix.exs defp deps do [ { :pqclean , &quot;~&gt; 0.0.3&quot; } ] end Add pqclean to your project's dependencies in your Makefile for erlang.mk or the following to your rebar.config { deps , [ { pqclean , &quot;0.0.3&quot; } ] } .","ref":"readme.html#installation"},{"type":"extras","title":"Overview - Examples","doc":"Key Encapsulation Mechanism (KEM) Algorithm Example { PK , SK } = pqclean_nif : kyber768_keypair ( ) , { CT , SS } = pqclean_nif : kyber768_encapsulate ( PK ) , SS = pqclean_nif : kyber768_decapsulate ( CT , SK ) . KEM with Encryption Example % Alice and Bob want to exchange an encrypted messages. % Alice wants to send Bob the message &quot;a2b&quot;. % Bob wants to send Alice the message &quot;b2a&quot;. % Helper functions (encrypt/decrypt with AES-256-GCM): Encrypt = fun ( K , N , PTxt ) -&gt; crypto : crypto_one_time_aead ( aes_256_gcm , K , &lt;&lt; N : 96 &gt;&gt; , PTxt , &lt;&lt; &gt;&gt; , true ) end , Decrypt = fun ( K , N , CTxt , CTag ) -&gt; crypto : crypto_one_time_aead ( aes_256_gcm , K , &lt;&lt; N : 96 &gt;&gt; , CTxt , &lt;&lt; &gt;&gt; , CTag , false ) end . % Alice generates a new ephemeral keypair using Kyber-768: { PKa , SKa } = pqclean_nif : kyber768_keypair ( ) . % Alice sends `PKa&#39; to Bob. % Bob generates a new ephemeral keypair using Kyber-768: { PKb , SKb } = pqclean_nif : kyber768_keypair ( ) , % Bob encapsulates a shared-secret `SSb2a&#39; against Alice&#39;s `PKa&#39; with % an ephemeral KEM cipher-text `CTb2a&#39; using Kyber-768: { CTb2a , SSb2a } = pqclean_nif : kyber768_encapsulate ( PKa ) , % Bob encrypts plain-text `PKb&#39; with shared-secret `SSb2a&#39; and nonce `0&#39; % into cipher-text `CTxt_PKb&#39; and cipher-tag `CTag_PKb&#39;: { CTxt_PKb , CTag_PKb } = Encrypt ( SSb2a , 0 , PKb ) , % Bob encrypts plain-text &quot;b2a&quot; with shared-secret `SSb2a&#39; and nonce `1&#39; % into cipher-text `CTxt_PKb&#39; and cipher-tag `CTag_PKb&#39;: { CTxt_Mb , CTag_Mb } = Encrypt ( SSb2a , 1 , &lt;&lt; &quot;b2a&quot; &gt;&gt; ) . % Bob sends `CTb2a&#39;, `CTxt_PKb&#39;, `CTag_PKb&#39;, `CTxt_Mb&#39;, and `CTag_Mb&#39; to Alice. % Alice decapsulates Bob&#39;s `CTb2a&#39; using secret-key `SKa&#39; which % results in shared-secret `SSb2a&#39; using Kyber-768: SSb2a = pqclean_nif : kyber768_decapsulate ( CTb2a , SKa ) , % Alice decrypts `PKb&#39; with shared-secret `SSb2a&#39;: PKb = Decrypt ( SSb2a , 0 , CTxt_PKb , CTag_PKb ) , % Alice decrypts Bob&#39;s message &quot;b2a&quot; using shared-secret `SSb2a&#39;: &lt;&lt; &quot;b2a&quot; &gt;&gt; = Decrypt ( SSb2a , 1 , CTxt_Mb , CTag_Mb ) , % Alice encapsulates a shared-secret `SSa2b&#39; against Bob&#39;s `PKb&#39; with % an ephemeral KEM cipher-text `CTa2b&#39; using Kyber-768: { CTa2b , SSa2b } = pqclean_nif : kyber768_encapsulate ( PKb ) , % Alice encrypts plain-text &quot;a2b&quot; with shared-secret `SSa2b&#39; and nonce `0&#39; % into cipher-text `CTxt_Ma&#39; and cipher-tag `CTag_Ma&#39;: { CTxt_Ma , CTag_Ma } = Encrypt ( SSa2b , 0 , &lt;&lt; &quot;a2b&quot; &gt;&gt; ) . % Alice sends `CTa2b&#39;, `CTxt_Ma&#39;, and `CTag_Ma&#39; to Bob. % Bob decapsulates Alice&#39;s `CTa2b&#39; using secret-key `SKb&#39; which % results in shared-secret `SSa2b&#39; using Kyber-768: SSa2b = pqclean_nif : kyber768_decapsulate ( CTa2b , SKb ) , % Bob decrypts Alice&#39;s message &quot;a2b&quot; using shared-secret `SSa2b&#39;: &lt;&lt; &quot;a2b&quot; &gt;&gt; = Decrypt ( SSa2b , 0 , CTxt_Ma , CTag_Ma ) . % Alice sends Bob a total of 2,291-bytes. % Bob sends Alice a total of 2,307-bytes. See PQNoise for more in-depth examples. Signature Algorithm Example { PK , SK } = pqclean_nif : falcon512_keypair ( ) , Msg = &lt;&lt; &quot;message&quot; &gt;&gt; , Sig = pqclean_nif : falcon512_sign ( Msg , SK ) , true = pqclean_nif : falcon512_verify ( Sig , Msg , PK ) .","ref":"readme.html#examples"},{"type":"extras","title":"Overview - KEM Algorithm Support","doc":"KEM Algorithm NIST Level Public Key Secret Key Cipher Text Shared Secret HQC-RMRS-128 1 2,249 2,289 4,481 64 HQC-RMRS-192 3 4,522 4,562 9,026 64 HQC-RMRS-256 5 7,245 7,285 14,469 64 Kyber512 1 800 1,632 768 32 Kyber512-90s 1 800 1,632 768 32 Kyber768 3 1,184 2,400 1,088 32 Kyber768-90s 3 1,184 2,400 1,088 32 Kyber1024 5 1,568 3,168 1,568 32 Kyber1024-90s 5 1,568 3,168 1,568 32 Classic McEliece 348864 † 1 261,120 6,452 128 32 Classic McEliece 348864f † 1 261,120 6,452 128 32 Classic McEliece 460896 † 3 524,160 13,568 188 32 Classic McEliece 460896f † 3 524,160 13,568 188 32 Classic McEliece 6688128 † 5 1,044,992 13,892 240 32 Classic McEliece 6688128 † 5 1,044,992 13,892 240 32 Classic McEliece 6960119 † 5 1,047,319 13,908 226 32 Classic McEliece 6960119f † 5 1,047,319 13,908 226 32 Classic McEliece 8192128 † 5 1,357,824 14,080 240 32 Classic McEliece 8192128f † 5 1,357,824 14,080 240 32 WARNING: Algorithms marked with a dagger (†) require a large stack for key generation. See below for more information. Large Stack Support When generating keys for &quot;large stack&quot; algorithms, an exception will be raised if the detected stack size is below 8MB: 1 &gt; try pqclean_nif : mceliece348864_keypair ( ) catch error : { badarg , { _ File , _ Line } , Reason } -&gt; Reason end . &quot;Key generation for Classic McEliece 348864 requires a large stack (&gt;= 8MB): &quot; &quot;please restart the BEAM with `erl +sssdcpu 1024` on 64-bit machines &quot; &quot;(or `erl +sssdcpu 2048` on 32-bit machines); current setting is `erl +sssdcpu 41`&quot; Restarting the BEAM with erl +sssdcpu 1024 on 64-bit systems will allow key generation for these algorithms to be supported. NOTE: If using an escript , rebar3 , elixir , etc: it may be simpler to use the environment variable ERL_AFLAGS=&quot;+sssdcpu 1024&quot; instead. $ erl +sssdcpu 1024 1 &gt; { PK , SK } = pqclean_nif : mceliece348864_keypair ( ) . { &lt;&lt; 38 , 72 , 183 , 62 , 48 , 9 , 8 , 23 , 83 , 149 , 228 , 233 , 255 , 143 , 120 , 71 , 113 , 143 , 14 , 95 , 28 , 157 , 43 , 73 , 51 , 99 , 6 , 79 , . . . &gt;&gt; , &lt;&lt; 116 , 53 , 239 , 220 , 26 , 165 , 236 , 199 , 7 , 246 , 124 , 172 , 167 , 182 , 154 , 60 , 152 , 213 , 9 , 243 , 206 , 191 , 24 , 129 , 129 , 73 , 132 , . . . &gt;&gt; }","ref":"readme.html#kem-algorithm-support"},{"type":"extras","title":"Overview - Signature Algorithm Support","doc":"Signature Algorithm NIST Level Public Key Secret Key Signature Seed Dilithium2 2 1,312 2,528 2,420 — Dilithium2-AES 2 1,312 2,528 2,420 — Dilithium3 3 1,952 4,000 3,293 — Dilithium3-AES 3 1,952 4,000 3,293 — Dilithium5 5 2,592 4,864 4,595 — Dilithium5-AES 5 2,592 4,864 4,595 — Falcon-512 1 897 1,281 666 — Falcon-1024 5 1,793 2,305 1,280 — SPHINCS+-haraka-128f-robust 1 32 64 17,088 48 SPHINCS+-haraka-128f-simple 1 32 64 17,088 48 SPHINCS+-haraka-128s-robust 1 32 64 7,856 48 SPHINCS+-haraka-128s-simple 1 32 64 7,856 48 SPHINCS+-haraka-192f-robust 2 48 96 35,664 72 SPHINCS+-haraka-192f-simple 2 48 96 35,664 72 SPHINCS+-haraka-192s-robust 2 48 96 16,224 72 SPHINCS+-haraka-192s-simple 2 48 96 16,224 72 SPHINCS+-haraka-256f-robust 2 64 128 49,856 96 SPHINCS+-haraka-256f-simple 2 64 128 49,856 96 SPHINCS+-haraka-256s-robust 2 64 128 29,792 96 SPHINCS+-haraka-256s-simple 2 64 128 29,792 96 SPHINCS+-sha2-128f-robust 1 32 64 17,088 48 SPHINCS+-sha2-128f-simple 1 32 64 17,088 48 SPHINCS+-sha2-128s-robust 1 32 64 7,856 48 SPHINCS+-sha2-128s-simple 1 32 64 7,856 48 SPHINCS+-sha2-192f-robust 3 48 96 35,664 72 SPHINCS+-sha2-192f-simple 3 48 96 35,664 72 SPHINCS+-sha2-192s-robust 3 48 96 16,224 72 SPHINCS+-sha2-192s-simple 3 48 96 16,224 72 SPHINCS+-sha2-256f-robust 5 64 128 49,856 96 SPHINCS+-sha2-256f-simple 5 64 128 49,856 96 SPHINCS+-sha2-256s-robust 5 64 128 29,792 96 SPHINCS+-sha2-256s-simple 5 64 128 29,792 96 SPHINCS+-shake-128f-robust 1 32 64 17,088 48 SPHINCS+-shake-128f-simple 1 32 64 17,088 48 SPHINCS+-shake-128s-robust 1 32 64 7,856 48 SPHINCS+-shake-128s-simple 1 32 64 7,856 48 SPHINCS+-shake-192f-robust 3 48 96 35,664 72 SPHINCS+-shake-192f-simple 3 48 96 35,664 72 SPHINCS+-shake-192s-robust 3 48 96 16,224 72 SPHINCS+-shake-192s-simple 3 48 96 16,224 72 SPHINCS+-shake-256f-robust 5 64 128 49,856 96 SPHINCS+-shake-256f-simple 5 64 128 49,856 96 SPHINCS+-shake-256s-robust 5 64 128 29,792 96 SPHINCS+-shake-256s-simple 5 64 128 29,792 96","ref":"readme.html#signature-algorithm-support"},{"type":"extras","title":"License","doc":"Copyright (c) 2023, Andrew Bennett potatosaladx@gmail.com Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html"}]